gi-gtk-3.0.43: Gtk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Enums

Contents

- Enumerations
  - Align
  - ArrowPlacement
  - ArrowType
  - AssistantPageType
  - BaselinePosition
  - BorderStyle
  - BuilderError
  - ButtonBoxStyle
  - ButtonRole
  - ButtonsType
  - CellRendererAccelMode
  - CellRendererMode
  - CornerType
  - CssProviderError
  - CssSectionType
  - DeleteType
  - DirectionType
  - DragResult
  - EntryIconPosition
  - EventSequenceState
  - ExpanderStyle
  - FileChooserAction
  - FileChooserConfirmation
  - FileChooserError
  - IMPreeditStyle
  - IMStatusStyle
  - IconSize
  - IconThemeError
  - IconViewDropPosition
  - ImageType
  - InputPurpose
  - Justification
  - LevelBarMode
  - License
  - MenuDirectionType
  - MessageType
  - MovementStep
  - NotebookTab
  - NumberUpLayout
  - Orientation
  - PackDirection
  - PackType
  - PadActionType
  - PageOrientation
  - PageSet
  - PanDirection
  - PathPriorityType
  - PathType
  - PolicyType
  - PopoverConstraint
  - PositionType
  - PrintDuplex
  - PrintError
  - PrintOperationAction
  - PrintOperationResult
  - PrintPages
  - PrintQuality
  - PrintStatus
  - PropagationPhase
  - RcTokenType
  - RecentChooserError
  - RecentManagerError
  - RecentSortType
  - ReliefStyle
  - ResizeMode
  - ResponseType
  - RevealerTransitionType
  - ScrollStep
  - ScrollType
  - ScrollablePolicy
  - SelectionMode
  - SensitivityType
  - ShadowType
  - ShortcutType
  - SizeGroupMode
  - SizeRequestMode
  - SortType
  - SpinButtonUpdatePolicy
  - SpinType
  - StackTransitionType
  - StateType
  - TextBufferTargetInfo
  - TextDirection
  - TextExtendSelection
  - TextViewLayer
  - TextWindowType
  - ToolbarSpaceStyle
  - ToolbarStyle
  - TreeViewColumnSizing
  - TreeViewDropPosition
  - TreeViewGridLines
  - Unit
  - WidgetHelpType
  - WindowPosition
  - WindowType
  - WrapMode

Description

Synopsis

- data Align
  - = AlignFill
  - | AlignStart
  - | AlignEnd
  - | AlignCenter
  - | AlignBaseline
  - | AnotherAlign Int
- data ArrowPlacement
  - = ArrowPlacementBoth
  - | ArrowPlacementStart
  - | ArrowPlacementEnd
  - | AnotherArrowPlacement Int
- data ArrowType
  - = ArrowTypeUp
  - | ArrowTypeDown
  - | ArrowTypeLeft
  - | ArrowTypeRight
  - | ArrowTypeNone
  - | AnotherArrowType Int
- data AssistantPageType
  - = AssistantPageTypeContent
  - | AssistantPageTypeIntro
  - | AssistantPageTypeConfirm
  - | AssistantPageTypeSummary
  - | AssistantPageTypeProgress
  - | AssistantPageTypeCustom
  - | AnotherAssistantPageType Int
- data BaselinePosition
  - = BaselinePositionTop
  - | BaselinePositionCenter
  - | BaselinePositionBottom
  - | AnotherBaselinePosition Int
- data BorderStyle
  - = BorderStyleNone
  - | BorderStyleSolid
  - | BorderStyleInset
  - | BorderStyleOutset
  - | BorderStyleHidden
  - | BorderStyleDotted
  - | BorderStyleDashed
  - | BorderStyleDouble
  - | BorderStyleGroove
  - | BorderStyleRidge
  - | AnotherBorderStyle Int
- data BuilderError
  - = BuilderErrorInvalidTypeFunction
  - | BuilderErrorUnhandledTag
  - | BuilderErrorMissingAttribute
  - | BuilderErrorInvalidAttribute
  - | BuilderErrorInvalidTag
  - | BuilderErrorMissingPropertyValue
  - | BuilderErrorInvalidValue
  - | BuilderErrorVersionMismatch
  - | BuilderErrorDuplicateId
  - | BuilderErrorObjectTypeRefused
  - | BuilderErrorTemplateMismatch
  - | BuilderErrorInvalidProperty
  - | BuilderErrorInvalidSignal
  - | BuilderErrorInvalidId
  - | AnotherBuilderError Int
- catchBuilderError :: IO a -> (BuilderError -> GErrorMessage -> IO a) -> IO a
- handleBuilderError :: (BuilderError -> GErrorMessage -> IO a) -> IO a -> IO a
- data ButtonBoxStyle
  - = ButtonBoxStyleSpread
  - | ButtonBoxStyleEdge
  - | ButtonBoxStyleStart
  - | ButtonBoxStyleEnd
  - | ButtonBoxStyleCenter
  - | ButtonBoxStyleExpand
  - | AnotherButtonBoxStyle Int
- data ButtonRole
  - = ButtonRoleNormal
  - | ButtonRoleCheck
  - | ButtonRoleRadio
  - | AnotherButtonRole Int
- data ButtonsType
  - = ButtonsTypeNone
  - | ButtonsTypeOk
  - | ButtonsTypeClose
  - | ButtonsTypeCancel
  - | ButtonsTypeYesNo
  - | ButtonsTypeOkCancel
  - | AnotherButtonsType Int
- data CellRendererAccelMode
  - = CellRendererAccelModeGtk
  - | CellRendererAccelModeOther
  - | CellRendererAccelModeModifierTap
  - | AnotherCellRendererAccelMode Int
- data CellRendererMode
  - = CellRendererModeInert
  - | CellRendererModeActivatable
  - | CellRendererModeEditable
  - | AnotherCellRendererMode Int
- data CornerType
  - = CornerTypeTopLeft
  - | CornerTypeBottomLeft
  - | CornerTypeTopRight
  - | CornerTypeBottomRight
  - | AnotherCornerType Int
- data CssProviderError
  - = CssProviderErrorFailed
  - | CssProviderErrorSyntax
  - | CssProviderErrorImport
  - | CssProviderErrorName
  - | CssProviderErrorDeprecated
  - | CssProviderErrorUnknownValue
  - | AnotherCssProviderError Int
- catchCssProviderError :: IO a -> (CssProviderError -> GErrorMessage -> IO a) -> IO a
- handleCssProviderError :: (CssProviderError -> GErrorMessage -> IO a) -> IO a -> IO a
- data CssSectionType
  - = CssSectionTypeDocument
  - | CssSectionTypeImport
  - | CssSectionTypeColorDefinition
  - | CssSectionTypeBindingSet
  - | CssSectionTypeRuleset
  - | CssSectionTypeSelector
  - | CssSectionTypeDeclaration
  - | CssSectionTypeValue
  - | CssSectionTypeKeyframes
  - | AnotherCssSectionType Int
- data DeleteType
  - = DeleteTypeChars
  - | DeleteTypeWordEnds
  - | DeleteTypeWords
  - | DeleteTypeDisplayLines
  - | DeleteTypeDisplayLineEnds
  - | DeleteTypeParagraphEnds
  - | DeleteTypeParagraphs
  - | DeleteTypeWhitespace
  - | AnotherDeleteType Int
- data DirectionType
  - = DirectionTypeTabForward
  - | DirectionTypeTabBackward
  - | DirectionTypeUp
  - | DirectionTypeDown
  - | DirectionTypeLeft
  - | DirectionTypeRight
  - | AnotherDirectionType Int
- data DragResult
  - = DragResultSuccess
  - | DragResultNoTarget
  - | DragResultUserCancelled
  - | DragResultTimeoutExpired
  - | DragResultGrabBroken
  - | DragResultError
  - | AnotherDragResult Int
- data EntryIconPosition
  - = EntryIconPositionPrimary
  - | EntryIconPositionSecondary
  - | AnotherEntryIconPosition Int
- data EventSequenceState
  - = EventSequenceStateNone
  - | EventSequenceStateClaimed
  - | EventSequenceStateDenied
  - | AnotherEventSequenceState Int
- data ExpanderStyle
  - = ExpanderStyleCollapsed
  - | ExpanderStyleSemiCollapsed
  - | ExpanderStyleSemiExpanded
  - | ExpanderStyleExpanded
  - | AnotherExpanderStyle Int
- data FileChooserAction
  - = FileChooserActionOpen
  - | FileChooserActionSave
  - | FileChooserActionSelectFolder
  - | FileChooserActionCreateFolder
  - | AnotherFileChooserAction Int
- data FileChooserConfirmation
  - = FileChooserConfirmationConfirm
  - | FileChooserConfirmationAcceptFilename
  - | FileChooserConfirmationSelectAgain
  - | AnotherFileChooserConfirmation Int
- data FileChooserError
  - = FileChooserErrorNonexistent
  - | FileChooserErrorBadFilename
  - | FileChooserErrorAlreadyExists
  - | FileChooserErrorIncompleteHostname
  - | AnotherFileChooserError Int
- catchFileChooserError :: IO a -> (FileChooserError -> GErrorMessage -> IO a) -> IO a
- handleFileChooserError :: (FileChooserError -> GErrorMessage -> IO a) -> IO a -> IO a
- data IMPreeditStyle
  - = IMPreeditStyleNothing
  - | IMPreeditStyleCallback
  - | IMPreeditStyleNone
  - | AnotherIMPreeditStyle Int
- data IMStatusStyle
  - = IMStatusStyleNothing
  - | IMStatusStyleCallback
  - | IMStatusStyleNone
  - | AnotherIMStatusStyle Int
- data IconSize
  - = IconSizeInvalid
  - | IconSizeMenu
  - | IconSizeSmallToolbar
  - | IconSizeLargeToolbar
  - | IconSizeButton
  - | IconSizeDnd
  - | IconSizeDialog
  - | AnotherIconSize Int
- data IconThemeError
  - = IconThemeErrorNotFound
  - | IconThemeErrorFailed
  - | AnotherIconThemeError Int
- catchIconThemeError :: IO a -> (IconThemeError -> GErrorMessage -> IO a) -> IO a
- handleIconThemeError :: (IconThemeError -> GErrorMessage -> IO a) -> IO a -> IO a
- data IconViewDropPosition
  - = IconViewDropPositionNoDrop
  - | IconViewDropPositionDropInto
  - | IconViewDropPositionDropLeft
  - | IconViewDropPositionDropRight
  - | IconViewDropPositionDropAbove
  - | IconViewDropPositionDropBelow
  - | AnotherIconViewDropPosition Int
- data ImageType
  - = ImageTypeEmpty
  - | ImageTypePixbuf
  - | ImageTypeStock
  - | ImageTypeIconSet
  - | ImageTypeAnimation
  - | ImageTypeIconName
  - | ImageTypeGicon
  - | ImageTypeSurface
  - | AnotherImageType Int
- data InputPurpose
  - = InputPurposeFreeForm
  - | InputPurposeAlpha
  - | InputPurposeDigits
  - | InputPurposeNumber
  - | InputPurposePhone
  - | InputPurposeUrl
  - | InputPurposeEmail
  - | InputPurposeName
  - | InputPurposePassword
  - | InputPurposePin
  - | InputPurposeTerminal
  - | AnotherInputPurpose Int
- data Justification
  - = JustificationLeft
  - | JustificationRight
  - | JustificationCenter
  - | JustificationFill
  - | AnotherJustification Int
- data LevelBarMode
  - = LevelBarModeContinuous
  - | LevelBarModeDiscrete
  - | AnotherLevelBarMode Int
- data License
  - = LicenseUnknown
  - | LicenseCustom
  - | LicenseGpl20
  - | LicenseGpl30
  - | LicenseLgpl21
  - | LicenseLgpl30
  - | LicenseBsd
  - | LicenseMitX11
  - | LicenseArtistic
  - | LicenseGpl20Only
  - | LicenseGpl30Only
  - | LicenseLgpl21Only
  - | LicenseLgpl30Only
  - | LicenseAgpl30
  - | LicenseAgpl30Only
  - | LicenseBsd3
  - | LicenseApache20
  - | LicenseMpl20
  - | AnotherLicense Int
- data MenuDirectionType
  - = MenuDirectionTypeParent
  - | MenuDirectionTypeChild
  - | MenuDirectionTypeNext
  - | MenuDirectionTypePrev
  - | AnotherMenuDirectionType Int
- data MessageType
  - = MessageTypeInfo
  - | MessageTypeWarning
  - | MessageTypeQuestion
  - | MessageTypeError
  - | MessageTypeOther
  - | AnotherMessageType Int
- data MovementStep
  - = MovementStepLogicalPositions
  - | MovementStepVisualPositions
  - | MovementStepWords
  - | MovementStepDisplayLines
  - | MovementStepDisplayLineEnds
  - | MovementStepParagraphs
  - | MovementStepParagraphEnds
  - | MovementStepPages
  - | MovementStepBufferEnds
  - | MovementStepHorizontalPages
  - | AnotherMovementStep Int
- data NotebookTab
  - = NotebookTabFirst
  - | NotebookTabLast
  - | AnotherNotebookTab Int
- data NumberUpLayout
  - = NumberUpLayoutLrtb
  - | NumberUpLayoutLrbt
  - | NumberUpLayoutRltb
  - | NumberUpLayoutRlbt
  - | NumberUpLayoutTblr
  - | NumberUpLayoutTbrl
  - | NumberUpLayoutBtlr
  - | NumberUpLayoutBtrl
  - | AnotherNumberUpLayout Int
- data Orientation
  - = OrientationHorizontal
  - | OrientationVertical
  - | AnotherOrientation Int
- data PackDirection
  - = PackDirectionLtr
  - | PackDirectionRtl
  - | PackDirectionTtb
  - | PackDirectionBtt
  - | AnotherPackDirection Int
- data PackType
  - = PackTypeStart
  - | PackTypeEnd
  - | AnotherPackType Int
- data PadActionType
  - = PadActionTypeButton
  - | PadActionTypeRing
  - | PadActionTypeStrip
  - | AnotherPadActionType Int
- data PageOrientation
  - = PageOrientationPortrait
  - | PageOrientationLandscape
  - | PageOrientationReversePortrait
  - | PageOrientationReverseLandscape
  - | AnotherPageOrientation Int
- data PageSet
  - = PageSetAll
  - | PageSetEven
  - | PageSetOdd
  - | AnotherPageSet Int
- data PanDirection
  - = PanDirectionLeft
  - | PanDirectionRight
  - | PanDirectionUp
  - | PanDirectionDown
  - | AnotherPanDirection Int
- data PathPriorityType
  - = PathPriorityTypeLowest
  - | PathPriorityTypeGtk
  - | PathPriorityTypeApplication
  - | PathPriorityTypeTheme
  - | PathPriorityTypeRc
  - | PathPriorityTypeHighest
  - | AnotherPathPriorityType Int
- data PathType
  - = PathTypeWidget
  - | PathTypeWidgetClass
  - | PathTypeClass
  - | AnotherPathType Int
- data PolicyType
  - = PolicyTypeAlways
  - | PolicyTypeAutomatic
  - | PolicyTypeNever
  - | PolicyTypeExternal
  - | AnotherPolicyType Int
- data PopoverConstraint
  - = PopoverConstraintNone
  - | PopoverConstraintWindow
  - | AnotherPopoverConstraint Int
- data PositionType
  - = PositionTypeLeft
  - | PositionTypeRight
  - | PositionTypeTop
  - | PositionTypeBottom
  - | AnotherPositionType Int
- data PrintDuplex
  - = PrintDuplexSimplex
  - | PrintDuplexHorizontal
  - | PrintDuplexVertical
  - | AnotherPrintDuplex Int
- data PrintError
  - = PrintErrorGeneral
  - | PrintErrorInternalError
  - | PrintErrorNomem
  - | PrintErrorInvalidFile
  - | AnotherPrintError Int
- catchPrintError :: IO a -> (PrintError -> GErrorMessage -> IO a) -> IO a
- handlePrintError :: (PrintError -> GErrorMessage -> IO a) -> IO a -> IO a
- data PrintOperationAction
  - = PrintOperationActionPrintDialog
  - | PrintOperationActionPrint
  - | PrintOperationActionPreview
  - | PrintOperationActionExport
  - | AnotherPrintOperationAction Int
- data PrintOperationResult
  - = PrintOperationResultError
  - | PrintOperationResultApply
  - | PrintOperationResultCancel
  - | PrintOperationResultInProgress
  - | AnotherPrintOperationResult Int
- data PrintPages
  - = PrintPagesAll
  - | PrintPagesCurrent
  - | PrintPagesRanges
  - | PrintPagesSelection
  - | AnotherPrintPages Int
- data PrintQuality
  - = PrintQualityLow
  - | PrintQualityNormal
  - | PrintQualityHigh
  - | PrintQualityDraft
  - | AnotherPrintQuality Int
- data PrintStatus
  - = PrintStatusInitial
  - | PrintStatusPreparing
  - | PrintStatusGeneratingData
  - | PrintStatusSendingData
  - | PrintStatusPending
  - | PrintStatusPendingIssue
  - | PrintStatusPrinting
  - | PrintStatusFinished
  - | PrintStatusFinishedAborted
  - | AnotherPrintStatus Int
- data PropagationPhase
  - = PropagationPhaseNone
  - | PropagationPhaseCapture
  - | PropagationPhaseBubble
  - | PropagationPhaseTarget
  - | AnotherPropagationPhase Int
- data RcTokenType
  - = RcTokenTypeInvalid
  - | RcTokenTypeInclude
  - | RcTokenTypeNormal
  - | RcTokenTypeActive
  - | RcTokenTypePrelight
  - | RcTokenTypeSelected
  - | RcTokenTypeInsensitive
  - | RcTokenTypeFg
  - | RcTokenTypeBg
  - | RcTokenTypeText
  - | RcTokenTypeBase
  - | RcTokenTypeXthickness
  - | RcTokenTypeYthickness
  - | RcTokenTypeFont
  - | RcTokenTypeFontset
  - | RcTokenTypeFontName
  - | RcTokenTypeBgPixmap
  - | RcTokenTypePixmapPath
  - | RcTokenTypeStyle
  - | RcTokenTypeBinding
  - | RcTokenTypeBind
  - | RcTokenTypeWidget
  - | RcTokenTypeWidgetClass
  - | RcTokenTypeClass
  - | RcTokenTypeLowest
  - | RcTokenTypeGtk
  - | RcTokenTypeApplication
  - | RcTokenTypeTheme
  - | RcTokenTypeRc
  - | RcTokenTypeHighest
  - | RcTokenTypeEngine
  - | RcTokenTypeModulePath
  - | RcTokenTypeImModulePath
  - | RcTokenTypeImModuleFile
  - | RcTokenTypeStock
  - | RcTokenTypeLtr
  - | RcTokenTypeRtl
  - | RcTokenTypeColor
  - | RcTokenTypeUnbind
  - | RcTokenTypeLast
  - | AnotherRcTokenType Int
- data RecentChooserError
  - = RecentChooserErrorNotFound
  - | RecentChooserErrorInvalidUri
  - | AnotherRecentChooserError Int
- catchRecentChooserError :: IO a -> (RecentChooserError -> GErrorMessage -> IO a) -> IO a
- handleRecentChooserError :: (RecentChooserError -> GErrorMessage -> IO a) -> IO a -> IO a
- data RecentManagerError
  - = RecentManagerErrorNotFound
  - | RecentManagerErrorInvalidUri
  - | RecentManagerErrorInvalidEncoding
  - | RecentManagerErrorNotRegistered
  - | RecentManagerErrorRead
  - | RecentManagerErrorWrite
  - | RecentManagerErrorUnknown
  - | AnotherRecentManagerError Int
- catchRecentManagerError :: IO a -> (RecentManagerError -> GErrorMessage -> IO a) -> IO a
- handleRecentManagerError :: (RecentManagerError -> GErrorMessage -> IO a) -> IO a -> IO a
- data RecentSortType
  - = RecentSortTypeNone
  - | RecentSortTypeMru
  - | RecentSortTypeLru
  - | RecentSortTypeCustom
  - | AnotherRecentSortType Int
- data ReliefStyle
  - = ReliefStyleNormal
  - | ReliefStyleHalf
  - | ReliefStyleNone
  - | AnotherReliefStyle Int
- data ResizeMode
  - = ResizeModeParent
  - | ResizeModeQueue
  - | ResizeModeImmediate
  - | AnotherResizeMode Int
- data ResponseType
  - = ResponseTypeNone
  - | ResponseTypeReject
  - | ResponseTypeAccept
  - | ResponseTypeDeleteEvent
  - | ResponseTypeOk
  - | ResponseTypeCancel
  - | ResponseTypeClose
  - | ResponseTypeYes
  - | ResponseTypeNo
  - | ResponseTypeApply
  - | ResponseTypeHelp
  - | AnotherResponseType Int
- data RevealerTransitionType
  - = RevealerTransitionTypeNone
  - | RevealerTransitionTypeCrossfade
  - | RevealerTransitionTypeSlideRight
  - | RevealerTransitionTypeSlideLeft
  - | RevealerTransitionTypeSlideUp
  - | RevealerTransitionTypeSlideDown
  - | AnotherRevealerTransitionType Int
- data ScrollStep
  - = ScrollStepSteps
  - | ScrollStepPages
  - | ScrollStepEnds
  - | ScrollStepHorizontalSteps
  - | ScrollStepHorizontalPages
  - | ScrollStepHorizontalEnds
  - | AnotherScrollStep Int
- data ScrollType
  - = ScrollTypeNone
  - | ScrollTypeJump
  - | ScrollTypeStepBackward
  - | ScrollTypeStepForward
  - | ScrollTypePageBackward
  - | ScrollTypePageForward
  - | ScrollTypeStepUp
  - | ScrollTypeStepDown
  - | ScrollTypePageUp
  - | ScrollTypePageDown
  - | ScrollTypeStepLeft
  - | ScrollTypeStepRight
  - | ScrollTypePageLeft
  - | ScrollTypePageRight
  - | ScrollTypeStart
  - | ScrollTypeEnd
  - | AnotherScrollType Int
- data ScrollablePolicy
  - = ScrollablePolicyMinimum
  - | ScrollablePolicyNatural
  - | AnotherScrollablePolicy Int
- data SelectionMode
  - = SelectionModeNone
  - | SelectionModeSingle
  - | SelectionModeBrowse
  - | SelectionModeMultiple
  - | AnotherSelectionMode Int
- data SensitivityType
  - = SensitivityTypeAuto
  - | SensitivityTypeOn
  - | SensitivityTypeOff
  - | AnotherSensitivityType Int
- data ShadowType
  - = ShadowTypeNone
  - | ShadowTypeIn
  - | ShadowTypeOut
  - | ShadowTypeEtchedIn
  - | ShadowTypeEtchedOut
  - | AnotherShadowType Int
- data ShortcutType
  - = ShortcutTypeAccelerator
  - | ShortcutTypeGesturePinch
  - | ShortcutTypeGestureStretch
  - | ShortcutTypeGestureRotateClockwise
  - | ShortcutTypeGestureRotateCounterclockwise
  - | ShortcutTypeGestureTwoFingerSwipeLeft
  - | ShortcutTypeGestureTwoFingerSwipeRight
  - | ShortcutTypeGesture
  - | AnotherShortcutType Int
- data SizeGroupMode
  - = SizeGroupModeNone
  - | SizeGroupModeHorizontal
  - | SizeGroupModeVertical
  - | SizeGroupModeBoth
  - | AnotherSizeGroupMode Int
- data SizeRequestMode
  - = SizeRequestModeHeightForWidth
  - | SizeRequestModeWidthForHeight
  - | SizeRequestModeConstantSize
  - | AnotherSizeRequestMode Int
- data SortType
  - = SortTypeAscending
  - | SortTypeDescending
  - | AnotherSortType Int
- data SpinButtonUpdatePolicy
  - = SpinButtonUpdatePolicyAlways
  - | SpinButtonUpdatePolicyIfValid
  - | AnotherSpinButtonUpdatePolicy Int
- data SpinType
  - = SpinTypeStepForward
  - | SpinTypeStepBackward
  - | SpinTypePageForward
  - | SpinTypePageBackward
  - | SpinTypeHome
  - | SpinTypeEnd
  - | SpinTypeUserDefined
  - | AnotherSpinType Int
- data StackTransitionType
  - = StackTransitionTypeNone
  - | StackTransitionTypeCrossfade
  - | StackTransitionTypeSlideRight
  - | StackTransitionTypeSlideLeft
  - | StackTransitionTypeSlideUp
  - | StackTransitionTypeSlideDown
  - | StackTransitionTypeSlideLeftRight
  - | StackTransitionTypeSlideUpDown
  - | StackTransitionTypeOverUp
  - | StackTransitionTypeOverDown
  - | StackTransitionTypeOverLeft
  - | StackTransitionTypeOverRight
  - | StackTransitionTypeUnderUp
  - | StackTransitionTypeUnderDown
  - | StackTransitionTypeUnderLeft
  - | StackTransitionTypeUnderRight
  - | StackTransitionTypeOverUpDown
  - | StackTransitionTypeOverDownUp
  - | StackTransitionTypeOverLeftRight
  - | StackTransitionTypeOverRightLeft
  - | AnotherStackTransitionType Int
- data StateType
  - = StateTypeNormal
  - | StateTypeActive
  - | StateTypePrelight
  - | StateTypeSelected
  - | StateTypeInsensitive
  - | StateTypeInconsistent
  - | StateTypeFocused
  - | AnotherStateType Int
- data TextBufferTargetInfo
  - = TextBufferTargetInfoBufferContents
  - | TextBufferTargetInfoRichText
  - | TextBufferTargetInfoText
  - | AnotherTextBufferTargetInfo Int
- data TextDirection
  - = TextDirectionNone
  - | TextDirectionLtr
  - | TextDirectionRtl
  - | AnotherTextDirection Int
- data TextExtendSelection
  - = TextExtendSelectionWord
  - | TextExtendSelectionLine
  - | AnotherTextExtendSelection Int
- data TextViewLayer
  - = TextViewLayerBelow
  - | TextViewLayerAbove
  - | TextViewLayerBelowText
  - | TextViewLayerAboveText
  - | AnotherTextViewLayer Int
- data TextWindowType
  - = TextWindowTypePrivate
  - | TextWindowTypeWidget
  - | TextWindowTypeText
  - | TextWindowTypeLeft
  - | TextWindowTypeRight
  - | TextWindowTypeTop
  - | TextWindowTypeBottom
  - | AnotherTextWindowType Int
- data ToolbarSpaceStyle
  - = ToolbarSpaceStyleEmpty
  - | ToolbarSpaceStyleLine
  - | AnotherToolbarSpaceStyle Int
- data ToolbarStyle
  - = ToolbarStyleIcons
  - | ToolbarStyleText
  - | ToolbarStyleBoth
  - | ToolbarStyleBothHoriz
  - | AnotherToolbarStyle Int
- data TreeViewColumnSizing
  - = TreeViewColumnSizingGrowOnly
  - | TreeViewColumnSizingAutosize
  - | TreeViewColumnSizingFixed
  - | AnotherTreeViewColumnSizing Int
- data TreeViewDropPosition
  - = TreeViewDropPositionBefore
  - | TreeViewDropPositionAfter
  - | TreeViewDropPositionIntoOrBefore
  - | TreeViewDropPositionIntoOrAfter
  - | AnotherTreeViewDropPosition Int
- data TreeViewGridLines
  - = TreeViewGridLinesNone
  - | TreeViewGridLinesHorizontal
  - | TreeViewGridLinesVertical
  - | TreeViewGridLinesBoth
  - | AnotherTreeViewGridLines Int
- data Unit
  - = UnitNone
  - | UnitPoints
  - | UnitInch
  - | UnitMm
  - | AnotherUnit Int
- data WidgetHelpType
  - = WidgetHelpTypeTooltip
  - | WidgetHelpTypeWhatsThis
  - | AnotherWidgetHelpType Int
- data WindowPosition
  - = WindowPositionNone
  - | WindowPositionCenter
  - | WindowPositionMouse
  - | WindowPositionCenterAlways
  - | WindowPositionCenterOnParent
  - | AnotherWindowPosition Int
- data WindowType
  - = WindowTypeToplevel
  - | WindowTypePopup
  - | AnotherWindowType Int
- data WrapMode
  - = WrapModeNone
  - | WrapModeChar
  - | WrapModeWord
  - | WrapModeWordChar
  - | AnotherWrapMode Int

# Enumerations

## Align

data Align Source #

Controls how a widget deals with extra space in a single (x or y) dimension.

Alignment only matters if the widget receives a “too large” allocation, for example if you packed the widget with the Widget:expand flag inside a `Box`, then the widget might get extra space. If you have for example a 16x16 icon inside a 32x32 space, the icon could be scaled and stretched, it could be centered, or it could be positioned to one side of the space.

Note that in horizontal context `gTKALIGNSTART` and `gTKALIGNEND` are interpreted relative to text direction.

GTK_ALIGN_BASELINE support for it is optional for containers and widgets, and it is only supported for vertical alignment. When its not supported by a child or a container it is treated as `gTKALIGNFILL`.

Constructors

AlignFill | stretch to fill all space if possible, center if no meaningful way to stretch
AlignStart | snap to left or top side, leaving space on right or bottom
AlignEnd | snap to right or bottom side, leaving space on left or top
AlignCenter | center natural width of widget inside the allocation
AlignBaseline | align the widget according to the baseline. Since 3.10.
AnotherAlign Int | Catch-all for unknown values

#### Instances

Instances details

Enum Align Source # |
Instance details Defined in GI.Gtk.Enums Methods succ :: Align -> Align Source # pred :: Align -> Align Source # toEnum :: Int -> Align Source # fromEnum :: Align -> Int Source # enumFrom :: Align -> [Align] Source # enumFromThen :: Align -> Align -> [Align] Source # enumFromTo :: Align -> Align -> [Align] Source # enumFromThenTo :: Align -> Align -> Align -> [Align] Source #
Show Align Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> Align -> ShowS Source # show :: Align -> String Source # showList :: [Align] -> ShowS Source #
Eq Align Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: Align -> Align -> Bool Source # (/=) :: Align -> Align -> Bool Source #
Ord Align Source # |
Instance details Defined in GI.Gtk.Enums Methods compare :: Align -> Align -> Ordering Source # (<) :: Align -> Align -> Bool Source # (<=) :: Align -> Align -> Bool Source # (>) :: Align -> Align -> Bool Source # (>=) :: Align -> Align -> Bool Source # max :: Align -> Align -> Align Source # min :: Align -> Align -> Align Source #
BoxedEnum Align Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject Align Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes Align Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes Align Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes Align = '[] :: [Type]

## ArrowPlacement

data ArrowPlacement Source #

Used to specify the placement of scroll arrows in scrolling menus.

Constructors

ArrowPlacementBoth | Place one arrow on each end of the menu.
ArrowPlacementStart | Place both arrows at the top of the menu.
ArrowPlacementEnd | Place both arrows at the bottom of the menu.
AnotherArrowPlacement Int | Catch-all for unknown values

#### Instances

Instances details

Enum ArrowPlacement Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: ArrowPlacement -> ArrowPlacement Source #

pred :: ArrowPlacement -> ArrowPlacement Source #

toEnum :: Int -> ArrowPlacement Source #

fromEnum :: ArrowPlacement -> Int Source #

enumFrom :: ArrowPlacement -> [ArrowPlacement] Source #

enumFromThen :: ArrowPlacement -> ArrowPlacement -> [ArrowPlacement] Source #

enumFromTo :: ArrowPlacement -> ArrowPlacement -> [ArrowPlacement] Source #

enumFromThenTo :: ArrowPlacement -> ArrowPlacement -> ArrowPlacement -> [ArrowPlacement] Source #

Show ArrowPlacement Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> ArrowPlacement -> ShowS Source # show :: ArrowPlacement -> String Source # showList :: [ArrowPlacement] -> ShowS Source #
Eq ArrowPlacement Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: ArrowPlacement -> ArrowPlacement -> Bool Source # (/=) :: ArrowPlacement -> ArrowPlacement -> Bool Source #
Ord ArrowPlacement Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: ArrowPlacement -> ArrowPlacement -> Ordering Source #

(<) :: ArrowPlacement -> ArrowPlacement -> Bool Source #

(<=) :: ArrowPlacement -> ArrowPlacement -> Bool Source #

(>) :: ArrowPlacement -> ArrowPlacement -> Bool Source #

(>=) :: ArrowPlacement -> ArrowPlacement -> Bool Source #

max :: ArrowPlacement -> ArrowPlacement -> ArrowPlacement Source #

min :: ArrowPlacement -> ArrowPlacement -> ArrowPlacement Source #

BoxedEnum ArrowPlacement Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject ArrowPlacement Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes ArrowPlacement Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes ArrowPlacement Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes ArrowPlacement = '[] :: [Type]

## ArrowType

data ArrowType Source #

Used to indicate the direction in which an arrow should point.

Constructors

ArrowTypeUp | Represents an upward pointing arrow.
ArrowTypeDown | Represents a downward pointing arrow.
ArrowTypeLeft | Represents a left pointing arrow.
ArrowTypeRight | Represents a right pointing arrow.
ArrowTypeNone | No arrow. Since 2.10.
AnotherArrowType Int | Catch-all for unknown values

#### Instances

Instances details

Enum ArrowType Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: ArrowType -> ArrowType Source #

pred :: ArrowType -> ArrowType Source #

toEnum :: Int -> ArrowType Source #

fromEnum :: ArrowType -> Int Source #

enumFrom :: ArrowType -> [ArrowType] Source #

enumFromThen :: ArrowType -> ArrowType -> [ArrowType] Source #

enumFromTo :: ArrowType -> ArrowType -> [ArrowType] Source #

enumFromThenTo :: ArrowType -> ArrowType -> ArrowType -> [ArrowType] Source #

Show ArrowType Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> ArrowType -> ShowS Source # show :: ArrowType -> String Source # showList :: [ArrowType] -> ShowS Source #
Eq ArrowType Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: ArrowType -> ArrowType -> Bool Source # (/=) :: ArrowType -> ArrowType -> Bool Source #
Ord ArrowType Source # |
Instance details Defined in GI.Gtk.Enums Methods compare :: ArrowType -> ArrowType -> Ordering Source # (<) :: ArrowType -> ArrowType -> Bool Source # (<=) :: ArrowType -> ArrowType -> Bool Source # (>) :: ArrowType -> ArrowType -> Bool Source # (>=) :: ArrowType -> ArrowType -> Bool Source # max :: ArrowType -> ArrowType -> ArrowType Source # min :: ArrowType -> ArrowType -> ArrowType Source #
BoxedEnum ArrowType Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject ArrowType Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes ArrowType Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes ArrowType Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes ArrowType = '[] :: [Type]

## AssistantPageType

data AssistantPageType Source #

An enum for determining the page role inside the `Assistant`. It's used to handle buttons sensitivity and visibility.

Note that an assistant needs to end its page flow with a page of type `AssistantPageTypeConfirm`, `AssistantPageTypeSummary` or `AssistantPageTypeProgress` to be correct.

The Cancel button will only be shown if the page isn’t “committed”. See `assistantCommit` for details.

Constructors

AssistantPageTypeContent | The page has regular contents. Both the Back and forward buttons will be shown.
AssistantPageTypeIntro | The page contains an introduction to the assistant task. Only the Forward button will be shown if there is a next page.
AssistantPageTypeConfirm | The page lets the user confirm or deny the changes. The Back and Apply buttons will be shown.
AssistantPageTypeSummary | The page informs the user of the changes done. Only the Close button will be shown.
AssistantPageTypeProgress | Used for tasks that take a long time to complete, blocks the assistant until the page is marked as complete. Only the back button will be shown.
AssistantPageTypeCustom | Used for when other page types are not appropriate. No buttons will be shown, and the application must add its own buttons through `assistantAddActionWidget`.
AnotherAssistantPageType Int | Catch-all for unknown values

#### Instances

Instances details

Enum AssistantPageType Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: AssistantPageType -> AssistantPageType Source #

pred :: AssistantPageType -> AssistantPageType Source #

toEnum :: Int -> AssistantPageType Source #

fromEnum :: AssistantPageType -> Int Source #

enumFrom :: AssistantPageType -> [AssistantPageType] Source #

enumFromThen :: AssistantPageType -> AssistantPageType -> [AssistantPageType] Source #

enumFromTo :: AssistantPageType -> AssistantPageType -> [AssistantPageType] Source #

enumFromThenTo :: AssistantPageType -> AssistantPageType -> AssistantPageType -> [AssistantPageType] Source #

Show AssistantPageType Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> AssistantPageType -> ShowS Source # show :: AssistantPageType -> String Source # showList :: [AssistantPageType] -> ShowS Source #
Eq AssistantPageType Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: AssistantPageType -> AssistantPageType -> Bool Source # (/=) :: AssistantPageType -> AssistantPageType -> Bool Source #
Ord AssistantPageType Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: AssistantPageType -> AssistantPageType -> Ordering Source #

(<) :: AssistantPageType -> AssistantPageType -> Bool Source #

(<=) :: AssistantPageType -> AssistantPageType -> Bool Source #

(>) :: AssistantPageType -> AssistantPageType -> Bool Source #

(>=) :: AssistantPageType -> AssistantPageType -> Bool Source #

max :: AssistantPageType -> AssistantPageType -> AssistantPageType Source #

min :: AssistantPageType -> AssistantPageType -> AssistantPageType Source #

BoxedEnum AssistantPageType Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject AssistantPageType Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes AssistantPageType Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes AssistantPageType Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes AssistantPageType = '[] :: [Type]

## BaselinePosition

data BaselinePosition Source #

Whenever a container has some form of natural row it may align children in that row along a common typographical baseline. If the amount of verical space in the row is taller than the total requested height of the baseline-aligned children then it can use a `BaselinePosition` to select where to put the baseline inside the extra availible space.

Since: 3.10

Constructors

BaselinePositionTop | Align the baseline at the top
BaselinePositionCenter | Center the baseline
BaselinePositionBottom | Align the baseline at the bottom
AnotherBaselinePosition Int | Catch-all for unknown values

#### Instances

Instances details

Enum BaselinePosition Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: BaselinePosition -> BaselinePosition Source #

pred :: BaselinePosition -> BaselinePosition Source #

toEnum :: Int -> BaselinePosition Source #

fromEnum :: BaselinePosition -> Int Source #

enumFrom :: BaselinePosition -> [BaselinePosition] Source #

enumFromThen :: BaselinePosition -> BaselinePosition -> [BaselinePosition] Source #

enumFromTo :: BaselinePosition -> BaselinePosition -> [BaselinePosition] Source #

enumFromThenTo :: BaselinePosition -> BaselinePosition -> BaselinePosition -> [BaselinePosition] Source #

Show BaselinePosition Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> BaselinePosition -> ShowS Source # show :: BaselinePosition -> String Source # showList :: [BaselinePosition] -> ShowS Source #
Eq BaselinePosition Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: BaselinePosition -> BaselinePosition -> Bool Source # (/=) :: BaselinePosition -> BaselinePosition -> Bool Source #
Ord BaselinePosition Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: BaselinePosition -> BaselinePosition -> Ordering Source #

(<) :: BaselinePosition -> BaselinePosition -> Bool Source #

(<=) :: BaselinePosition -> BaselinePosition -> Bool Source #

(>) :: BaselinePosition -> BaselinePosition -> Bool Source #

(>=) :: BaselinePosition -> BaselinePosition -> Bool Source #

max :: BaselinePosition -> BaselinePosition -> BaselinePosition Source #

min :: BaselinePosition -> BaselinePosition -> BaselinePosition Source #

BoxedEnum BaselinePosition Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject BaselinePosition Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes BaselinePosition Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes BaselinePosition Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes BaselinePosition = '[] :: [Type]

## BorderStyle

data BorderStyle Source #

Describes how the border of a UI element should be rendered.

Constructors

BorderStyleNone | No visible border
BorderStyleSolid | A single line segment
BorderStyleInset | Looks as if the content is sunken into the canvas
BorderStyleOutset | Looks as if the content is coming out of the canvas
BorderStyleHidden | Same as `gTKBORDERSTYLENONE`
BorderStyleDotted | A series of round dots
BorderStyleDashed | A series of square-ended dashes
BorderStyleDouble | Two parallel lines with some space between them
BorderStyleGroove | Looks as if it were carved in the canvas
BorderStyleRidge | Looks as if it were coming out of the canvas
AnotherBorderStyle Int | Catch-all for unknown values

#### Instances

Instances details

Enum BorderStyle Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: BorderStyle -> BorderStyle Source #

pred :: BorderStyle -> BorderStyle Source #

toEnum :: Int -> BorderStyle Source #

fromEnum :: BorderStyle -> Int Source #

enumFrom :: BorderStyle -> [BorderStyle] Source #

enumFromThen :: BorderStyle -> BorderStyle -> [BorderStyle] Source #

enumFromTo :: BorderStyle -> BorderStyle -> [BorderStyle] Source #

enumFromThenTo :: BorderStyle -> BorderStyle -> BorderStyle -> [BorderStyle] Source #

Show BorderStyle Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> BorderStyle -> ShowS Source # show :: BorderStyle -> String Source # showList :: [BorderStyle] -> ShowS Source #
Eq BorderStyle Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: BorderStyle -> BorderStyle -> Bool Source # (/=) :: BorderStyle -> BorderStyle -> Bool Source #
Ord BorderStyle Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: BorderStyle -> BorderStyle -> Ordering Source #

(<) :: BorderStyle -> BorderStyle -> Bool Source #

(<=) :: BorderStyle -> BorderStyle -> Bool Source #

(>) :: BorderStyle -> BorderStyle -> Bool Source #

(>=) :: BorderStyle -> BorderStyle -> Bool Source #

max :: BorderStyle -> BorderStyle -> BorderStyle Source #

min :: BorderStyle -> BorderStyle -> BorderStyle Source #

BoxedEnum BorderStyle Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject BorderStyle Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes BorderStyle Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes BorderStyle Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes BorderStyle = '[] :: [Type]

## BuilderError

data BuilderError Source #

Error codes that identify various errors that can occur while using `Builder`.

Constructors

BuilderErrorInvalidTypeFunction | A type-func attribute didn’t name a function that returns a `GType`.
BuilderErrorUnhandledTag | The input contained a tag that `Builder` can’t handle.
BuilderErrorMissingAttribute | An attribute that is required by `Builder` was missing.
BuilderErrorInvalidAttribute | `Builder` found an attribute that it doesn’t understand.
BuilderErrorInvalidTag | `Builder` found a tag that it doesn’t understand.
BuilderErrorMissingPropertyValue | A required property value was missing.
BuilderErrorInvalidValue | `Builder` couldn’t parse some attribute value.
BuilderErrorVersionMismatch | The input file requires a newer version of GTK+.
BuilderErrorDuplicateId | An object id occurred twice.
BuilderErrorObjectTypeRefused | A specified object type is of the same type or derived from the type of the composite class being extended with builder XML.
BuilderErrorTemplateMismatch | The wrong type was specified in a composite class’s template XML
BuilderErrorInvalidProperty | The specified property is unknown for the object class.
BuilderErrorInvalidSignal | The specified signal is unknown for the object class.
BuilderErrorInvalidId | An object id is unknown
AnotherBuilderError Int | Catch-all for unknown values

#### Instances

Instances details

Enum BuilderError Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: BuilderError -> BuilderError Source #

pred :: BuilderError -> BuilderError Source #

toEnum :: Int -> BuilderError Source #

fromEnum :: BuilderError -> Int Source #

enumFrom :: BuilderError -> [BuilderError] Source #

enumFromThen :: BuilderError -> BuilderError -> [BuilderError] Source #

enumFromTo :: BuilderError -> BuilderError -> [BuilderError] Source #

enumFromThenTo :: BuilderError -> BuilderError -> BuilderError -> [BuilderError] Source #

Show BuilderError Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> BuilderError -> ShowS Source # show :: BuilderError -> String Source # showList :: [BuilderError] -> ShowS Source #
Eq BuilderError Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: BuilderError -> BuilderError -> Bool Source # (/=) :: BuilderError -> BuilderError -> Bool Source #
Ord BuilderError Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: BuilderError -> BuilderError -> Ordering Source #

(<) :: BuilderError -> BuilderError -> Bool Source #

(<=) :: BuilderError -> BuilderError -> Bool Source #

(>) :: BuilderError -> BuilderError -> Bool Source #

(>=) :: BuilderError -> BuilderError -> Bool Source #

max :: BuilderError -> BuilderError -> BuilderError Source #

min :: BuilderError -> BuilderError -> BuilderError Source #

BoxedEnum BuilderError Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject BuilderError Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
GErrorClass BuilderError Source # |
Instance details Defined in GI.Gtk.Enums Methods gerrorClassDomain :: BuilderError -> Text Source #
HasParentTypes BuilderError Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes BuilderError Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes BuilderError = '[] :: [Type]

catchBuilderError :: IO a -> (BuilderError -> GErrorMessage -> IO a) -> IO a Source #

Catch exceptions of type `BuilderError`. This is a specialized version of `catchGErrorJustDomain`.

handleBuilderError :: (BuilderError -> GErrorMessage -> IO a) -> IO a -> IO a Source #

Handle exceptions of type `BuilderError`. This is a specialized version of `handleGErrorJustDomain`.

## ButtonBoxStyle

data ButtonBoxStyle Source #

Used to dictate the style that a `ButtonBox` uses to layout the buttons it contains.

Constructors

ButtonBoxStyleSpread | Buttons are evenly spread across the box.
ButtonBoxStyleEdge | Buttons are placed at the edges of the box.
ButtonBoxStyleStart | Buttons are grouped towards the start of the box, (on the left for a HBox, or the top for a VBox).
ButtonBoxStyleEnd | Buttons are grouped towards the end of the box, (on the right for a HBox, or the bottom for a VBox).
ButtonBoxStyleCenter | Buttons are centered in the box. Since 2.12.
ButtonBoxStyleExpand | Buttons expand to fill the box. This entails giving buttons a "linked" appearance, making button sizes homogeneous, and setting spacing to 0 (same as calling `boxSetHomogeneous` and `boxSetSpacing` manually). Since 3.12.
AnotherButtonBoxStyle Int | Catch-all for unknown values

#### Instances

Instances details

Enum ButtonBoxStyle Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: ButtonBoxStyle -> ButtonBoxStyle Source #

pred :: ButtonBoxStyle -> ButtonBoxStyle Source #

toEnum :: Int -> ButtonBoxStyle Source #

fromEnum :: ButtonBoxStyle -> Int Source #

enumFrom :: ButtonBoxStyle -> [ButtonBoxStyle] Source #

enumFromThen :: ButtonBoxStyle -> ButtonBoxStyle -> [ButtonBoxStyle] Source #

enumFromTo :: ButtonBoxStyle -> ButtonBoxStyle -> [ButtonBoxStyle] Source #

enumFromThenTo :: ButtonBoxStyle -> ButtonBoxStyle -> ButtonBoxStyle -> [ButtonBoxStyle] Source #

Show ButtonBoxStyle Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> ButtonBoxStyle -> ShowS Source # show :: ButtonBoxStyle -> String Source # showList :: [ButtonBoxStyle] -> ShowS Source #
Eq ButtonBoxStyle Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: ButtonBoxStyle -> ButtonBoxStyle -> Bool Source # (/=) :: ButtonBoxStyle -> ButtonBoxStyle -> Bool Source #
Ord ButtonBoxStyle Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: ButtonBoxStyle -> ButtonBoxStyle -> Ordering Source #

(<) :: ButtonBoxStyle -> ButtonBoxStyle -> Bool Source #

(<=) :: ButtonBoxStyle -> ButtonBoxStyle -> Bool Source #

(>) :: ButtonBoxStyle -> ButtonBoxStyle -> Bool Source #

(>=) :: ButtonBoxStyle -> ButtonBoxStyle -> Bool Source #

max :: ButtonBoxStyle -> ButtonBoxStyle -> ButtonBoxStyle Source #

min :: ButtonBoxStyle -> ButtonBoxStyle -> ButtonBoxStyle Source #

BoxedEnum ButtonBoxStyle Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject ButtonBoxStyle Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes ButtonBoxStyle Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes ButtonBoxStyle Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes ButtonBoxStyle = '[] :: [Type]

## ButtonRole

data ButtonRole Source #

The role specifies the desired appearance of a `ModelButton`.

Constructors

ButtonRoleNormal | A plain button
ButtonRoleCheck | A check button
ButtonRoleRadio | A radio button
AnotherButtonRole Int | Catch-all for unknown values

#### Instances

Instances details

Enum ButtonRole Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: ButtonRole -> ButtonRole Source #

pred :: ButtonRole -> ButtonRole Source #

toEnum :: Int -> ButtonRole Source #

fromEnum :: ButtonRole -> Int Source #

enumFrom :: ButtonRole -> [ButtonRole] Source #

enumFromThen :: ButtonRole -> ButtonRole -> [ButtonRole] Source #

enumFromTo :: ButtonRole -> ButtonRole -> [ButtonRole] Source #

enumFromThenTo :: ButtonRole -> ButtonRole -> ButtonRole -> [ButtonRole] Source #

Show ButtonRole Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> ButtonRole -> ShowS Source # show :: ButtonRole -> String Source # showList :: [ButtonRole] -> ShowS Source #
Eq ButtonRole Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: ButtonRole -> ButtonRole -> Bool Source # (/=) :: ButtonRole -> ButtonRole -> Bool Source #
Ord ButtonRole Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: ButtonRole -> ButtonRole -> Ordering Source #

(<) :: ButtonRole -> ButtonRole -> Bool Source #

(<=) :: ButtonRole -> ButtonRole -> Bool Source #

(>) :: ButtonRole -> ButtonRole -> Bool Source #

(>=) :: ButtonRole -> ButtonRole -> Bool Source #

max :: ButtonRole -> ButtonRole -> ButtonRole Source #

min :: ButtonRole -> ButtonRole -> ButtonRole Source #

BoxedEnum ButtonRole Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject ButtonRole Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes ButtonRole Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes ButtonRole Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes ButtonRole = '[] :: [Type]

## ButtonsType

data ButtonsType Source #

Prebuilt sets of buttons for the dialog. If none of these choices are appropriate, simply use `ButtonsTypeNone` then call `gtk_dialog_add_buttons()`.

    Please note that 'GI.Gtk.Enums.ButtonsTypeOk', 'GI.Gtk.Enums.ButtonsTypeYesNo'
    and 'GI.Gtk.Enums.ButtonsTypeOkCancel' are discouraged by the
    <http://library.gnome.org/devel/hig-book/stable/ GNOME Human Interface Guidelines>.

Constructors

ButtonsTypeNone | no buttons at all
ButtonsTypeOk | an OK button
ButtonsTypeClose | a Close button
ButtonsTypeCancel | a Cancel button
ButtonsTypeYesNo | Yes and No buttons
ButtonsTypeOkCancel | OK and Cancel buttons
AnotherButtonsType Int | Catch-all for unknown values

#### Instances

Instances details

Enum ButtonsType Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: ButtonsType -> ButtonsType Source #

pred :: ButtonsType -> ButtonsType Source #

toEnum :: Int -> ButtonsType Source #

fromEnum :: ButtonsType -> Int Source #

enumFrom :: ButtonsType -> [ButtonsType] Source #

enumFromThen :: ButtonsType -> ButtonsType -> [ButtonsType] Source #

enumFromTo :: ButtonsType -> ButtonsType -> [ButtonsType] Source #

enumFromThenTo :: ButtonsType -> ButtonsType -> ButtonsType -> [ButtonsType] Source #

Show ButtonsType Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> ButtonsType -> ShowS Source # show :: ButtonsType -> String Source # showList :: [ButtonsType] -> ShowS Source #
Eq ButtonsType Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: ButtonsType -> ButtonsType -> Bool Source # (/=) :: ButtonsType -> ButtonsType -> Bool Source #
Ord ButtonsType Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: ButtonsType -> ButtonsType -> Ordering Source #

(<) :: ButtonsType -> ButtonsType -> Bool Source #

(<=) :: ButtonsType -> ButtonsType -> Bool Source #

(>) :: ButtonsType -> ButtonsType -> Bool Source #

(>=) :: ButtonsType -> ButtonsType -> Bool Source #

max :: ButtonsType -> ButtonsType -> ButtonsType Source #

min :: ButtonsType -> ButtonsType -> ButtonsType Source #

BoxedEnum ButtonsType Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject ButtonsType Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes ButtonsType Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes ButtonsType Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes ButtonsType = '[] :: [Type]

## CellRendererAccelMode

data CellRendererAccelMode Source #

Determines if the edited accelerators are GTK+ accelerators. If they are, consumed modifiers are suppressed, only accelerators accepted by GTK+ are allowed, and the accelerators are rendered in the same way as they are in menus.

Constructors

CellRendererAccelModeGtk | GTK+ accelerators mode
CellRendererAccelModeOther | Other accelerator mode GTK_CELL_RENDERER_ACCEL_MODE_MODIFIER_TAP: Bare modifiers mode
CellRendererAccelModeModifierTap | No description available in the introspection data.
AnotherCellRendererAccelMode Int | Catch-all for unknown values

#### Instances

Instances details

Enum CellRendererAccelMode Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: CellRendererAccelMode -> CellRendererAccelMode Source #

pred :: CellRendererAccelMode -> CellRendererAccelMode Source #

toEnum :: Int -> CellRendererAccelMode Source #

fromEnum :: CellRendererAccelMode -> Int Source #

enumFrom :: CellRendererAccelMode -> [CellRendererAccelMode] Source #

enumFromThen :: CellRendererAccelMode -> CellRendererAccelMode -> [CellRendererAccelMode] Source #

enumFromTo :: CellRendererAccelMode -> CellRendererAccelMode -> [CellRendererAccelMode] Source #

enumFromThenTo :: CellRendererAccelMode -> CellRendererAccelMode -> CellRendererAccelMode -> [CellRendererAccelMode] Source #

Show CellRendererAccelMode Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> CellRendererAccelMode -> ShowS Source # show :: CellRendererAccelMode -> String Source # showList :: [CellRendererAccelMode] -> ShowS Source #
Eq CellRendererAccelMode Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: CellRendererAccelMode -> CellRendererAccelMode -> Bool Source # (/=) :: CellRendererAccelMode -> CellRendererAccelMode -> Bool Source #
Ord CellRendererAccelMode Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: CellRendererAccelMode -> CellRendererAccelMode -> Ordering Source #

(<) :: CellRendererAccelMode -> CellRendererAccelMode -> Bool Source #

(<=) :: CellRendererAccelMode -> CellRendererAccelMode -> Bool Source #

(>) :: CellRendererAccelMode -> CellRendererAccelMode -> Bool Source #

(>=) :: CellRendererAccelMode -> CellRendererAccelMode -> Bool Source #

max :: CellRendererAccelMode -> CellRendererAccelMode -> CellRendererAccelMode Source #

min :: CellRendererAccelMode -> CellRendererAccelMode -> CellRendererAccelMode Source #

BoxedEnum CellRendererAccelMode Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject CellRendererAccelMode Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes CellRendererAccelMode Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes CellRendererAccelMode Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes CellRendererAccelMode = '[] :: [Type]

## CellRendererMode

data CellRendererMode Source #

Identifies how the user can interact with a particular cell.

Constructors

CellRendererModeInert | The cell is just for display and cannot be interacted with. Note that this doesn’t mean that eg. the row being drawn can’t be selected -- just that a particular element of it cannot be individually modified.
CellRendererModeActivatable | The cell can be clicked.
CellRendererModeEditable | The cell can be edited or otherwise modified.
AnotherCellRendererMode Int | Catch-all for unknown values

#### Instances

Instances details

Enum CellRendererMode Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: CellRendererMode -> CellRendererMode Source #

pred :: CellRendererMode -> CellRendererMode Source #

toEnum :: Int -> CellRendererMode Source #

fromEnum :: CellRendererMode -> Int Source #

enumFrom :: CellRendererMode -> [CellRendererMode] Source #

enumFromThen :: CellRendererMode -> CellRendererMode -> [CellRendererMode] Source #

enumFromTo :: CellRendererMode -> CellRendererMode -> [CellRendererMode] Source #

enumFromThenTo :: CellRendererMode -> CellRendererMode -> CellRendererMode -> [CellRendererMode] Source #

Show CellRendererMode Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> CellRendererMode -> ShowS Source # show :: CellRendererMode -> String Source # showList :: [CellRendererMode] -> ShowS Source #
Eq CellRendererMode Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: CellRendererMode -> CellRendererMode -> Bool Source # (/=) :: CellRendererMode -> CellRendererMode -> Bool Source #
Ord CellRendererMode Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: CellRendererMode -> CellRendererMode -> Ordering Source #

(<) :: CellRendererMode -> CellRendererMode -> Bool Source #

(<=) :: CellRendererMode -> CellRendererMode -> Bool Source #

(>) :: CellRendererMode -> CellRendererMode -> Bool Source #

(>=) :: CellRendererMode -> CellRendererMode -> Bool Source #

max :: CellRendererMode -> CellRendererMode -> CellRendererMode Source #

min :: CellRendererMode -> CellRendererMode -> CellRendererMode Source #

BoxedEnum CellRendererMode Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject CellRendererMode Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes CellRendererMode Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes CellRendererMode Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes CellRendererMode = '[] :: [Type]

## CornerType

data CornerType Source #

Specifies which corner a child widget should be placed in when packed into a `ScrolledWindow`. This is effectively the opposite of where the scroll bars are placed.

Constructors

CornerTypeTopLeft | Place the scrollbars on the right and bottom of the widget (default behaviour).
CornerTypeBottomLeft | Place the scrollbars on the top and right of the widget.
CornerTypeTopRight | Place the scrollbars on the left and bottom of the widget.
CornerTypeBottomRight | Place the scrollbars on the top and left of the widget.
AnotherCornerType Int | Catch-all for unknown values

#### Instances

Instances details

Enum CornerType Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: CornerType -> CornerType Source #

pred :: CornerType -> CornerType Source #

toEnum :: Int -> CornerType Source #

fromEnum :: CornerType -> Int Source #

enumFrom :: CornerType -> [CornerType] Source #

enumFromThen :: CornerType -> CornerType -> [CornerType] Source #

enumFromTo :: CornerType -> CornerType -> [CornerType] Source #

enumFromThenTo :: CornerType -> CornerType -> CornerType -> [CornerType] Source #

Show CornerType Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> CornerType -> ShowS Source # show :: CornerType -> String Source # showList :: [CornerType] -> ShowS Source #
Eq CornerType Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: CornerType -> CornerType -> Bool Source # (/=) :: CornerType -> CornerType -> Bool Source #
Ord CornerType Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: CornerType -> CornerType -> Ordering Source #

(<) :: CornerType -> CornerType -> Bool Source #

(<=) :: CornerType -> CornerType -> Bool Source #

(>) :: CornerType -> CornerType -> Bool Source #

(>=) :: CornerType -> CornerType -> Bool Source #

max :: CornerType -> CornerType -> CornerType Source #

min :: CornerType -> CornerType -> CornerType Source #

BoxedEnum CornerType Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject CornerType Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes CornerType Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes CornerType Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes CornerType = '[] :: [Type]

## CssProviderError

data CssProviderError Source #

Error codes for `GTK_CSS_PROVIDER_ERROR`.

Constructors

CssProviderErrorFailed | Failed.
CssProviderErrorSyntax | Syntax error.
CssProviderErrorImport | Import error.
CssProviderErrorName | Name error.
CssProviderErrorDeprecated | Deprecation error.
CssProviderErrorUnknownValue | Unknown value.
AnotherCssProviderError Int | Catch-all for unknown values

#### Instances

Instances details

Enum CssProviderError Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: CssProviderError -> CssProviderError Source #

pred :: CssProviderError -> CssProviderError Source #

toEnum :: Int -> CssProviderError Source #

fromEnum :: CssProviderError -> Int Source #

enumFrom :: CssProviderError -> [CssProviderError] Source #

enumFromThen :: CssProviderError -> CssProviderError -> [CssProviderError] Source #

enumFromTo :: CssProviderError -> CssProviderError -> [CssProviderError] Source #

enumFromThenTo :: CssProviderError -> CssProviderError -> CssProviderError -> [CssProviderError] Source #

Show CssProviderError Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> CssProviderError -> ShowS Source # show :: CssProviderError -> String Source # showList :: [CssProviderError] -> ShowS Source #
Eq CssProviderError Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: CssProviderError -> CssProviderError -> Bool Source # (/=) :: CssProviderError -> CssProviderError -> Bool Source #
Ord CssProviderError Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: CssProviderError -> CssProviderError -> Ordering Source #

(<) :: CssProviderError -> CssProviderError -> Bool Source #

(<=) :: CssProviderError -> CssProviderError -> Bool Source #

(>) :: CssProviderError -> CssProviderError -> Bool Source #

(>=) :: CssProviderError -> CssProviderError -> Bool Source #

max :: CssProviderError -> CssProviderError -> CssProviderError Source #

min :: CssProviderError -> CssProviderError -> CssProviderError Source #

BoxedEnum CssProviderError Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject CssProviderError Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
GErrorClass CssProviderError Source # |
Instance details Defined in GI.Gtk.Enums Methods gerrorClassDomain :: CssProviderError -> Text Source #
HasParentTypes CssProviderError Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes CssProviderError Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes CssProviderError = '[] :: [Type]

catchCssProviderError :: IO a -> (CssProviderError -> GErrorMessage -> IO a) -> IO a Source #

Catch exceptions of type `CssProviderError`. This is a specialized version of `catchGErrorJustDomain`.

handleCssProviderError :: (CssProviderError -> GErrorMessage -> IO a) -> IO a -> IO a Source #

Handle exceptions of type `CssProviderError`. This is a specialized version of `handleGErrorJustDomain`.

## CssSectionType

data CssSectionType Source #

The different types of sections indicate parts of a CSS document as parsed by GTK’s CSS parser. They are oriented towards the CSS Grammar, but may contain extensions.

More types might be added in the future as the parser incorporates more features.

Since: 3.2

Constructors

CssSectionTypeDocument | The section describes a complete document. This section time is the only one where `cssSectionGetParent` might return `Nothing`.
CssSectionTypeImport | The section defines an import rule.
CssSectionTypeColorDefinition | The section defines a color. This is a GTK extension to CSS.
CssSectionTypeBindingSet | The section defines a binding set. This is a GTK extension to CSS.
CssSectionTypeRuleset | The section defines a CSS ruleset.
CssSectionTypeSelector | The section defines a CSS selector.
CssSectionTypeDeclaration | The section defines the declaration of a CSS variable.
CssSectionTypeValue | The section defines the value of a CSS declaration.
CssSectionTypeKeyframes | The section defines keyframes. See <http://dev.w3.org/csswg/css3-animations/#keyframes CSS Animations> for details. Since 3.6
AnotherCssSectionType Int | Catch-all for unknown values

#### Instances

Instances details

Enum CssSectionType Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: CssSectionType -> CssSectionType Source #

pred :: CssSectionType -> CssSectionType Source #

toEnum :: Int -> CssSectionType Source #

fromEnum :: CssSectionType -> Int Source #

enumFrom :: CssSectionType -> [CssSectionType] Source #

enumFromThen :: CssSectionType -> CssSectionType -> [CssSectionType] Source #

enumFromTo :: CssSectionType -> CssSectionType -> [CssSectionType] Source #

enumFromThenTo :: CssSectionType -> CssSectionType -> CssSectionType -> [CssSectionType] Source #

Show CssSectionType Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> CssSectionType -> ShowS Source # show :: CssSectionType -> String Source # showList :: [CssSectionType] -> ShowS Source #
Eq CssSectionType Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: CssSectionType -> CssSectionType -> Bool Source # (/=) :: CssSectionType -> CssSectionType -> Bool Source #
Ord CssSectionType Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: CssSectionType -> CssSectionType -> Ordering Source #

(<) :: CssSectionType -> CssSectionType -> Bool Source #

(<=) :: CssSectionType -> CssSectionType -> Bool Source #

(>) :: CssSectionType -> CssSectionType -> Bool Source #

(>=) :: CssSectionType -> CssSectionType -> Bool Source #

max :: CssSectionType -> CssSectionType -> CssSectionType Source #

min :: CssSectionType -> CssSectionType -> CssSectionType Source #

BoxedEnum CssSectionType Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject CssSectionType Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes CssSectionType Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes CssSectionType Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes CssSectionType = '[] :: [Type]

## DeleteType

data DeleteType Source #

See also: Entry::deleteFromCursor.

Constructors

DeleteTypeChars | Delete characters.
DeleteTypeWordEnds | Delete only the portion of the word to the left/right of cursor if we’re in the middle of a word.
DeleteTypeWords | Delete words.
DeleteTypeDisplayLines | Delete display-lines. Display-lines refers to the visible lines, with respect to to the current line breaks. As opposed to paragraphs, which are defined by line breaks in the input.
DeleteTypeDisplayLineEnds | Delete only the portion of the display-line to the left/right of cursor.
DeleteTypeParagraphEnds | Delete to the end of the paragraph. Like C-k in Emacs (or its reverse).
DeleteTypeParagraphs | Delete entire line. Like C-k in pico.
DeleteTypeWhitespace | Delete only whitespace. Like M-\ in Emacs.
AnotherDeleteType Int | Catch-all for unknown values

#### Instances

Instances details

Enum DeleteType Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: DeleteType -> DeleteType Source #

pred :: DeleteType -> DeleteType Source #

toEnum :: Int -> DeleteType Source #

fromEnum :: DeleteType -> Int Source #

enumFrom :: DeleteType -> [DeleteType] Source #

enumFromThen :: DeleteType -> DeleteType -> [DeleteType] Source #

enumFromTo :: DeleteType -> DeleteType -> [DeleteType] Source #

enumFromThenTo :: DeleteType -> DeleteType -> DeleteType -> [DeleteType] Source #

Show DeleteType Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> DeleteType -> ShowS Source # show :: DeleteType -> String Source # showList :: [DeleteType] -> ShowS Source #
Eq DeleteType Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: DeleteType -> DeleteType -> Bool Source # (/=) :: DeleteType -> DeleteType -> Bool Source #
Ord DeleteType Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: DeleteType -> DeleteType -> Ordering Source #

(<) :: DeleteType -> DeleteType -> Bool Source #

(<=) :: DeleteType -> DeleteType -> Bool Source #

(>) :: DeleteType -> DeleteType -> Bool Source #

(>=) :: DeleteType -> DeleteType -> Bool Source #

max :: DeleteType -> DeleteType -> DeleteType Source #

min :: DeleteType -> DeleteType -> DeleteType Source #

BoxedEnum DeleteType Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject DeleteType Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes DeleteType Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes DeleteType Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes DeleteType = '[] :: [Type]

## DirectionType

data DirectionType Source #

Focus movement types.

Constructors

DirectionTypeTabForward | Move forward.
DirectionTypeTabBackward | Move backward.
DirectionTypeUp | Move up.
DirectionTypeDown | Move down.
DirectionTypeLeft | Move left.
DirectionTypeRight | Move right.
AnotherDirectionType Int | Catch-all for unknown values

#### Instances

Instances details

Enum DirectionType Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: DirectionType -> DirectionType Source #

pred :: DirectionType -> DirectionType Source #

toEnum :: Int -> DirectionType Source #

fromEnum :: DirectionType -> Int Source #

enumFrom :: DirectionType -> [DirectionType] Source #

enumFromThen :: DirectionType -> DirectionType -> [DirectionType] Source #

enumFromTo :: DirectionType -> DirectionType -> [DirectionType] Source #

enumFromThenTo :: DirectionType -> DirectionType -> DirectionType -> [DirectionType] Source #

Show DirectionType Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> DirectionType -> ShowS Source # show :: DirectionType -> String Source # showList :: [DirectionType] -> ShowS Source #
Eq DirectionType Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: DirectionType -> DirectionType -> Bool Source # (/=) :: DirectionType -> DirectionType -> Bool Source #
Ord DirectionType Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: DirectionType -> DirectionType -> Ordering Source #

(<) :: DirectionType -> DirectionType -> Bool Source #

(<=) :: DirectionType -> DirectionType -> Bool Source #

(>) :: DirectionType -> DirectionType -> Bool Source #

(>=) :: DirectionType -> DirectionType -> Bool Source #

max :: DirectionType -> DirectionType -> DirectionType Source #

min :: DirectionType -> DirectionType -> DirectionType Source #

BoxedEnum DirectionType Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject DirectionType Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes DirectionType Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes DirectionType Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes DirectionType = '[] :: [Type]

## DragResult

data DragResult Source #

Gives an indication why a drag operation failed. The value can by obtained by connecting to the Widget::dragFailed signal.

Constructors

DragResultSuccess | The drag operation was successful.
DragResultNoTarget | No suitable drag target.
DragResultUserCancelled | The user cancelled the drag operation.
DragResultTimeoutExpired | The drag operation timed out.
DragResultGrabBroken | The pointer or keyboard grab used for the drag operation was broken.
DragResultError | The drag operation failed due to some unspecified error.
AnotherDragResult Int | Catch-all for unknown values

#### Instances

Instances details

Enum DragResult Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: DragResult -> DragResult Source #

pred :: DragResult -> DragResult Source #

toEnum :: Int -> DragResult Source #

fromEnum :: DragResult -> Int Source #

enumFrom :: DragResult -> [DragResult] Source #

enumFromThen :: DragResult -> DragResult -> [DragResult] Source #

enumFromTo :: DragResult -> DragResult -> [DragResult] Source #

enumFromThenTo :: DragResult -> DragResult -> DragResult -> [DragResult] Source #

Show DragResult Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> DragResult -> ShowS Source # show :: DragResult -> String Source # showList :: [DragResult] -> ShowS Source #
Eq DragResult Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: DragResult -> DragResult -> Bool Source # (/=) :: DragResult -> DragResult -> Bool Source #
Ord DragResult Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: DragResult -> DragResult -> Ordering Source #

(<) :: DragResult -> DragResult -> Bool Source #

(<=) :: DragResult -> DragResult -> Bool Source #

(>) :: DragResult -> DragResult -> Bool Source #

(>=) :: DragResult -> DragResult -> Bool Source #

max :: DragResult -> DragResult -> DragResult Source #

min :: DragResult -> DragResult -> DragResult Source #

BoxedEnum DragResult Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject DragResult Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes DragResult Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes DragResult Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes DragResult = '[] :: [Type]

## EntryIconPosition

data EntryIconPosition Source #

Specifies the side of the entry at which an icon is placed.

Since: 2.16

Constructors

EntryIconPositionPrimary | At the beginning of the entry (depending on the text direction).
EntryIconPositionSecondary | At the end of the entry (depending on the text direction).
AnotherEntryIconPosition Int | Catch-all for unknown values

#### Instances

Instances details

Enum EntryIconPosition Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: EntryIconPosition -> EntryIconPosition Source #

pred :: EntryIconPosition -> EntryIconPosition Source #

toEnum :: Int -> EntryIconPosition Source #

fromEnum :: EntryIconPosition -> Int Source #

enumFrom :: EntryIconPosition -> [EntryIconPosition] Source #

enumFromThen :: EntryIconPosition -> EntryIconPosition -> [EntryIconPosition] Source #

enumFromTo :: EntryIconPosition -> EntryIconPosition -> [EntryIconPosition] Source #

enumFromThenTo :: EntryIconPosition -> EntryIconPosition -> EntryIconPosition -> [EntryIconPosition] Source #

Show EntryIconPosition Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> EntryIconPosition -> ShowS Source # show :: EntryIconPosition -> String Source # showList :: [EntryIconPosition] -> ShowS Source #
Eq EntryIconPosition Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: EntryIconPosition -> EntryIconPosition -> Bool Source # (/=) :: EntryIconPosition -> EntryIconPosition -> Bool Source #
Ord EntryIconPosition Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: EntryIconPosition -> EntryIconPosition -> Ordering Source #

(<) :: EntryIconPosition -> EntryIconPosition -> Bool Source #

(<=) :: EntryIconPosition -> EntryIconPosition -> Bool Source #

(>) :: EntryIconPosition -> EntryIconPosition -> Bool Source #

(>=) :: EntryIconPosition -> EntryIconPosition -> Bool Source #

max :: EntryIconPosition -> EntryIconPosition -> EntryIconPosition Source #

min :: EntryIconPosition -> EntryIconPosition -> EntryIconPosition Source #

BoxedEnum EntryIconPosition Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject EntryIconPosition Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes EntryIconPosition Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes EntryIconPosition Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes EntryIconPosition = '[] :: [Type]

## EventSequenceState

data EventSequenceState Source #

Describes the state of a `EventSequence` in a `Gesture`.

Since: 3.14

Constructors

EventSequenceStateNone | The sequence is handled, but not grabbed.
EventSequenceStateClaimed | The sequence is handled and grabbed.
EventSequenceStateDenied | The sequence is denied.
AnotherEventSequenceState Int | Catch-all for unknown values

#### Instances

Instances details

Enum EventSequenceState Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: EventSequenceState -> EventSequenceState Source #

pred :: EventSequenceState -> EventSequenceState Source #

toEnum :: Int -> EventSequenceState Source #

fromEnum :: EventSequenceState -> Int Source #

enumFrom :: EventSequenceState -> [EventSequenceState] Source #

enumFromThen :: EventSequenceState -> EventSequenceState -> [EventSequenceState] Source #

enumFromTo :: EventSequenceState -> EventSequenceState -> [EventSequenceState] Source #

enumFromThenTo :: EventSequenceState -> EventSequenceState -> EventSequenceState -> [EventSequenceState] Source #

Show EventSequenceState Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> EventSequenceState -> ShowS Source # show :: EventSequenceState -> String Source # showList :: [EventSequenceState] -> ShowS Source #
Eq EventSequenceState Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: EventSequenceState -> EventSequenceState -> Bool Source # (/=) :: EventSequenceState -> EventSequenceState -> Bool Source #
Ord EventSequenceState Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: EventSequenceState -> EventSequenceState -> Ordering Source #

(<) :: EventSequenceState -> EventSequenceState -> Bool Source #

(<=) :: EventSequenceState -> EventSequenceState -> Bool Source #

(>) :: EventSequenceState -> EventSequenceState -> Bool Source #

(>=) :: EventSequenceState -> EventSequenceState -> Bool Source #

max :: EventSequenceState -> EventSequenceState -> EventSequenceState Source #

min :: EventSequenceState -> EventSequenceState -> EventSequenceState Source #

BoxedEnum EventSequenceState Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject EventSequenceState Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes EventSequenceState Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes EventSequenceState Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes EventSequenceState = '[] :: [Type]

## ExpanderStyle

data ExpanderStyle Source #

Used to specify the style of the expanders drawn by a `TreeView`.

Constructors

ExpanderStyleCollapsed | The style used for a collapsed subtree.
ExpanderStyleSemiCollapsed | Intermediate style used during animation.
ExpanderStyleSemiExpanded | Intermediate style used during animation.
ExpanderStyleExpanded | The style used for an expanded subtree.
AnotherExpanderStyle Int | Catch-all for unknown values

#### Instances

Instances details

Enum ExpanderStyle Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: ExpanderStyle -> ExpanderStyle Source #

pred :: ExpanderStyle -> ExpanderStyle Source #

toEnum :: Int -> ExpanderStyle Source #

fromEnum :: ExpanderStyle -> Int Source #

enumFrom :: ExpanderStyle -> [ExpanderStyle] Source #

enumFromThen :: ExpanderStyle -> ExpanderStyle -> [ExpanderStyle] Source #

enumFromTo :: ExpanderStyle -> ExpanderStyle -> [ExpanderStyle] Source #

enumFromThenTo :: ExpanderStyle -> ExpanderStyle -> ExpanderStyle -> [ExpanderStyle] Source #

Show ExpanderStyle Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> ExpanderStyle -> ShowS Source # show :: ExpanderStyle -> String Source # showList :: [ExpanderStyle] -> ShowS Source #
Eq ExpanderStyle Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: ExpanderStyle -> ExpanderStyle -> Bool Source # (/=) :: ExpanderStyle -> ExpanderStyle -> Bool Source #
Ord ExpanderStyle Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: ExpanderStyle -> ExpanderStyle -> Ordering Source #

(<) :: ExpanderStyle -> ExpanderStyle -> Bool Source #

(<=) :: ExpanderStyle -> ExpanderStyle -> Bool Source #

(>) :: ExpanderStyle -> ExpanderStyle -> Bool Source #

(>=) :: ExpanderStyle -> ExpanderStyle -> Bool Source #

max :: ExpanderStyle -> ExpanderStyle -> ExpanderStyle Source #

min :: ExpanderStyle -> ExpanderStyle -> ExpanderStyle Source #

BoxedEnum ExpanderStyle Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject ExpanderStyle Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes ExpanderStyle Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes ExpanderStyle Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes ExpanderStyle = '[] :: [Type]

## FileChooserAction

data FileChooserAction Source #

Describes whether a `FileChooser` is being used to open existing files or to save to a possibly new file.

Constructors

FileChooserActionOpen | Indicates open mode. The file chooser will only let the user pick an existing file.
FileChooserActionSave | Indicates save mode. The file chooser will let the user pick an existing file, or type in a new filename.
FileChooserActionSelectFolder | Indicates an Open mode for selecting folders. The file chooser will let the user pick an existing folder.
FileChooserActionCreateFolder | Indicates a mode for creating a new folder. The file chooser will let the user name an existing or new folder.
AnotherFileChooserAction Int | Catch-all for unknown values

#### Instances

Instances details

Enum FileChooserAction Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: FileChooserAction -> FileChooserAction Source #

pred :: FileChooserAction -> FileChooserAction Source #

toEnum :: Int -> FileChooserAction Source #

fromEnum :: FileChooserAction -> Int Source #

enumFrom :: FileChooserAction -> [FileChooserAction] Source #

enumFromThen :: FileChooserAction -> FileChooserAction -> [FileChooserAction] Source #

enumFromTo :: FileChooserAction -> FileChooserAction -> [FileChooserAction] Source #

enumFromThenTo :: FileChooserAction -> FileChooserAction -> FileChooserAction -> [FileChooserAction] Source #

Show FileChooserAction Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> FileChooserAction -> ShowS Source # show :: FileChooserAction -> String Source # showList :: [FileChooserAction] -> ShowS Source #
Eq FileChooserAction Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: FileChooserAction -> FileChooserAction -> Bool Source # (/=) :: FileChooserAction -> FileChooserAction -> Bool Source #
Ord FileChooserAction Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: FileChooserAction -> FileChooserAction -> Ordering Source #

(<) :: FileChooserAction -> FileChooserAction -> Bool Source #

(<=) :: FileChooserAction -> FileChooserAction -> Bool Source #

(>) :: FileChooserAction -> FileChooserAction -> Bool Source #

(>=) :: FileChooserAction -> FileChooserAction -> Bool Source #

max :: FileChooserAction -> FileChooserAction -> FileChooserAction Source #

min :: FileChooserAction -> FileChooserAction -> FileChooserAction Source #

BoxedEnum FileChooserAction Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject FileChooserAction Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes FileChooserAction Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes FileChooserAction Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes FileChooserAction = '[] :: [Type]

## FileChooserConfirmation

data FileChooserConfirmation Source #

Used as a return value of handlers for the FileChooser::confirmOverwrite signal of a `FileChooser`. This value determines whether the file chooser will present the stock confirmation dialog, accept the user’s choice of a filename, or let the user choose another filename.

Since: 2.8

Constructors

FileChooserConfirmationConfirm | The file chooser will present its stock dialog to confirm about overwriting an existing file.
FileChooserConfirmationAcceptFilename | The file chooser will terminate and accept the user’s choice of a file name.
FileChooserConfirmationSelectAgain | The file chooser will continue running, so as to let the user select another file name.
AnotherFileChooserConfirmation Int | Catch-all for unknown values

#### Instances

Instances details

Enum FileChooserConfirmation Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: FileChooserConfirmation -> FileChooserConfirmation Source #

pred :: FileChooserConfirmation -> FileChooserConfirmation Source #

toEnum :: Int -> FileChooserConfirmation Source #

fromEnum :: FileChooserConfirmation -> Int Source #

enumFrom :: FileChooserConfirmation -> [FileChooserConfirmation] Source #

enumFromThen :: FileChooserConfirmation -> FileChooserConfirmation -> [FileChooserConfirmation] Source #

enumFromTo :: FileChooserConfirmation -> FileChooserConfirmation -> [FileChooserConfirmation] Source #

enumFromThenTo :: FileChooserConfirmation -> FileChooserConfirmation -> FileChooserConfirmation -> [FileChooserConfirmation] Source #

Show FileChooserConfirmation Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> FileChooserConfirmation -> ShowS Source # show :: FileChooserConfirmation -> String Source # showList :: [FileChooserConfirmation] -> ShowS Source #
Eq FileChooserConfirmation Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: FileChooserConfirmation -> FileChooserConfirmation -> Bool Source # (/=) :: FileChooserConfirmation -> FileChooserConfirmation -> Bool Source #
Ord FileChooserConfirmation Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: FileChooserConfirmation -> FileChooserConfirmation -> Ordering Source #

(<) :: FileChooserConfirmation -> FileChooserConfirmation -> Bool Source #

(<=) :: FileChooserConfirmation -> FileChooserConfirmation -> Bool Source #

(>) :: FileChooserConfirmation -> FileChooserConfirmation -> Bool Source #

(>=) :: FileChooserConfirmation -> FileChooserConfirmation -> Bool Source #

max :: FileChooserConfirmation -> FileChooserConfirmation -> FileChooserConfirmation Source #

min :: FileChooserConfirmation -> FileChooserConfirmation -> FileChooserConfirmation Source #

BoxedEnum FileChooserConfirmation Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject FileChooserConfirmation Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes FileChooserConfirmation Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes FileChooserConfirmation Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes FileChooserConfirmation = '[] :: [Type]

## FileChooserError

data FileChooserError Source #

These identify the various errors that can occur while calling `FileChooser` functions.

Constructors

FileChooserErrorNonexistent | Indicates that a file does not exist.
FileChooserErrorBadFilename | Indicates a malformed filename.
FileChooserErrorAlreadyExists | Indicates a duplicate path (e.g. when adding a bookmark).
FileChooserErrorIncompleteHostname | Indicates an incomplete hostname (e.g. "http://foo" without a slash after that).
AnotherFileChooserError Int | Catch-all for unknown values

#### Instances

Instances details

Enum FileChooserError Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: FileChooserError -> FileChooserError Source #

pred :: FileChooserError -> FileChooserError Source #

toEnum :: Int -> FileChooserError Source #

fromEnum :: FileChooserError -> Int Source #

enumFrom :: FileChooserError -> [FileChooserError] Source #

enumFromThen :: FileChooserError -> FileChooserError -> [FileChooserError] Source #

enumFromTo :: FileChooserError -> FileChooserError -> [FileChooserError] Source #

enumFromThenTo :: FileChooserError -> FileChooserError -> FileChooserError -> [FileChooserError] Source #

Show FileChooserError Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> FileChooserError -> ShowS Source # show :: FileChooserError -> String Source # showList :: [FileChooserError] -> ShowS Source #
Eq FileChooserError Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: FileChooserError -> FileChooserError -> Bool Source # (/=) :: FileChooserError -> FileChooserError -> Bool Source #
Ord FileChooserError Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: FileChooserError -> FileChooserError -> Ordering Source #

(<) :: FileChooserError -> FileChooserError -> Bool Source #

(<=) :: FileChooserError -> FileChooserError -> Bool Source #

(>) :: FileChooserError -> FileChooserError -> Bool Source #

(>=) :: FileChooserError -> FileChooserError -> Bool Source #

max :: FileChooserError -> FileChooserError -> FileChooserError Source #

min :: FileChooserError -> FileChooserError -> FileChooserError Source #

BoxedEnum FileChooserError Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject FileChooserError Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
GErrorClass FileChooserError Source # |
Instance details Defined in GI.Gtk.Enums Methods gerrorClassDomain :: FileChooserError -> Text Source #
HasParentTypes FileChooserError Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes FileChooserError Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes FileChooserError = '[] :: [Type]

catchFileChooserError :: IO a -> (FileChooserError -> GErrorMessage -> IO a) -> IO a Source #

Catch exceptions of type `FileChooserError`. This is a specialized version of `catchGErrorJustDomain`.

handleFileChooserError :: (FileChooserError -> GErrorMessage -> IO a) -> IO a -> IO a Source #

Handle exceptions of type `FileChooserError`. This is a specialized version of `handleGErrorJustDomain`.

## IMPreeditStyle

data IMPreeditStyle Source #

Deprecated: (Since version 3.10)

Style for input method preedit. See also Settings:gtkImPreeditStyle

Constructors

IMPreeditStyleNothing | Deprecated
IMPreeditStyleCallback | Deprecated
IMPreeditStyleNone | Deprecated
AnotherIMPreeditStyle Int | Catch-all for unknown values

#### Instances

Instances details

Enum IMPreeditStyle Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: IMPreeditStyle -> IMPreeditStyle Source #

pred :: IMPreeditStyle -> IMPreeditStyle Source #

toEnum :: Int -> IMPreeditStyle Source #

fromEnum :: IMPreeditStyle -> Int Source #

enumFrom :: IMPreeditStyle -> [IMPreeditStyle] Source #

enumFromThen :: IMPreeditStyle -> IMPreeditStyle -> [IMPreeditStyle] Source #

enumFromTo :: IMPreeditStyle -> IMPreeditStyle -> [IMPreeditStyle] Source #

enumFromThenTo :: IMPreeditStyle -> IMPreeditStyle -> IMPreeditStyle -> [IMPreeditStyle] Source #

Show IMPreeditStyle Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> IMPreeditStyle -> ShowS Source # show :: IMPreeditStyle -> String Source # showList :: [IMPreeditStyle] -> ShowS Source #
Eq IMPreeditStyle Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: IMPreeditStyle -> IMPreeditStyle -> Bool Source # (/=) :: IMPreeditStyle -> IMPreeditStyle -> Bool Source #
Ord IMPreeditStyle Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: IMPreeditStyle -> IMPreeditStyle -> Ordering Source #

(<) :: IMPreeditStyle -> IMPreeditStyle -> Bool Source #

(<=) :: IMPreeditStyle -> IMPreeditStyle -> Bool Source #

(>) :: IMPreeditStyle -> IMPreeditStyle -> Bool Source #

(>=) :: IMPreeditStyle -> IMPreeditStyle -> Bool Source #

max :: IMPreeditStyle -> IMPreeditStyle -> IMPreeditStyle Source #

min :: IMPreeditStyle -> IMPreeditStyle -> IMPreeditStyle Source #

BoxedEnum IMPreeditStyle Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject IMPreeditStyle Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes IMPreeditStyle Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes IMPreeditStyle Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes IMPreeditStyle = '[] :: [Type]

## IMStatusStyle

data IMStatusStyle Source #

Deprecated: (Since version 3.10)

Style for input method status. See also Settings:gtkImStatusStyle

Constructors

IMStatusStyleNothing | Deprecated
IMStatusStyleCallback | Deprecated
IMStatusStyleNone | Deprecated
AnotherIMStatusStyle Int | Catch-all for unknown values

#### Instances

Instances details

Enum IMStatusStyle Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: IMStatusStyle -> IMStatusStyle Source #

pred :: IMStatusStyle -> IMStatusStyle Source #

toEnum :: Int -> IMStatusStyle Source #

fromEnum :: IMStatusStyle -> Int Source #

enumFrom :: IMStatusStyle -> [IMStatusStyle] Source #

enumFromThen :: IMStatusStyle -> IMStatusStyle -> [IMStatusStyle] Source #

enumFromTo :: IMStatusStyle -> IMStatusStyle -> [IMStatusStyle] Source #

enumFromThenTo :: IMStatusStyle -> IMStatusStyle -> IMStatusStyle -> [IMStatusStyle] Source #

Show IMStatusStyle Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> IMStatusStyle -> ShowS Source # show :: IMStatusStyle -> String Source # showList :: [IMStatusStyle] -> ShowS Source #
Eq IMStatusStyle Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: IMStatusStyle -> IMStatusStyle -> Bool Source # (/=) :: IMStatusStyle -> IMStatusStyle -> Bool Source #
Ord IMStatusStyle Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: IMStatusStyle -> IMStatusStyle -> Ordering Source #

(<) :: IMStatusStyle -> IMStatusStyle -> Bool Source #

(<=) :: IMStatusStyle -> IMStatusStyle -> Bool Source #

(>) :: IMStatusStyle -> IMStatusStyle -> Bool Source #

(>=) :: IMStatusStyle -> IMStatusStyle -> Bool Source #

max :: IMStatusStyle -> IMStatusStyle -> IMStatusStyle Source #

min :: IMStatusStyle -> IMStatusStyle -> IMStatusStyle Source #

BoxedEnum IMStatusStyle Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject IMStatusStyle Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes IMStatusStyle Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes IMStatusStyle Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes IMStatusStyle = '[] :: [Type]

## IconSize

data IconSize Source #

Built-in stock icon sizes.

Constructors

IconSizeInvalid | Invalid size.
IconSizeMenu | Size appropriate for menus (16px).
IconSizeSmallToolbar | Size appropriate for small toolbars (16px).
IconSizeLargeToolbar | Size appropriate for large toolbars (24px)
IconSizeButton | Size appropriate for buttons (16px)
IconSizeDnd | Size appropriate for drag and drop (32px)
IconSizeDialog | Size appropriate for dialogs (48px)
AnotherIconSize Int | Catch-all for unknown values

#### Instances

Instances details

Enum IconSize Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: IconSize -> IconSize Source #

pred :: IconSize -> IconSize Source #

toEnum :: Int -> IconSize Source #

fromEnum :: IconSize -> Int Source #

enumFrom :: IconSize -> [IconSize] Source #

enumFromThen :: IconSize -> IconSize -> [IconSize] Source #

enumFromTo :: IconSize -> IconSize -> [IconSize] Source #

enumFromThenTo :: IconSize -> IconSize -> IconSize -> [IconSize] Source #

Show IconSize Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> IconSize -> ShowS Source # show :: IconSize -> String Source # showList :: [IconSize] -> ShowS Source #
Eq IconSize Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: IconSize -> IconSize -> Bool Source # (/=) :: IconSize -> IconSize -> Bool Source #
Ord IconSize Source # |
Instance details Defined in GI.Gtk.Enums Methods compare :: IconSize -> IconSize -> Ordering Source # (<) :: IconSize -> IconSize -> Bool Source # (<=) :: IconSize -> IconSize -> Bool Source # (>) :: IconSize -> IconSize -> Bool Source # (>=) :: IconSize -> IconSize -> Bool Source # max :: IconSize -> IconSize -> IconSize Source # min :: IconSize -> IconSize -> IconSize Source #
BoxedEnum IconSize Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject IconSize Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes IconSize Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes IconSize Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes IconSize = '[] :: [Type]

## IconThemeError

data IconThemeError Source #

Error codes for GtkIconTheme operations.

Constructors

IconThemeErrorNotFound | The icon specified does not exist in the theme
IconThemeErrorFailed | An unspecified error occurred.
AnotherIconThemeError Int | Catch-all for unknown values

#### Instances

Instances details

Enum IconThemeError Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: IconThemeError -> IconThemeError Source #

pred :: IconThemeError -> IconThemeError Source #

toEnum :: Int -> IconThemeError Source #

fromEnum :: IconThemeError -> Int Source #

enumFrom :: IconThemeError -> [IconThemeError] Source #

enumFromThen :: IconThemeError -> IconThemeError -> [IconThemeError] Source #

enumFromTo :: IconThemeError -> IconThemeError -> [IconThemeError] Source #

enumFromThenTo :: IconThemeError -> IconThemeError -> IconThemeError -> [IconThemeError] Source #

Show IconThemeError Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> IconThemeError -> ShowS Source # show :: IconThemeError -> String Source # showList :: [IconThemeError] -> ShowS Source #
Eq IconThemeError Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: IconThemeError -> IconThemeError -> Bool Source # (/=) :: IconThemeError -> IconThemeError -> Bool Source #
Ord IconThemeError Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: IconThemeError -> IconThemeError -> Ordering Source #

(<) :: IconThemeError -> IconThemeError -> Bool Source #

(<=) :: IconThemeError -> IconThemeError -> Bool Source #

(>) :: IconThemeError -> IconThemeError -> Bool Source #

(>=) :: IconThemeError -> IconThemeError -> Bool Source #

max :: IconThemeError -> IconThemeError -> IconThemeError Source #

min :: IconThemeError -> IconThemeError -> IconThemeError Source #

BoxedEnum IconThemeError Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject IconThemeError Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
GErrorClass IconThemeError Source # |
Instance details Defined in GI.Gtk.Enums Methods gerrorClassDomain :: IconThemeError -> Text Source #
HasParentTypes IconThemeError Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes IconThemeError Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes IconThemeError = '[] :: [Type]

catchIconThemeError :: IO a -> (IconThemeError -> GErrorMessage -> IO a) -> IO a Source #

Catch exceptions of type `IconThemeError`. This is a specialized version of `catchGErrorJustDomain`.

handleIconThemeError :: (IconThemeError -> GErrorMessage -> IO a) -> IO a -> IO a Source #

Handle exceptions of type `IconThemeError`. This is a specialized version of `handleGErrorJustDomain`.

## IconViewDropPosition

data IconViewDropPosition Source #

An enum for determining where a dropped item goes.

Constructors

IconViewDropPositionNoDrop | no drop possible
IconViewDropPositionDropInto | dropped item replaces the item
IconViewDropPositionDropLeft | droppped item is inserted to the left
IconViewDropPositionDropRight | dropped item is inserted to the right
IconViewDropPositionDropAbove | dropped item is inserted above
IconViewDropPositionDropBelow | dropped item is inserted below
AnotherIconViewDropPosition Int | Catch-all for unknown values

#### Instances

Instances details

Enum IconViewDropPosition Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: IconViewDropPosition -> IconViewDropPosition Source #

pred :: IconViewDropPosition -> IconViewDropPosition Source #

toEnum :: Int -> IconViewDropPosition Source #

fromEnum :: IconViewDropPosition -> Int Source #

enumFrom :: IconViewDropPosition -> [IconViewDropPosition] Source #

enumFromThen :: IconViewDropPosition -> IconViewDropPosition -> [IconViewDropPosition] Source #

enumFromTo :: IconViewDropPosition -> IconViewDropPosition -> [IconViewDropPosition] Source #

enumFromThenTo :: IconViewDropPosition -> IconViewDropPosition -> IconViewDropPosition -> [IconViewDropPosition] Source #

Show IconViewDropPosition Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> IconViewDropPosition -> ShowS Source # show :: IconViewDropPosition -> String Source # showList :: [IconViewDropPosition] -> ShowS Source #
Eq IconViewDropPosition Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: IconViewDropPosition -> IconViewDropPosition -> Bool Source # (/=) :: IconViewDropPosition -> IconViewDropPosition -> Bool Source #
Ord IconViewDropPosition Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: IconViewDropPosition -> IconViewDropPosition -> Ordering Source #

(<) :: IconViewDropPosition -> IconViewDropPosition -> Bool Source #

(<=) :: IconViewDropPosition -> IconViewDropPosition -> Bool Source #

(>) :: IconViewDropPosition -> IconViewDropPosition -> Bool Source #

(>=) :: IconViewDropPosition -> IconViewDropPosition -> Bool Source #

max :: IconViewDropPosition -> IconViewDropPosition -> IconViewDropPosition Source #

min :: IconViewDropPosition -> IconViewDropPosition -> IconViewDropPosition Source #

BoxedEnum IconViewDropPosition Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject IconViewDropPosition Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes IconViewDropPosition Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes IconViewDropPosition Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes IconViewDropPosition = '[] :: [Type]

## ImageType

data ImageType Source #

Describes the image data representation used by a `Image`. If you want to get the image from the widget, you can only get the currently-stored representation. e.g. if the `imageGetStorageType` returns `GTK_IMAGE_PIXBUF`, then you can call `imageGetPixbuf` but not `imageGetStock`. For empty images, you can request any storage type (call any of the "get" functions), but they will all return `Nothing` values.

Constructors

ImageTypeEmpty | there is no image displayed by the widget
ImageTypePixbuf | the widget contains a `Pixbuf`
ImageTypeStock | the widget contains a [stock item name][gtkstock]
ImageTypeIconSet | the widget contains a `IconSet`
ImageTypeAnimation | the widget contains a `PixbufAnimation`
ImageTypeIconName | the widget contains a named icon. This image type was added in GTK+ 2.6
ImageTypeGicon | the widget contains a `Icon`. This image type was added in GTK+ 2.14
ImageTypeSurface | the widget contains a `Surface`. This image type was added in GTK+ 3.10
AnotherImageType Int | Catch-all for unknown values

#### Instances

Instances details

Enum ImageType Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: ImageType -> ImageType Source #

pred :: ImageType -> ImageType Source #

toEnum :: Int -> ImageType Source #

fromEnum :: ImageType -> Int Source #

enumFrom :: ImageType -> [ImageType] Source #

enumFromThen :: ImageType -> ImageType -> [ImageType] Source #

enumFromTo :: ImageType -> ImageType -> [ImageType] Source #

enumFromThenTo :: ImageType -> ImageType -> ImageType -> [ImageType] Source #

Show ImageType Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> ImageType -> ShowS Source # show :: ImageType -> String Source # showList :: [ImageType] -> ShowS Source #
Eq ImageType Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: ImageType -> ImageType -> Bool Source # (/=) :: ImageType -> ImageType -> Bool Source #
Ord ImageType Source # |
Instance details Defined in GI.Gtk.Enums Methods compare :: ImageType -> ImageType -> Ordering Source # (<) :: ImageType -> ImageType -> Bool Source # (<=) :: ImageType -> ImageType -> Bool Source # (>) :: ImageType -> ImageType -> Bool Source # (>=) :: ImageType -> ImageType -> Bool Source # max :: ImageType -> ImageType -> ImageType Source # min :: ImageType -> ImageType -> ImageType Source #
BoxedEnum ImageType Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject ImageType Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes ImageType Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes ImageType Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes ImageType = '[] :: [Type]

## InputPurpose

data InputPurpose Source #

Describes primary purpose of the input widget. This information is useful for on-screen keyboards and similar input methods to decide which keys should be presented to the user.

Note that the purpose is not meant to impose a totally strict rule about allowed characters, and does not replace input validation. It is fine for an on-screen keyboard to let the user override the character set restriction that is expressed by the purpose. The application is expected to validate the entry contents, even if it specified a purpose.

The difference between `gTKINPUTPURPOSEDIGITS` and `gTKINPUTPURPOSENUMBER` is that the former accepts only digits while the latter also some punctuation (like commas or points, plus, minus) and “e” or “E” as in 3.14E+000.

This enumeration may be extended in the future; input methods should interpret unknown values as “free form”.

Since: 3.6

Constructors

InputPurposeFreeForm | Allow any character
InputPurposeAlpha | Allow only alphabetic characters
InputPurposeDigits | Allow only digits
InputPurposeNumber | Edited field expects numbers
InputPurposePhone | Edited field expects phone number
InputPurposeUrl | Edited field expects URL
InputPurposeEmail | Edited field expects email address
InputPurposeName | Edited field expects the name of a person
InputPurposePassword | Like `gTKINPUTPURPOSEFREEFORM`, but characters are hidden
InputPurposePin | Like `gTKINPUTPURPOSEDIGITS`, but characters are hidden
InputPurposeTerminal | Allow any character, in addition to control codes
AnotherInputPurpose Int | Catch-all for unknown values

#### Instances

Instances details

Enum InputPurpose Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: InputPurpose -> InputPurpose Source #

pred :: InputPurpose -> InputPurpose Source #

toEnum :: Int -> InputPurpose Source #

fromEnum :: InputPurpose -> Int Source #

enumFrom :: InputPurpose -> [InputPurpose] Source #

enumFromThen :: InputPurpose -> InputPurpose -> [InputPurpose] Source #

enumFromTo :: InputPurpose -> InputPurpose -> [InputPurpose] Source #

enumFromThenTo :: InputPurpose -> InputPurpose -> InputPurpose -> [InputPurpose] Source #

Show InputPurpose Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> InputPurpose -> ShowS Source # show :: InputPurpose -> String Source # showList :: [InputPurpose] -> ShowS Source #
Eq InputPurpose Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: InputPurpose -> InputPurpose -> Bool Source # (/=) :: InputPurpose -> InputPurpose -> Bool Source #
Ord InputPurpose Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: InputPurpose -> InputPurpose -> Ordering Source #

(<) :: InputPurpose -> InputPurpose -> Bool Source #

(<=) :: InputPurpose -> InputPurpose -> Bool Source #

(>) :: InputPurpose -> InputPurpose -> Bool Source #

(>=) :: InputPurpose -> InputPurpose -> Bool Source #

max :: InputPurpose -> InputPurpose -> InputPurpose Source #

min :: InputPurpose -> InputPurpose -> InputPurpose Source #

BoxedEnum InputPurpose Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject InputPurpose Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes InputPurpose Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes InputPurpose Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes InputPurpose = '[] :: [Type]

## Justification

data Justification Source #

Used for justifying the text inside a `Label` widget. (See also `Alignment`).

Constructors

JustificationLeft | The text is placed at the left edge of the label.
JustificationRight | The text is placed at the right edge of the label.
JustificationCenter | The text is placed in the center of the label.
JustificationFill | The text is placed is distributed across the label.
AnotherJustification Int | Catch-all for unknown values

#### Instances

Instances details

Enum Justification Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: Justification -> Justification Source #

pred :: Justification -> Justification Source #

toEnum :: Int -> Justification Source #

fromEnum :: Justification -> Int Source #

enumFrom :: Justification -> [Justification] Source #

enumFromThen :: Justification -> Justification -> [Justification] Source #

enumFromTo :: Justification -> Justification -> [Justification] Source #

enumFromThenTo :: Justification -> Justification -> Justification -> [Justification] Source #

Show Justification Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> Justification -> ShowS Source # show :: Justification -> String Source # showList :: [Justification] -> ShowS Source #
Eq Justification Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: Justification -> Justification -> Bool Source # (/=) :: Justification -> Justification -> Bool Source #
Ord Justification Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: Justification -> Justification -> Ordering Source #

(<) :: Justification -> Justification -> Bool Source #

(<=) :: Justification -> Justification -> Bool Source #

(>) :: Justification -> Justification -> Bool Source #

(>=) :: Justification -> Justification -> Bool Source #

max :: Justification -> Justification -> Justification Source #

min :: Justification -> Justification -> Justification Source #

BoxedEnum Justification Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject Justification Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes Justification Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes Justification Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes Justification = '[] :: [Type]

## LevelBarMode

data LevelBarMode Source #

Describes how `LevelBar` contents should be rendered. Note that this enumeration could be extended with additional modes in the future.

Since: 3.6

Constructors

LevelBarModeContinuous | the bar has a continuous mode
LevelBarModeDiscrete | the bar has a discrete mode
AnotherLevelBarMode Int | Catch-all for unknown values

#### Instances

Instances details

Enum LevelBarMode Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: LevelBarMode -> LevelBarMode Source #

pred :: LevelBarMode -> LevelBarMode Source #

toEnum :: Int -> LevelBarMode Source #

fromEnum :: LevelBarMode -> Int Source #

enumFrom :: LevelBarMode -> [LevelBarMode] Source #

enumFromThen :: LevelBarMode -> LevelBarMode -> [LevelBarMode] Source #

enumFromTo :: LevelBarMode -> LevelBarMode -> [LevelBarMode] Source #

enumFromThenTo :: LevelBarMode -> LevelBarMode -> LevelBarMode -> [LevelBarMode] Source #

Show LevelBarMode Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> LevelBarMode -> ShowS Source # show :: LevelBarMode -> String Source # showList :: [LevelBarMode] -> ShowS Source #
Eq LevelBarMode Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: LevelBarMode -> LevelBarMode -> Bool Source # (/=) :: LevelBarMode -> LevelBarMode -> Bool Source #
Ord LevelBarMode Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: LevelBarMode -> LevelBarMode -> Ordering Source #

(<) :: LevelBarMode -> LevelBarMode -> Bool Source #

(<=) :: LevelBarMode -> LevelBarMode -> Bool Source #

(>) :: LevelBarMode -> LevelBarMode -> Bool Source #

(>=) :: LevelBarMode -> LevelBarMode -> Bool Source #

max :: LevelBarMode -> LevelBarMode -> LevelBarMode Source #

min :: LevelBarMode -> LevelBarMode -> LevelBarMode Source #

BoxedEnum LevelBarMode Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject LevelBarMode Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes LevelBarMode Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes LevelBarMode Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes LevelBarMode = '[] :: [Type]

## License

data License Source #

The type of license for an application.

This enumeration can be expanded at later date.

Since: 3.0

Constructors

LicenseUnknown | No license specified
LicenseCustom | A license text is going to be specified by the developer
LicenseGpl20 | The GNU General Public License, version 2.0 or later
LicenseGpl30 | The GNU General Public License, version 3.0 or later
LicenseLgpl21 | The GNU Lesser General Public License, version 2.1 or later
LicenseLgpl30 | The GNU Lesser General Public License, version 3.0 or later
LicenseBsd | The BSD standard license
LicenseMitX11 | The MIT/X11 standard license
LicenseArtistic | The Artistic License, version 2.0
LicenseGpl20Only | The GNU General Public License, version 2.0 only. Since 3.12.
LicenseGpl30Only | The GNU General Public License, version 3.0 only. Since 3.12.
LicenseLgpl21Only | The GNU Lesser General Public License, version 2.1 only. Since 3.12.
LicenseLgpl30Only | The GNU Lesser General Public License, version 3.0 only. Since 3.12.
LicenseAgpl30 | The GNU Affero General Public License, version 3.0 or later. Since: 3.22.
LicenseAgpl30Only | The GNU Affero General Public License, version 3.0 only. Since: 3.22.27.
LicenseBsd3 | The 3-clause BSD licence. Since: 3.24.20.
LicenseApache20 | The Apache License, version 2.0. Since: 3.24.20.
LicenseMpl20 | The Mozilla Public License, version 2.0. Since: 3.24.20.
AnotherLicense Int | Catch-all for unknown values

#### Instances

Instances details

Enum License Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: License -> License Source #

pred :: License -> License Source #

toEnum :: Int -> License Source #

fromEnum :: License -> Int Source #

enumFrom :: License -> [License] Source #

enumFromThen :: License -> License -> [License] Source #

enumFromTo :: License -> License -> [License] Source #

enumFromThenTo :: License -> License -> License -> [License] Source #

Show License Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> License -> ShowS Source # show :: License -> String Source # showList :: [License] -> ShowS Source #
Eq License Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: License -> License -> Bool Source # (/=) :: License -> License -> Bool Source #
Ord License Source # |
Instance details Defined in GI.Gtk.Enums Methods compare :: License -> License -> Ordering Source # (<) :: License -> License -> Bool Source # (<=) :: License -> License -> Bool Source # (>) :: License -> License -> Bool Source # (>=) :: License -> License -> Bool Source # max :: License -> License -> License Source # min :: License -> License -> License Source #
BoxedEnum License Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject License Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes License Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes License Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes License = '[] :: [Type]

## MenuDirectionType

data MenuDirectionType Source #

An enumeration representing directional movements within a menu.

Constructors

MenuDirectionTypeParent | To the parent menu shell
MenuDirectionTypeChild | To the submenu, if any, associated with the item
MenuDirectionTypeNext | To the next menu item
MenuDirectionTypePrev | To the previous menu item
AnotherMenuDirectionType Int | Catch-all for unknown values

#### Instances

Instances details

Enum MenuDirectionType Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: MenuDirectionType -> MenuDirectionType Source #

pred :: MenuDirectionType -> MenuDirectionType Source #

toEnum :: Int -> MenuDirectionType Source #

fromEnum :: MenuDirectionType -> Int Source #

enumFrom :: MenuDirectionType -> [MenuDirectionType] Source #

enumFromThen :: MenuDirectionType -> MenuDirectionType -> [MenuDirectionType] Source #

enumFromTo :: MenuDirectionType -> MenuDirectionType -> [MenuDirectionType] Source #

enumFromThenTo :: MenuDirectionType -> MenuDirectionType -> MenuDirectionType -> [MenuDirectionType] Source #

Show MenuDirectionType Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> MenuDirectionType -> ShowS Source # show :: MenuDirectionType -> String Source # showList :: [MenuDirectionType] -> ShowS Source #
Eq MenuDirectionType Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: MenuDirectionType -> MenuDirectionType -> Bool Source # (/=) :: MenuDirectionType -> MenuDirectionType -> Bool Source #
Ord MenuDirectionType Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: MenuDirectionType -> MenuDirectionType -> Ordering Source #

(<) :: MenuDirectionType -> MenuDirectionType -> Bool Source #

(<=) :: MenuDirectionType -> MenuDirectionType -> Bool Source #

(>) :: MenuDirectionType -> MenuDirectionType -> Bool Source #

(>=) :: MenuDirectionType -> MenuDirectionType -> Bool Source #

max :: MenuDirectionType -> MenuDirectionType -> MenuDirectionType Source #

min :: MenuDirectionType -> MenuDirectionType -> MenuDirectionType Source #

BoxedEnum MenuDirectionType Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject MenuDirectionType Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes MenuDirectionType Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes MenuDirectionType Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes MenuDirectionType = '[] :: [Type]

## MessageType

data MessageType Source #

The type of message being displayed in the dialog.

Constructors

MessageTypeInfo | Informational message
MessageTypeWarning | Non-fatal warning message
MessageTypeQuestion | Question requiring a choice
MessageTypeError | Fatal error message
MessageTypeOther | None of the above
AnotherMessageType Int | Catch-all for unknown values

#### Instances

Instances details

Enum MessageType Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: MessageType -> MessageType Source #

pred :: MessageType -> MessageType Source #

toEnum :: Int -> MessageType Source #

fromEnum :: MessageType -> Int Source #

enumFrom :: MessageType -> [MessageType] Source #

enumFromThen :: MessageType -> MessageType -> [MessageType] Source #

enumFromTo :: MessageType -> MessageType -> [MessageType] Source #

enumFromThenTo :: MessageType -> MessageType -> MessageType -> [MessageType] Source #

Show MessageType Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> MessageType -> ShowS Source # show :: MessageType -> String Source # showList :: [MessageType] -> ShowS Source #
Eq MessageType Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: MessageType -> MessageType -> Bool Source # (/=) :: MessageType -> MessageType -> Bool Source #
Ord MessageType Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: MessageType -> MessageType -> Ordering Source #

(<) :: MessageType -> MessageType -> Bool Source #

(<=) :: MessageType -> MessageType -> Bool Source #

(>) :: MessageType -> MessageType -> Bool Source #

(>=) :: MessageType -> MessageType -> Bool Source #

max :: MessageType -> MessageType -> MessageType Source #

min :: MessageType -> MessageType -> MessageType Source #

BoxedEnum MessageType Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject MessageType Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes MessageType Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes MessageType Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes MessageType = '[] :: [Type]

## MovementStep

data MovementStep Source #

No description available in the introspection data.

Constructors

MovementStepLogicalPositions | Move forward or back by graphemes
MovementStepVisualPositions | Move left or right by graphemes
MovementStepWords | Move forward or back by words
MovementStepDisplayLines | Move up or down lines (wrapped lines)
MovementStepDisplayLineEnds | Move to either end of a line
MovementStepParagraphs | Move up or down paragraphs (newline-ended lines)
MovementStepParagraphEnds | Move to either end of a paragraph
MovementStepPages | Move by pages
MovementStepBufferEnds | Move to ends of the buffer
MovementStepHorizontalPages | Move horizontally by pages
AnotherMovementStep Int | Catch-all for unknown values

#### Instances

Instances details

Enum MovementStep Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: MovementStep -> MovementStep Source #

pred :: MovementStep -> MovementStep Source #

toEnum :: Int -> MovementStep Source #

fromEnum :: MovementStep -> Int Source #

enumFrom :: MovementStep -> [MovementStep] Source #

enumFromThen :: MovementStep -> MovementStep -> [MovementStep] Source #

enumFromTo :: MovementStep -> MovementStep -> [MovementStep] Source #

enumFromThenTo :: MovementStep -> MovementStep -> MovementStep -> [MovementStep] Source #

Show MovementStep Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> MovementStep -> ShowS Source # show :: MovementStep -> String Source # showList :: [MovementStep] -> ShowS Source #
Eq MovementStep Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: MovementStep -> MovementStep -> Bool Source # (/=) :: MovementStep -> MovementStep -> Bool Source #
Ord MovementStep Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: MovementStep -> MovementStep -> Ordering Source #

(<) :: MovementStep -> MovementStep -> Bool Source #

(<=) :: MovementStep -> MovementStep -> Bool Source #

(>) :: MovementStep -> MovementStep -> Bool Source #

(>=) :: MovementStep -> MovementStep -> Bool Source #

max :: MovementStep -> MovementStep -> MovementStep Source #

min :: MovementStep -> MovementStep -> MovementStep Source #

BoxedEnum MovementStep Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject MovementStep Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes MovementStep Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes MovementStep Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes MovementStep = '[] :: [Type]

## NotebookTab

data NotebookTab Source #

No description available in the introspection data.

Constructors

NotebookTabFirst | No description available in the introspection data.
NotebookTabLast | No description available in the introspection data.
AnotherNotebookTab Int | Catch-all for unknown values

#### Instances

Instances details

Enum NotebookTab Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: NotebookTab -> NotebookTab Source #

pred :: NotebookTab -> NotebookTab Source #

toEnum :: Int -> NotebookTab Source #

fromEnum :: NotebookTab -> Int Source #

enumFrom :: NotebookTab -> [NotebookTab] Source #

enumFromThen :: NotebookTab -> NotebookTab -> [NotebookTab] Source #

enumFromTo :: NotebookTab -> NotebookTab -> [NotebookTab] Source #

enumFromThenTo :: NotebookTab -> NotebookTab -> NotebookTab -> [NotebookTab] Source #

Show NotebookTab Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> NotebookTab -> ShowS Source # show :: NotebookTab -> String Source # showList :: [NotebookTab] -> ShowS Source #
Eq NotebookTab Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: NotebookTab -> NotebookTab -> Bool Source # (/=) :: NotebookTab -> NotebookTab -> Bool Source #
Ord NotebookTab Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: NotebookTab -> NotebookTab -> Ordering Source #

(<) :: NotebookTab -> NotebookTab -> Bool Source #

(<=) :: NotebookTab -> NotebookTab -> Bool Source #

(>) :: NotebookTab -> NotebookTab -> Bool Source #

(>=) :: NotebookTab -> NotebookTab -> Bool Source #

max :: NotebookTab -> NotebookTab -> NotebookTab Source #

min :: NotebookTab -> NotebookTab -> NotebookTab Source #

BoxedEnum NotebookTab Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject NotebookTab Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes NotebookTab Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes NotebookTab Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes NotebookTab = '[] :: [Type]

## NumberUpLayout

data NumberUpLayout Source #

Used to determine the layout of pages on a sheet when printing multiple pages per sheet.

Constructors

NumberUpLayoutLrtb |
NumberUpLayoutLrbt |
NumberUpLayoutRltb |
NumberUpLayoutRlbt |
NumberUpLayoutTblr |
NumberUpLayoutTbrl |
NumberUpLayoutBtlr |
NumberUpLayoutBtrl |
AnotherNumberUpLayout Int | Catch-all for unknown values

#### Instances

Instances details

Enum NumberUpLayout Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: NumberUpLayout -> NumberUpLayout Source #

pred :: NumberUpLayout -> NumberUpLayout Source #

toEnum :: Int -> NumberUpLayout Source #

fromEnum :: NumberUpLayout -> Int Source #

enumFrom :: NumberUpLayout -> [NumberUpLayout] Source #

enumFromThen :: NumberUpLayout -> NumberUpLayout -> [NumberUpLayout] Source #

enumFromTo :: NumberUpLayout -> NumberUpLayout -> [NumberUpLayout] Source #

enumFromThenTo :: NumberUpLayout -> NumberUpLayout -> NumberUpLayout -> [NumberUpLayout] Source #

Show NumberUpLayout Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> NumberUpLayout -> ShowS Source # show :: NumberUpLayout -> String Source # showList :: [NumberUpLayout] -> ShowS Source #
Eq NumberUpLayout Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: NumberUpLayout -> NumberUpLayout -> Bool Source # (/=) :: NumberUpLayout -> NumberUpLayout -> Bool Source #
Ord NumberUpLayout Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: NumberUpLayout -> NumberUpLayout -> Ordering Source #

(<) :: NumberUpLayout -> NumberUpLayout -> Bool Source #

(<=) :: NumberUpLayout -> NumberUpLayout -> Bool Source #

(>) :: NumberUpLayout -> NumberUpLayout -> Bool Source #

(>=) :: NumberUpLayout -> NumberUpLayout -> Bool Source #

max :: NumberUpLayout -> NumberUpLayout -> NumberUpLayout Source #

min :: NumberUpLayout -> NumberUpLayout -> NumberUpLayout Source #

BoxedEnum NumberUpLayout Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject NumberUpLayout Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes NumberUpLayout Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes NumberUpLayout Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes NumberUpLayout = '[] :: [Type]

## Orientation

data Orientation Source #

Represents the orientation of widgets and other objects which can be switched between horizontal and vertical orientation on the fly, like `Toolbar` or `GesturePan`.

Constructors

OrientationHorizontal | The element is in horizontal orientation.
OrientationVertical | The element is in vertical orientation.
AnotherOrientation Int | Catch-all for unknown values

#### Instances

Instances details

Enum Orientation Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: Orientation -> Orientation Source #

pred :: Orientation -> Orientation Source #

toEnum :: Int -> Orientation Source #

fromEnum :: Orientation -> Int Source #

enumFrom :: Orientation -> [Orientation] Source #

enumFromThen :: Orientation -> Orientation -> [Orientation] Source #

enumFromTo :: Orientation -> Orientation -> [Orientation] Source #

enumFromThenTo :: Orientation -> Orientation -> Orientation -> [Orientation] Source #

Show Orientation Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> Orientation -> ShowS Source # show :: Orientation -> String Source # showList :: [Orientation] -> ShowS Source #
Eq Orientation Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: Orientation -> Orientation -> Bool Source # (/=) :: Orientation -> Orientation -> Bool Source #
Ord Orientation Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: Orientation -> Orientation -> Ordering Source #

(<) :: Orientation -> Orientation -> Bool Source #

(<=) :: Orientation -> Orientation -> Bool Source #

(>) :: Orientation -> Orientation -> Bool Source #

(>=) :: Orientation -> Orientation -> Bool Source #

max :: Orientation -> Orientation -> Orientation Source #

min :: Orientation -> Orientation -> Orientation Source #

BoxedEnum Orientation Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject Orientation Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes Orientation Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes Orientation Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes Orientation = '[] :: [Type]

## PackDirection

data PackDirection Source #

Determines how widgets should be packed inside menubars and menuitems contained in menubars.

Constructors

PackDirectionLtr | Widgets are packed left-to-right
PackDirectionRtl | Widgets are packed right-to-left
PackDirectionTtb | Widgets are packed top-to-bottom
PackDirectionBtt | Widgets are packed bottom-to-top
AnotherPackDirection Int | Catch-all for unknown values

#### Instances

Instances details

Enum PackDirection Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: PackDirection -> PackDirection Source #

pred :: PackDirection -> PackDirection Source #

toEnum :: Int -> PackDirection Source #

fromEnum :: PackDirection -> Int Source #

enumFrom :: PackDirection -> [PackDirection] Source #

enumFromThen :: PackDirection -> PackDirection -> [PackDirection] Source #

enumFromTo :: PackDirection -> PackDirection -> [PackDirection] Source #

enumFromThenTo :: PackDirection -> PackDirection -> PackDirection -> [PackDirection] Source #

Show PackDirection Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> PackDirection -> ShowS Source # show :: PackDirection -> String Source # showList :: [PackDirection] -> ShowS Source #
Eq PackDirection Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: PackDirection -> PackDirection -> Bool Source # (/=) :: PackDirection -> PackDirection -> Bool Source #
Ord PackDirection Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: PackDirection -> PackDirection -> Ordering Source #

(<) :: PackDirection -> PackDirection -> Bool Source #

(<=) :: PackDirection -> PackDirection -> Bool Source #

(>) :: PackDirection -> PackDirection -> Bool Source #

(>=) :: PackDirection -> PackDirection -> Bool Source #

max :: PackDirection -> PackDirection -> PackDirection Source #

min :: PackDirection -> PackDirection -> PackDirection Source #

BoxedEnum PackDirection Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject PackDirection Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes PackDirection Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes PackDirection Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes PackDirection = '[] :: [Type]

## PackType

data PackType Source #

Represents the packing location `Box` children. (See: `VBox`, `HBox`, and `ButtonBox`).

Constructors

PackTypeStart | The child is packed into the start of the box
PackTypeEnd | The child is packed into the end of the box
AnotherPackType Int | Catch-all for unknown values

#### Instances

Instances details

Enum PackType Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: PackType -> PackType Source #

pred :: PackType -> PackType Source #

toEnum :: Int -> PackType Source #

fromEnum :: PackType -> Int Source #

enumFrom :: PackType -> [PackType] Source #

enumFromThen :: PackType -> PackType -> [PackType] Source #

enumFromTo :: PackType -> PackType -> [PackType] Source #

enumFromThenTo :: PackType -> PackType -> PackType -> [PackType] Source #

Show PackType Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> PackType -> ShowS Source # show :: PackType -> String Source # showList :: [PackType] -> ShowS Source #
Eq PackType Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: PackType -> PackType -> Bool Source # (/=) :: PackType -> PackType -> Bool Source #
Ord PackType Source # |
Instance details Defined in GI.Gtk.Enums Methods compare :: PackType -> PackType -> Ordering Source # (<) :: PackType -> PackType -> Bool Source # (<=) :: PackType -> PackType -> Bool Source # (>) :: PackType -> PackType -> Bool Source # (>=) :: PackType -> PackType -> Bool Source # max :: PackType -> PackType -> PackType Source # min :: PackType -> PackType -> PackType Source #
BoxedEnum PackType Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject PackType Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes PackType Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes PackType Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes PackType = '[] :: [Type]

## PadActionType

data PadActionType Source #

The type of a pad action.

Constructors

PadActionTypeButton | Action is triggered by a pad button
PadActionTypeRing | Action is triggered by a pad ring
PadActionTypeStrip | Action is triggered by a pad strip
AnotherPadActionType Int | Catch-all for unknown values

#### Instances

Instances details

Enum PadActionType Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: PadActionType -> PadActionType Source #

pred :: PadActionType -> PadActionType Source #

toEnum :: Int -> PadActionType Source #

fromEnum :: PadActionType -> Int Source #

enumFrom :: PadActionType -> [PadActionType] Source #

enumFromThen :: PadActionType -> PadActionType -> [PadActionType] Source #

enumFromTo :: PadActionType -> PadActionType -> [PadActionType] Source #

enumFromThenTo :: PadActionType -> PadActionType -> PadActionType -> [PadActionType] Source #

Show PadActionType Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> PadActionType -> ShowS Source # show :: PadActionType -> String Source # showList :: [PadActionType] -> ShowS Source #
Eq PadActionType Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: PadActionType -> PadActionType -> Bool Source # (/=) :: PadActionType -> PadActionType -> Bool Source #
Ord PadActionType Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: PadActionType -> PadActionType -> Ordering Source #

(<) :: PadActionType -> PadActionType -> Bool Source #

(<=) :: PadActionType -> PadActionType -> Bool Source #

(>) :: PadActionType -> PadActionType -> Bool Source #

(>=) :: PadActionType -> PadActionType -> Bool Source #

max :: PadActionType -> PadActionType -> PadActionType Source #

min :: PadActionType -> PadActionType -> PadActionType Source #

BoxedEnum PadActionType Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject PadActionType Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes PadActionType Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes PadActionType Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes PadActionType = '[] :: [Type]

## PageOrientation

data PageOrientation Source #

See also `printSettingsSetOrientation`.

Constructors

PageOrientationPortrait | Portrait mode.
PageOrientationLandscape | Landscape mode.
PageOrientationReversePortrait | Reverse portrait mode.
PageOrientationReverseLandscape | Reverse landscape mode.
AnotherPageOrientation Int | Catch-all for unknown values

#### Instances

Instances details

Enum PageOrientation Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: PageOrientation -> PageOrientation Source #

pred :: PageOrientation -> PageOrientation Source #

toEnum :: Int -> PageOrientation Source #

fromEnum :: PageOrientation -> Int Source #

enumFrom :: PageOrientation -> [PageOrientation] Source #

enumFromThen :: PageOrientation -> PageOrientation -> [PageOrientation] Source #

enumFromTo :: PageOrientation -> PageOrientation -> [PageOrientation] Source #

enumFromThenTo :: PageOrientation -> PageOrientation -> PageOrientation -> [PageOrientation] Source #

Show PageOrientation Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> PageOrientation -> ShowS Source # show :: PageOrientation -> String Source # showList :: [PageOrientation] -> ShowS Source #
Eq PageOrientation Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: PageOrientation -> PageOrientation -> Bool Source # (/=) :: PageOrientation -> PageOrientation -> Bool Source #
Ord PageOrientation Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: PageOrientation -> PageOrientation -> Ordering Source #

(<) :: PageOrientation -> PageOrientation -> Bool Source #

(<=) :: PageOrientation -> PageOrientation -> Bool Source #

(>) :: PageOrientation -> PageOrientation -> Bool Source #

(>=) :: PageOrientation -> PageOrientation -> Bool Source #

max :: PageOrientation -> PageOrientation -> PageOrientation Source #

min :: PageOrientation -> PageOrientation -> PageOrientation Source #

BoxedEnum PageOrientation Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject PageOrientation Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes PageOrientation Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes PageOrientation Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes PageOrientation = '[] :: [Type]

## PageSet

data PageSet Source #

See also `gtk_print_job_set_page_set()`.

Constructors

PageSetAll | All pages.
PageSetEven | Even pages.
PageSetOdd | Odd pages.
AnotherPageSet Int | Catch-all for unknown values

#### Instances

Instances details

Enum PageSet Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: PageSet -> PageSet Source #

pred :: PageSet -> PageSet Source #

toEnum :: Int -> PageSet Source #

fromEnum :: PageSet -> Int Source #

enumFrom :: PageSet -> [PageSet] Source #

enumFromThen :: PageSet -> PageSet -> [PageSet] Source #

enumFromTo :: PageSet -> PageSet -> [PageSet] Source #

enumFromThenTo :: PageSet -> PageSet -> PageSet -> [PageSet] Source #

Show PageSet Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> PageSet -> ShowS Source # show :: PageSet -> String Source # showList :: [PageSet] -> ShowS Source #
Eq PageSet Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: PageSet -> PageSet -> Bool Source # (/=) :: PageSet -> PageSet -> Bool Source #
Ord PageSet Source # |
Instance details Defined in GI.Gtk.Enums Methods compare :: PageSet -> PageSet -> Ordering Source # (<) :: PageSet -> PageSet -> Bool Source # (<=) :: PageSet -> PageSet -> Bool Source # (>) :: PageSet -> PageSet -> Bool Source # (>=) :: PageSet -> PageSet -> Bool Source # max :: PageSet -> PageSet -> PageSet Source # min :: PageSet -> PageSet -> PageSet Source #
BoxedEnum PageSet Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject PageSet Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes PageSet Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes PageSet Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes PageSet = '[] :: [Type]

## PanDirection

data PanDirection Source #

Describes the panning direction of a `GesturePan`

Since: 3.14

Constructors

PanDirectionLeft | panned towards the left
PanDirectionRight | panned towards the right
PanDirectionUp | panned upwards
PanDirectionDown | panned downwards
AnotherPanDirection Int | Catch-all for unknown values

#### Instances

Instances details

Enum PanDirection Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: PanDirection -> PanDirection Source #

pred :: PanDirection -> PanDirection Source #

toEnum :: Int -> PanDirection Source #

fromEnum :: PanDirection -> Int Source #

enumFrom :: PanDirection -> [PanDirection] Source #

enumFromThen :: PanDirection -> PanDirection -> [PanDirection] Source #

enumFromTo :: PanDirection -> PanDirection -> [PanDirection] Source #

enumFromThenTo :: PanDirection -> PanDirection -> PanDirection -> [PanDirection] Source #

Show PanDirection Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> PanDirection -> ShowS Source # show :: PanDirection -> String Source # showList :: [PanDirection] -> ShowS Source #
Eq PanDirection Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: PanDirection -> PanDirection -> Bool Source # (/=) :: PanDirection -> PanDirection -> Bool Source #
Ord PanDirection Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: PanDirection -> PanDirection -> Ordering Source #

(<) :: PanDirection -> PanDirection -> Bool Source #

(<=) :: PanDirection -> PanDirection -> Bool Source #

(>) :: PanDirection -> PanDirection -> Bool Source #

(>=) :: PanDirection -> PanDirection -> Bool Source #

max :: PanDirection -> PanDirection -> PanDirection Source #

min :: PanDirection -> PanDirection -> PanDirection Source #

BoxedEnum PanDirection Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject PanDirection Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes PanDirection Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes PanDirection Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes PanDirection = '[] :: [Type]

## PathPriorityType

data PathPriorityType Source #

Deprecated: (Since version 3.0)

Priorities for path lookups. See also `bindingSetAddPath`.

Constructors

PathPriorityTypeLowest | Deprecated
PathPriorityTypeGtk | Deprecated
PathPriorityTypeApplication | Deprecated
PathPriorityTypeTheme | Deprecated
PathPriorityTypeRc | Deprecated
PathPriorityTypeHighest | Deprecated
AnotherPathPriorityType Int | Catch-all for unknown values

#### Instances

Instances details

Enum PathPriorityType Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: PathPriorityType -> PathPriorityType Source #

pred :: PathPriorityType -> PathPriorityType Source #

toEnum :: Int -> PathPriorityType Source #

fromEnum :: PathPriorityType -> Int Source #

enumFrom :: PathPriorityType -> [PathPriorityType] Source #

enumFromThen :: PathPriorityType -> PathPriorityType -> [PathPriorityType] Source #

enumFromTo :: PathPriorityType -> PathPriorityType -> [PathPriorityType] Source #

enumFromThenTo :: PathPriorityType -> PathPriorityType -> PathPriorityType -> [PathPriorityType] Source #

Show PathPriorityType Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> PathPriorityType -> ShowS Source # show :: PathPriorityType -> String Source # showList :: [PathPriorityType] -> ShowS Source #
Eq PathPriorityType Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: PathPriorityType -> PathPriorityType -> Bool Source # (/=) :: PathPriorityType -> PathPriorityType -> Bool Source #
Ord PathPriorityType Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: PathPriorityType -> PathPriorityType -> Ordering Source #

(<) :: PathPriorityType -> PathPriorityType -> Bool Source #

(<=) :: PathPriorityType -> PathPriorityType -> Bool Source #

(>) :: PathPriorityType -> PathPriorityType -> Bool Source #

(>=) :: PathPriorityType -> PathPriorityType -> Bool Source #

max :: PathPriorityType -> PathPriorityType -> PathPriorityType Source #

min :: PathPriorityType -> PathPriorityType -> PathPriorityType Source #

BoxedEnum PathPriorityType Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject PathPriorityType Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes PathPriorityType Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes PathPriorityType Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes PathPriorityType = '[] :: [Type]

## PathType

data PathType Source #

Deprecated: (Since version 3.0)

Widget path types. See also `bindingSetAddPath`.

Constructors

PathTypeWidget | Deprecated
PathTypeWidgetClass | Deprecated
PathTypeClass | Deprecated
AnotherPathType Int | Catch-all for unknown values

#### Instances

Instances details

Enum PathType Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: PathType -> PathType Source #

pred :: PathType -> PathType Source #

toEnum :: Int -> PathType Source #

fromEnum :: PathType -> Int Source #

enumFrom :: PathType -> [PathType] Source #

enumFromThen :: PathType -> PathType -> [PathType] Source #

enumFromTo :: PathType -> PathType -> [PathType] Source #

enumFromThenTo :: PathType -> PathType -> PathType -> [PathType] Source #

Show PathType Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> PathType -> ShowS Source # show :: PathType -> String Source # showList :: [PathType] -> ShowS Source #
Eq PathType Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: PathType -> PathType -> Bool Source # (/=) :: PathType -> PathType -> Bool Source #
Ord PathType Source # |
Instance details Defined in GI.Gtk.Enums Methods compare :: PathType -> PathType -> Ordering Source # (<) :: PathType -> PathType -> Bool Source # (<=) :: PathType -> PathType -> Bool Source # (>) :: PathType -> PathType -> Bool Source # (>=) :: PathType -> PathType -> Bool Source # max :: PathType -> PathType -> PathType Source # min :: PathType -> PathType -> PathType Source #
BoxedEnum PathType Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject PathType Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes PathType Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes PathType Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes PathType = '[] :: [Type]

## PolicyType

data PolicyType Source #

Determines how the size should be computed to achieve the one of the visibility mode for the scrollbars.

Constructors

PolicyTypeAlways | The scrollbar is always visible. The view size is independent of the content.
PolicyTypeAutomatic | The scrollbar will appear and disappear as necessary. For example, when all of a `TreeView` can not be seen.
PolicyTypeNever | The scrollbar should never appear. In this mode the content determines the size.
PolicyTypeExternal | Don't show a scrollbar, but don't force the size to follow the content. This can be used e.g. to make multiple scrolled windows share a scrollbar. Since: 3.16
AnotherPolicyType Int | Catch-all for unknown values

#### Instances

Instances details

Enum PolicyType Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: PolicyType -> PolicyType Source #

pred :: PolicyType -> PolicyType Source #

toEnum :: Int -> PolicyType Source #

fromEnum :: PolicyType -> Int Source #

enumFrom :: PolicyType -> [PolicyType] Source #

enumFromThen :: PolicyType -> PolicyType -> [PolicyType] Source #

enumFromTo :: PolicyType -> PolicyType -> [PolicyType] Source #

enumFromThenTo :: PolicyType -> PolicyType -> PolicyType -> [PolicyType] Source #

Show PolicyType Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> PolicyType -> ShowS Source # show :: PolicyType -> String Source # showList :: [PolicyType] -> ShowS Source #
Eq PolicyType Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: PolicyType -> PolicyType -> Bool Source # (/=) :: PolicyType -> PolicyType -> Bool Source #
Ord PolicyType Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: PolicyType -> PolicyType -> Ordering Source #

(<) :: PolicyType -> PolicyType -> Bool Source #

(<=) :: PolicyType -> PolicyType -> Bool Source #

(>) :: PolicyType -> PolicyType -> Bool Source #

(>=) :: PolicyType -> PolicyType -> Bool Source #

max :: PolicyType -> PolicyType -> PolicyType Source #

min :: PolicyType -> PolicyType -> PolicyType Source #

BoxedEnum PolicyType Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject PolicyType Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes PolicyType Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes PolicyType Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes PolicyType = '[] :: [Type]

## PopoverConstraint

data PopoverConstraint Source #

Describes constraints to positioning of popovers. More values may be added to this enumeration in the future.

Since: 3.20

Constructors

PopoverConstraintNone | Don't constrain the popover position beyond what is imposed by the implementation
PopoverConstraintWindow | Constrain the popover to the boundaries of the window that it is attached to
AnotherPopoverConstraint Int | Catch-all for unknown values

#### Instances

Instances details

Enum PopoverConstraint Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: PopoverConstraint -> PopoverConstraint Source #

pred :: PopoverConstraint -> PopoverConstraint Source #

toEnum :: Int -> PopoverConstraint Source #

fromEnum :: PopoverConstraint -> Int Source #

enumFrom :: PopoverConstraint -> [PopoverConstraint] Source #

enumFromThen :: PopoverConstraint -> PopoverConstraint -> [PopoverConstraint] Source #

enumFromTo :: PopoverConstraint -> PopoverConstraint -> [PopoverConstraint] Source #

enumFromThenTo :: PopoverConstraint -> PopoverConstraint -> PopoverConstraint -> [PopoverConstraint] Source #

Show PopoverConstraint Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> PopoverConstraint -> ShowS Source # show :: PopoverConstraint -> String Source # showList :: [PopoverConstraint] -> ShowS Source #
Eq PopoverConstraint Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: PopoverConstraint -> PopoverConstraint -> Bool Source # (/=) :: PopoverConstraint -> PopoverConstraint -> Bool Source #
Ord PopoverConstraint Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: PopoverConstraint -> PopoverConstraint -> Ordering Source #

(<) :: PopoverConstraint -> PopoverConstraint -> Bool Source #

(<=) :: PopoverConstraint -> PopoverConstraint -> Bool Source #

(>) :: PopoverConstraint -> PopoverConstraint -> Bool Source #

(>=) :: PopoverConstraint -> PopoverConstraint -> Bool Source #

max :: PopoverConstraint -> PopoverConstraint -> PopoverConstraint Source #

min :: PopoverConstraint -> PopoverConstraint -> PopoverConstraint Source #

BoxedEnum PopoverConstraint Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject PopoverConstraint Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes PopoverConstraint Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes PopoverConstraint Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes PopoverConstraint = '[] :: [Type]

## PositionType

data PositionType Source #

Describes which edge of a widget a certain feature is positioned at, e.g. the tabs of a `Notebook`, the handle of a `HandleBox` or the label of a `Scale`.

Constructors

PositionTypeLeft | The feature is at the left edge.
PositionTypeRight | The feature is at the right edge.
PositionTypeTop | The feature is at the top edge.
PositionTypeBottom | The feature is at the bottom edge.
AnotherPositionType Int | Catch-all for unknown values

#### Instances

Instances details

Enum PositionType Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: PositionType -> PositionType Source #

pred :: PositionType -> PositionType Source #

toEnum :: Int -> PositionType Source #

fromEnum :: PositionType -> Int Source #

enumFrom :: PositionType -> [PositionType] Source #

enumFromThen :: PositionType -> PositionType -> [PositionType] Source #

enumFromTo :: PositionType -> PositionType -> [PositionType] Source #

enumFromThenTo :: PositionType -> PositionType -> PositionType -> [PositionType] Source #

Show PositionType Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> PositionType -> ShowS Source # show :: PositionType -> String Source # showList :: [PositionType] -> ShowS Source #
Eq PositionType Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: PositionType -> PositionType -> Bool Source # (/=) :: PositionType -> PositionType -> Bool Source #
Ord PositionType Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: PositionType -> PositionType -> Ordering Source #

(<) :: PositionType -> PositionType -> Bool Source #

(<=) :: PositionType -> PositionType -> Bool Source #

(>) :: PositionType -> PositionType -> Bool Source #

(>=) :: PositionType -> PositionType -> Bool Source #

max :: PositionType -> PositionType -> PositionType Source #

min :: PositionType -> PositionType -> PositionType Source #

BoxedEnum PositionType Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject PositionType Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes PositionType Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes PositionType Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes PositionType = '[] :: [Type]

## PrintDuplex

data PrintDuplex Source #

See also `printSettingsSetDuplex`.

Constructors

PrintDuplexSimplex | No duplex.
PrintDuplexHorizontal | Horizontal duplex.
PrintDuplexVertical | Vertical duplex.
AnotherPrintDuplex Int | Catch-all for unknown values

#### Instances

Instances details

Enum PrintDuplex Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: PrintDuplex -> PrintDuplex Source #

pred :: PrintDuplex -> PrintDuplex Source #

toEnum :: Int -> PrintDuplex Source #

fromEnum :: PrintDuplex -> Int Source #

enumFrom :: PrintDuplex -> [PrintDuplex] Source #

enumFromThen :: PrintDuplex -> PrintDuplex -> [PrintDuplex] Source #

enumFromTo :: PrintDuplex -> PrintDuplex -> [PrintDuplex] Source #

enumFromThenTo :: PrintDuplex -> PrintDuplex -> PrintDuplex -> [PrintDuplex] Source #

Show PrintDuplex Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> PrintDuplex -> ShowS Source # show :: PrintDuplex -> String Source # showList :: [PrintDuplex] -> ShowS Source #
Eq PrintDuplex Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: PrintDuplex -> PrintDuplex -> Bool Source # (/=) :: PrintDuplex -> PrintDuplex -> Bool Source #
Ord PrintDuplex Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: PrintDuplex -> PrintDuplex -> Ordering Source #

(<) :: PrintDuplex -> PrintDuplex -> Bool Source #

(<=) :: PrintDuplex -> PrintDuplex -> Bool Source #

(>) :: PrintDuplex -> PrintDuplex -> Bool Source #

(>=) :: PrintDuplex -> PrintDuplex -> Bool Source #

max :: PrintDuplex -> PrintDuplex -> PrintDuplex Source #

min :: PrintDuplex -> PrintDuplex -> PrintDuplex Source #

BoxedEnum PrintDuplex Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject PrintDuplex Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes PrintDuplex Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes PrintDuplex Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes PrintDuplex = '[] :: [Type]

## PrintError

data PrintError Source #

Error codes that identify various errors that can occur while using the GTK+ printing support.

Constructors

PrintErrorGeneral | An unspecified error occurred.
PrintErrorInternalError | An internal error occurred.
PrintErrorNomem | A memory allocation failed.
PrintErrorInvalidFile | An error occurred while loading a page setup or paper size from a key file.
AnotherPrintError Int | Catch-all for unknown values

#### Instances

Instances details

Enum PrintError Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: PrintError -> PrintError Source #

pred :: PrintError -> PrintError Source #

toEnum :: Int -> PrintError Source #

fromEnum :: PrintError -> Int Source #

enumFrom :: PrintError -> [PrintError] Source #

enumFromThen :: PrintError -> PrintError -> [PrintError] Source #

enumFromTo :: PrintError -> PrintError -> [PrintError] Source #

enumFromThenTo :: PrintError -> PrintError -> PrintError -> [PrintError] Source #

Show PrintError Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> PrintError -> ShowS Source # show :: PrintError -> String Source # showList :: [PrintError] -> ShowS Source #
Eq PrintError Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: PrintError -> PrintError -> Bool Source # (/=) :: PrintError -> PrintError -> Bool Source #
Ord PrintError Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: PrintError -> PrintError -> Ordering Source #

(<) :: PrintError -> PrintError -> Bool Source #

(<=) :: PrintError -> PrintError -> Bool Source #

(>) :: PrintError -> PrintError -> Bool Source #

(>=) :: PrintError -> PrintError -> Bool Source #

max :: PrintError -> PrintError -> PrintError Source #

min :: PrintError -> PrintError -> PrintError Source #

BoxedEnum PrintError Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject PrintError Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
GErrorClass PrintError Source # |
Instance details Defined in GI.Gtk.Enums Methods gerrorClassDomain :: PrintError -> Text Source #
HasParentTypes PrintError Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes PrintError Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes PrintError = '[] :: [Type]

catchPrintError :: IO a -> (PrintError -> GErrorMessage -> IO a) -> IO a Source #

Catch exceptions of type `PrintError`. This is a specialized version of `catchGErrorJustDomain`.

handlePrintError :: (PrintError -> GErrorMessage -> IO a) -> IO a -> IO a Source #

Handle exceptions of type `PrintError`. This is a specialized version of `handleGErrorJustDomain`.

## PrintOperationAction

data PrintOperationAction Source #

The `action` parameter to `printOperationRun` determines what action the print operation should perform.

Constructors

PrintOperationActionPrintDialog | Show the print dialog.
PrintOperationActionPrint | Start to print without showing the print dialog, based on the current print settings.
PrintOperationActionPreview | Show the print preview.
PrintOperationActionExport | Export to a file. This requires the export-filename property to be set.
AnotherPrintOperationAction Int | Catch-all for unknown values

#### Instances

Instances details

Enum PrintOperationAction Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: PrintOperationAction -> PrintOperationAction Source #

pred :: PrintOperationAction -> PrintOperationAction Source #

toEnum :: Int -> PrintOperationAction Source #

fromEnum :: PrintOperationAction -> Int Source #

enumFrom :: PrintOperationAction -> [PrintOperationAction] Source #

enumFromThen :: PrintOperationAction -> PrintOperationAction -> [PrintOperationAction] Source #

enumFromTo :: PrintOperationAction -> PrintOperationAction -> [PrintOperationAction] Source #

enumFromThenTo :: PrintOperationAction -> PrintOperationAction -> PrintOperationAction -> [PrintOperationAction] Source #

Show PrintOperationAction Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> PrintOperationAction -> ShowS Source # show :: PrintOperationAction -> String Source # showList :: [PrintOperationAction] -> ShowS Source #
Eq PrintOperationAction Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: PrintOperationAction -> PrintOperationAction -> Bool Source # (/=) :: PrintOperationAction -> PrintOperationAction -> Bool Source #
Ord PrintOperationAction Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: PrintOperationAction -> PrintOperationAction -> Ordering Source #

(<) :: PrintOperationAction -> PrintOperationAction -> Bool Source #

(<=) :: PrintOperationAction -> PrintOperationAction -> Bool Source #

(>) :: PrintOperationAction -> PrintOperationAction -> Bool Source #

(>=) :: PrintOperationAction -> PrintOperationAction -> Bool Source #

max :: PrintOperationAction -> PrintOperationAction -> PrintOperationAction Source #

min :: PrintOperationAction -> PrintOperationAction -> PrintOperationAction Source #

BoxedEnum PrintOperationAction Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject PrintOperationAction Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes PrintOperationAction Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes PrintOperationAction Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes PrintOperationAction = '[] :: [Type]

## PrintOperationResult

data PrintOperationResult Source #

A value of this type is returned by `printOperationRun`.

Constructors

PrintOperationResultError | An error has occurred.
PrintOperationResultApply | The print settings should be stored.
PrintOperationResultCancel | The print operation has been canceled, the print settings should not be stored.
PrintOperationResultInProgress | The print operation is not complete yet. This value will only be returned when running asynchronously.
AnotherPrintOperationResult Int | Catch-all for unknown values

#### Instances

Instances details

Enum PrintOperationResult Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: PrintOperationResult -> PrintOperationResult Source #

pred :: PrintOperationResult -> PrintOperationResult Source #

toEnum :: Int -> PrintOperationResult Source #

fromEnum :: PrintOperationResult -> Int Source #

enumFrom :: PrintOperationResult -> [PrintOperationResult] Source #

enumFromThen :: PrintOperationResult -> PrintOperationResult -> [PrintOperationResult] Source #

enumFromTo :: PrintOperationResult -> PrintOperationResult -> [PrintOperationResult] Source #

enumFromThenTo :: PrintOperationResult -> PrintOperationResult -> PrintOperationResult -> [PrintOperationResult] Source #

Show PrintOperationResult Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> PrintOperationResult -> ShowS Source # show :: PrintOperationResult -> String Source # showList :: [PrintOperationResult] -> ShowS Source #
Eq PrintOperationResult Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: PrintOperationResult -> PrintOperationResult -> Bool Source # (/=) :: PrintOperationResult -> PrintOperationResult -> Bool Source #
Ord PrintOperationResult Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: PrintOperationResult -> PrintOperationResult -> Ordering Source #

(<) :: PrintOperationResult -> PrintOperationResult -> Bool Source #

(<=) :: PrintOperationResult -> PrintOperationResult -> Bool Source #

(>) :: PrintOperationResult -> PrintOperationResult -> Bool Source #

(>=) :: PrintOperationResult -> PrintOperationResult -> Bool Source #

max :: PrintOperationResult -> PrintOperationResult -> PrintOperationResult Source #

min :: PrintOperationResult -> PrintOperationResult -> PrintOperationResult Source #

BoxedEnum PrintOperationResult Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject PrintOperationResult Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes PrintOperationResult Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes PrintOperationResult Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes PrintOperationResult = '[] :: [Type]

## PrintPages

data PrintPages Source #

See also `gtk_print_job_set_pages()`

Constructors

PrintPagesAll | All pages.
PrintPagesCurrent | Current page.
PrintPagesRanges | Range of pages.
PrintPagesSelection | Selected pages.
AnotherPrintPages Int | Catch-all for unknown values

#### Instances

Instances details

Enum PrintPages Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: PrintPages -> PrintPages Source #

pred :: PrintPages -> PrintPages Source #

toEnum :: Int -> PrintPages Source #

fromEnum :: PrintPages -> Int Source #

enumFrom :: PrintPages -> [PrintPages] Source #

enumFromThen :: PrintPages -> PrintPages -> [PrintPages] Source #

enumFromTo :: PrintPages -> PrintPages -> [PrintPages] Source #

enumFromThenTo :: PrintPages -> PrintPages -> PrintPages -> [PrintPages] Source #

Show PrintPages Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> PrintPages -> ShowS Source # show :: PrintPages -> String Source # showList :: [PrintPages] -> ShowS Source #
Eq PrintPages Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: PrintPages -> PrintPages -> Bool Source # (/=) :: PrintPages -> PrintPages -> Bool Source #
Ord PrintPages Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: PrintPages -> PrintPages -> Ordering Source #

(<) :: PrintPages -> PrintPages -> Bool Source #

(<=) :: PrintPages -> PrintPages -> Bool Source #

(>) :: PrintPages -> PrintPages -> Bool Source #

(>=) :: PrintPages -> PrintPages -> Bool Source #

max :: PrintPages -> PrintPages -> PrintPages Source #

min :: PrintPages -> PrintPages -> PrintPages Source #

BoxedEnum PrintPages Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject PrintPages Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes PrintPages Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes PrintPages Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes PrintPages = '[] :: [Type]

## PrintQuality

data PrintQuality Source #

See also `printSettingsSetQuality`.

Constructors

PrintQualityLow | Low quality.
PrintQualityNormal | Normal quality.
PrintQualityHigh | High quality.
PrintQualityDraft | Draft quality.
AnotherPrintQuality Int | Catch-all for unknown values

#### Instances

Instances details

Enum PrintQuality Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: PrintQuality -> PrintQuality Source #

pred :: PrintQuality -> PrintQuality Source #

toEnum :: Int -> PrintQuality Source #

fromEnum :: PrintQuality -> Int Source #

enumFrom :: PrintQuality -> [PrintQuality] Source #

enumFromThen :: PrintQuality -> PrintQuality -> [PrintQuality] Source #

enumFromTo :: PrintQuality -> PrintQuality -> [PrintQuality] Source #

enumFromThenTo :: PrintQuality -> PrintQuality -> PrintQuality -> [PrintQuality] Source #

Show PrintQuality Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> PrintQuality -> ShowS Source # show :: PrintQuality -> String Source # showList :: [PrintQuality] -> ShowS Source #
Eq PrintQuality Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: PrintQuality -> PrintQuality -> Bool Source # (/=) :: PrintQuality -> PrintQuality -> Bool Source #
Ord PrintQuality Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: PrintQuality -> PrintQuality -> Ordering Source #

(<) :: PrintQuality -> PrintQuality -> Bool Source #

(<=) :: PrintQuality -> PrintQuality -> Bool Source #

(>) :: PrintQuality -> PrintQuality -> Bool Source #

(>=) :: PrintQuality -> PrintQuality -> Bool Source #

max :: PrintQuality -> PrintQuality -> PrintQuality Source #

min :: PrintQuality -> PrintQuality -> PrintQuality Source #

BoxedEnum PrintQuality Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject PrintQuality Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes PrintQuality Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes PrintQuality Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes PrintQuality = '[] :: [Type]

## PrintStatus

data PrintStatus Source #

The status gives a rough indication of the completion of a running print operation.

Constructors

PrintStatusInitial | The printing has not started yet; this status is set initially, and while the print dialog is shown.
PrintStatusPreparing | This status is set while the begin-print signal is emitted and during pagination.
PrintStatusGeneratingData | This status is set while the pages are being rendered.
PrintStatusSendingData | The print job is being sent off to the printer.
PrintStatusPending | The print job has been sent to the printer, but is not printed for some reason, e.g. the printer may be stopped.
PrintStatusPendingIssue | Some problem has occurred during printing, e.g. a paper jam.
PrintStatusPrinting | The printer is processing the print job.
PrintStatusFinished | The printing has been completed successfully.
PrintStatusFinishedAborted | The printing has been aborted.
AnotherPrintStatus Int | Catch-all for unknown values

#### Instances

Instances details

Enum PrintStatus Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: PrintStatus -> PrintStatus Source #

pred :: PrintStatus -> PrintStatus Source #

toEnum :: Int -> PrintStatus Source #

fromEnum :: PrintStatus -> Int Source #

enumFrom :: PrintStatus -> [PrintStatus] Source #

enumFromThen :: PrintStatus -> PrintStatus -> [PrintStatus] Source #

enumFromTo :: PrintStatus -> PrintStatus -> [PrintStatus] Source #

enumFromThenTo :: PrintStatus -> PrintStatus -> PrintStatus -> [PrintStatus] Source #

Show PrintStatus Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> PrintStatus -> ShowS Source # show :: PrintStatus -> String Source # showList :: [PrintStatus] -> ShowS Source #
Eq PrintStatus Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: PrintStatus -> PrintStatus -> Bool Source # (/=) :: PrintStatus -> PrintStatus -> Bool Source #
Ord PrintStatus Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: PrintStatus -> PrintStatus -> Ordering Source #

(<) :: PrintStatus -> PrintStatus -> Bool Source #

(<=) :: PrintStatus -> PrintStatus -> Bool Source #

(>) :: PrintStatus -> PrintStatus -> Bool Source #

(>=) :: PrintStatus -> PrintStatus -> Bool Source #

max :: PrintStatus -> PrintStatus -> PrintStatus Source #

min :: PrintStatus -> PrintStatus -> PrintStatus Source #

BoxedEnum PrintStatus Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject PrintStatus Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes PrintStatus Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes PrintStatus Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes PrintStatus = '[] :: [Type]

## PropagationPhase

data PropagationPhase Source #

Describes the stage at which events are fed into a `EventController`.

Since: 3.14

Constructors

PropagationPhaseNone | Events are not delivered automatically. Those can be manually fed through `eventControllerHandleEvent`. This should only be used when full control about when, or whether the controller handles the event is needed.
PropagationPhaseCapture | Events are delivered in the capture phase. The capture phase happens before the bubble phase, runs from the toplevel down to the event widget. This option should only be used on containers that might possibly handle events before their children do.
PropagationPhaseBubble | Events are delivered in the bubble phase. The bubble phase happens after the capture phase, and before the default handlers are run. This phase runs from the event widget, up to the toplevel.
PropagationPhaseTarget | Events are delivered in the default widget event handlers, note that widget implementations must chain up on button, motion, touch and grab broken handlers for controllers in this phase to be run.
AnotherPropagationPhase Int | Catch-all for unknown values

#### Instances

Instances details

Enum PropagationPhase Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: PropagationPhase -> PropagationPhase Source #

pred :: PropagationPhase -> PropagationPhase Source #

toEnum :: Int -> PropagationPhase Source #

fromEnum :: PropagationPhase -> Int Source #

enumFrom :: PropagationPhase -> [PropagationPhase] Source #

enumFromThen :: PropagationPhase -> PropagationPhase -> [PropagationPhase] Source #

enumFromTo :: PropagationPhase -> PropagationPhase -> [PropagationPhase] Source #

enumFromThenTo :: PropagationPhase -> PropagationPhase -> PropagationPhase -> [PropagationPhase] Source #

Show PropagationPhase Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> PropagationPhase -> ShowS Source # show :: PropagationPhase -> String Source # showList :: [PropagationPhase] -> ShowS Source #
Eq PropagationPhase Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: PropagationPhase -> PropagationPhase -> Bool Source # (/=) :: PropagationPhase -> PropagationPhase -> Bool Source #
Ord PropagationPhase Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: PropagationPhase -> PropagationPhase -> Ordering Source #

(<) :: PropagationPhase -> PropagationPhase -> Bool Source #

(<=) :: PropagationPhase -> PropagationPhase -> Bool Source #

(>) :: PropagationPhase -> PropagationPhase -> Bool Source #

(>=) :: PropagationPhase -> PropagationPhase -> Bool Source #

max :: PropagationPhase -> PropagationPhase -> PropagationPhase Source #

min :: PropagationPhase -> PropagationPhase -> PropagationPhase Source #

BoxedEnum PropagationPhase Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject PropagationPhase Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes PropagationPhase Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes PropagationPhase Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes PropagationPhase = '[] :: [Type]

## RcTokenType

data RcTokenType Source #

Deprecated: (Since version 3.0)Use `CssProvider` instead.

The `RcTokenType` enumeration represents the tokens in the RC file. It is exposed so that theme engines can reuse these tokens when parsing the theme-engine specific portions of a RC file.

Constructors

RcTokenTypeInvalid | Deprecated
RcTokenTypeInclude | Deprecated
RcTokenTypeNormal | Deprecated
RcTokenTypeActive | Deprecated
RcTokenTypePrelight | Deprecated
RcTokenTypeSelected | Deprecated
RcTokenTypeInsensitive | Deprecated
RcTokenTypeFg | Deprecated
RcTokenTypeBg | Deprecated
RcTokenTypeText | Deprecated
RcTokenTypeBase | Deprecated
RcTokenTypeXthickness | Deprecated
RcTokenTypeYthickness | Deprecated
RcTokenTypeFont | Deprecated
RcTokenTypeFontset | Deprecated
RcTokenTypeFontName | Deprecated
RcTokenTypeBgPixmap | Deprecated
RcTokenTypePixmapPath | Deprecated
RcTokenTypeStyle | Deprecated
RcTokenTypeBinding | Deprecated
RcTokenTypeBind | Deprecated
RcTokenTypeWidget | Deprecated
RcTokenTypeWidgetClass | Deprecated
RcTokenTypeClass | Deprecated
RcTokenTypeLowest | Deprecated
RcTokenTypeGtk | Deprecated
RcTokenTypeApplication | Deprecated
RcTokenTypeTheme | Deprecated
RcTokenTypeRc | Deprecated
RcTokenTypeHighest | Deprecated
RcTokenTypeEngine | Deprecated
RcTokenTypeModulePath | Deprecated
RcTokenTypeImModulePath | Deprecated
RcTokenTypeImModuleFile | Deprecated
RcTokenTypeStock | Deprecated
RcTokenTypeLtr | Deprecated
RcTokenTypeRtl | Deprecated
RcTokenTypeColor | Deprecated
RcTokenTypeUnbind | Deprecated
RcTokenTypeLast | Deprecated
AnotherRcTokenType Int | Catch-all for unknown values

#### Instances

Instances details

Enum RcTokenType Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: RcTokenType -> RcTokenType Source #

pred :: RcTokenType -> RcTokenType Source #

toEnum :: Int -> RcTokenType Source #

fromEnum :: RcTokenType -> Int Source #

enumFrom :: RcTokenType -> [RcTokenType] Source #

enumFromThen :: RcTokenType -> RcTokenType -> [RcTokenType] Source #

enumFromTo :: RcTokenType -> RcTokenType -> [RcTokenType] Source #

enumFromThenTo :: RcTokenType -> RcTokenType -> RcTokenType -> [RcTokenType] Source #

Show RcTokenType Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> RcTokenType -> ShowS Source # show :: RcTokenType -> String Source # showList :: [RcTokenType] -> ShowS Source #
Eq RcTokenType Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: RcTokenType -> RcTokenType -> Bool Source # (/=) :: RcTokenType -> RcTokenType -> Bool Source #
Ord RcTokenType Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: RcTokenType -> RcTokenType -> Ordering Source #

(<) :: RcTokenType -> RcTokenType -> Bool Source #

(<=) :: RcTokenType -> RcTokenType -> Bool Source #

(>) :: RcTokenType -> RcTokenType -> Bool Source #

(>=) :: RcTokenType -> RcTokenType -> Bool Source #

max :: RcTokenType -> RcTokenType -> RcTokenType Source #

min :: RcTokenType -> RcTokenType -> RcTokenType Source #

BoxedEnum RcTokenType Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject RcTokenType Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes RcTokenType Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes RcTokenType Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes RcTokenType = '[] :: [Type]

## RecentChooserError

data RecentChooserError Source #

These identify the various errors that can occur while calling `RecentChooser` functions.

Since: 2.10

Constructors

RecentChooserErrorNotFound | Indicates that a file does not exist
RecentChooserErrorInvalidUri | Indicates a malformed URI
AnotherRecentChooserError Int | Catch-all for unknown values

#### Instances

Instances details

Enum RecentChooserError Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: RecentChooserError -> RecentChooserError Source #

pred :: RecentChooserError -> RecentChooserError Source #

toEnum :: Int -> RecentChooserError Source #

fromEnum :: RecentChooserError -> Int Source #

enumFrom :: RecentChooserError -> [RecentChooserError] Source #

enumFromThen :: RecentChooserError -> RecentChooserError -> [RecentChooserError] Source #

enumFromTo :: RecentChooserError -> RecentChooserError -> [RecentChooserError] Source #

enumFromThenTo :: RecentChooserError -> RecentChooserError -> RecentChooserError -> [RecentChooserError] Source #

Show RecentChooserError Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> RecentChooserError -> ShowS Source # show :: RecentChooserError -> String Source # showList :: [RecentChooserError] -> ShowS Source #
Eq RecentChooserError Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: RecentChooserError -> RecentChooserError -> Bool Source # (/=) :: RecentChooserError -> RecentChooserError -> Bool Source #
Ord RecentChooserError Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: RecentChooserError -> RecentChooserError -> Ordering Source #

(<) :: RecentChooserError -> RecentChooserError -> Bool Source #

(<=) :: RecentChooserError -> RecentChooserError -> Bool Source #

(>) :: RecentChooserError -> RecentChooserError -> Bool Source #

(>=) :: RecentChooserError -> RecentChooserError -> Bool Source #

max :: RecentChooserError -> RecentChooserError -> RecentChooserError Source #

min :: RecentChooserError -> RecentChooserError -> RecentChooserError Source #

BoxedEnum RecentChooserError Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject RecentChooserError Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
GErrorClass RecentChooserError Source # |
Instance details Defined in GI.Gtk.Enums Methods gerrorClassDomain :: RecentChooserError -> Text Source #
HasParentTypes RecentChooserError Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes RecentChooserError Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes RecentChooserError = '[] :: [Type]

catchRecentChooserError :: IO a -> (RecentChooserError -> GErrorMessage -> IO a) -> IO a Source #

Catch exceptions of type `RecentChooserError`. This is a specialized version of `catchGErrorJustDomain`.

handleRecentChooserError :: (RecentChooserError -> GErrorMessage -> IO a) -> IO a -> IO a Source #

Handle exceptions of type `RecentChooserError`. This is a specialized version of `handleGErrorJustDomain`.

## RecentManagerError

data RecentManagerError Source #

Error codes for `RecentManager` operations

Since: 2.10

Constructors

RecentManagerErrorNotFound | the URI specified does not exists in the recently used resources list.
RecentManagerErrorInvalidUri | the URI specified is not valid.
RecentManagerErrorInvalidEncoding | the supplied string is not UTF-8 encoded.
RecentManagerErrorNotRegistered | no application has registered the specified item.
RecentManagerErrorRead | failure while reading the recently used resources file.
RecentManagerErrorWrite | failure while writing the recently used resources file.
RecentManagerErrorUnknown | unspecified error.
AnotherRecentManagerError Int | Catch-all for unknown values

#### Instances

Instances details

Enum RecentManagerError Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: RecentManagerError -> RecentManagerError Source #

pred :: RecentManagerError -> RecentManagerError Source #

toEnum :: Int -> RecentManagerError Source #

fromEnum :: RecentManagerError -> Int Source #

enumFrom :: RecentManagerError -> [RecentManagerError] Source #

enumFromThen :: RecentManagerError -> RecentManagerError -> [RecentManagerError] Source #

enumFromTo :: RecentManagerError -> RecentManagerError -> [RecentManagerError] Source #

enumFromThenTo :: RecentManagerError -> RecentManagerError -> RecentManagerError -> [RecentManagerError] Source #

Show RecentManagerError Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> RecentManagerError -> ShowS Source # show :: RecentManagerError -> String Source # showList :: [RecentManagerError] -> ShowS Source #
Eq RecentManagerError Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: RecentManagerError -> RecentManagerError -> Bool Source # (/=) :: RecentManagerError -> RecentManagerError -> Bool Source #
Ord RecentManagerError Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: RecentManagerError -> RecentManagerError -> Ordering Source #

(<) :: RecentManagerError -> RecentManagerError -> Bool Source #

(<=) :: RecentManagerError -> RecentManagerError -> Bool Source #

(>) :: RecentManagerError -> RecentManagerError -> Bool Source #

(>=) :: RecentManagerError -> RecentManagerError -> Bool Source #

max :: RecentManagerError -> RecentManagerError -> RecentManagerError Source #

min :: RecentManagerError -> RecentManagerError -> RecentManagerError Source #

BoxedEnum RecentManagerError Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject RecentManagerError Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
GErrorClass RecentManagerError Source # |
Instance details Defined in GI.Gtk.Enums Methods gerrorClassDomain :: RecentManagerError -> Text Source #
HasParentTypes RecentManagerError Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes RecentManagerError Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes RecentManagerError = '[] :: [Type]

catchRecentManagerError :: IO a -> (RecentManagerError -> GErrorMessage -> IO a) -> IO a Source #

Catch exceptions of type `RecentManagerError`. This is a specialized version of `catchGErrorJustDomain`.

handleRecentManagerError :: (RecentManagerError -> GErrorMessage -> IO a) -> IO a -> IO a Source #

Handle exceptions of type `RecentManagerError`. This is a specialized version of `handleGErrorJustDomain`.

## RecentSortType

data RecentSortType Source #

Used to specify the sorting method to be applyed to the recently used resource list.

Since: 2.10

Constructors

RecentSortTypeNone | Do not sort the returned list of recently used resources.
RecentSortTypeMru | Sort the returned list with the most recently used items first.
RecentSortTypeLru | Sort the returned list with the least recently used items first.
RecentSortTypeCustom | Sort the returned list using a custom sorting function passed using `recentChooserSetSortFunc`.
AnotherRecentSortType Int | Catch-all for unknown values

#### Instances

Instances details

Enum RecentSortType Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: RecentSortType -> RecentSortType Source #

pred :: RecentSortType -> RecentSortType Source #

toEnum :: Int -> RecentSortType Source #

fromEnum :: RecentSortType -> Int Source #

enumFrom :: RecentSortType -> [RecentSortType] Source #

enumFromThen :: RecentSortType -> RecentSortType -> [RecentSortType] Source #

enumFromTo :: RecentSortType -> RecentSortType -> [RecentSortType] Source #

enumFromThenTo :: RecentSortType -> RecentSortType -> RecentSortType -> [RecentSortType] Source #

Show RecentSortType Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> RecentSortType -> ShowS Source # show :: RecentSortType -> String Source # showList :: [RecentSortType] -> ShowS Source #
Eq RecentSortType Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: RecentSortType -> RecentSortType -> Bool Source # (/=) :: RecentSortType -> RecentSortType -> Bool Source #
Ord RecentSortType Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: RecentSortType -> RecentSortType -> Ordering Source #

(<) :: RecentSortType -> RecentSortType -> Bool Source #

(<=) :: RecentSortType -> RecentSortType -> Bool Source #

(>) :: RecentSortType -> RecentSortType -> Bool Source #

(>=) :: RecentSortType -> RecentSortType -> Bool Source #

max :: RecentSortType -> RecentSortType -> RecentSortType Source #

min :: RecentSortType -> RecentSortType -> RecentSortType Source #

BoxedEnum RecentSortType Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject RecentSortType Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes RecentSortType Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes RecentSortType Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes RecentSortType = '[] :: [Type]

## ReliefStyle

data ReliefStyle Source #

Indicated the relief to be drawn around a `Button`.

Constructors

ReliefStyleNormal | Draw a normal relief.
ReliefStyleHalf | A half relief. Deprecated in 3.14, does the same as `gTKRELIEFNORMAL`
ReliefStyleNone | No relief.
AnotherReliefStyle Int | Catch-all for unknown values

#### Instances

Instances details

Enum ReliefStyle Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: ReliefStyle -> ReliefStyle Source #

pred :: ReliefStyle -> ReliefStyle Source #

toEnum :: Int -> ReliefStyle Source #

fromEnum :: ReliefStyle -> Int Source #

enumFrom :: ReliefStyle -> [ReliefStyle] Source #

enumFromThen :: ReliefStyle -> ReliefStyle -> [ReliefStyle] Source #

enumFromTo :: ReliefStyle -> ReliefStyle -> [ReliefStyle] Source #

enumFromThenTo :: ReliefStyle -> ReliefStyle -> ReliefStyle -> [ReliefStyle] Source #

Show ReliefStyle Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> ReliefStyle -> ShowS Source # show :: ReliefStyle -> String Source # showList :: [ReliefStyle] -> ShowS Source #
Eq ReliefStyle Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: ReliefStyle -> ReliefStyle -> Bool Source # (/=) :: ReliefStyle -> ReliefStyle -> Bool Source #
Ord ReliefStyle Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: ReliefStyle -> ReliefStyle -> Ordering Source #

(<) :: ReliefStyle -> ReliefStyle -> Bool Source #

(<=) :: ReliefStyle -> ReliefStyle -> Bool Source #

(>) :: ReliefStyle -> ReliefStyle -> Bool Source #

(>=) :: ReliefStyle -> ReliefStyle -> Bool Source #

max :: ReliefStyle -> ReliefStyle -> ReliefStyle Source #

min :: ReliefStyle -> ReliefStyle -> ReliefStyle Source #

BoxedEnum ReliefStyle Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject ReliefStyle Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes ReliefStyle Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes ReliefStyle Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes ReliefStyle = '[] :: [Type]

## ResizeMode

data ResizeMode Source #

No description available in the introspection data.

Constructors

ResizeModeParent | Pass resize request to the parent
ResizeModeQueue | Queue resizes on this widget
ResizeModeImmediate | Resize immediately. Deprecated.
AnotherResizeMode Int | Catch-all for unknown values

#### Instances

Instances details

Enum ResizeMode Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: ResizeMode -> ResizeMode Source #

pred :: ResizeMode -> ResizeMode Source #

toEnum :: Int -> ResizeMode Source #

fromEnum :: ResizeMode -> Int Source #

enumFrom :: ResizeMode -> [ResizeMode] Source #

enumFromThen :: ResizeMode -> ResizeMode -> [ResizeMode] Source #

enumFromTo :: ResizeMode -> ResizeMode -> [ResizeMode] Source #

enumFromThenTo :: ResizeMode -> ResizeMode -> ResizeMode -> [ResizeMode] Source #

Show ResizeMode Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> ResizeMode -> ShowS Source # show :: ResizeMode -> String Source # showList :: [ResizeMode] -> ShowS Source #
Eq ResizeMode Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: ResizeMode -> ResizeMode -> Bool Source # (/=) :: ResizeMode -> ResizeMode -> Bool Source #
Ord ResizeMode Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: ResizeMode -> ResizeMode -> Ordering Source #

(<) :: ResizeMode -> ResizeMode -> Bool Source #

(<=) :: ResizeMode -> ResizeMode -> Bool Source #

(>) :: ResizeMode -> ResizeMode -> Bool Source #

(>=) :: ResizeMode -> ResizeMode -> Bool Source #

max :: ResizeMode -> ResizeMode -> ResizeMode Source #

min :: ResizeMode -> ResizeMode -> ResizeMode Source #

BoxedEnum ResizeMode Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject ResizeMode Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes ResizeMode Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes ResizeMode Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes ResizeMode = '[] :: [Type]

## ResponseType

data ResponseType Source #

Predefined values for use as response ids in `dialogAddButton`. All predefined values are negative; GTK+ leaves values of 0 or greater for application-defined response ids.

Constructors

ResponseTypeNone | Returned if an action widget has no response id, or if the dialog gets programmatically hidden or destroyed
ResponseTypeReject | Generic response id, not used by GTK+ dialogs
ResponseTypeAccept | Generic response id, not used by GTK+ dialogs
ResponseTypeDeleteEvent | Returned if the dialog is deleted
ResponseTypeOk | Returned by OK buttons in GTK+ dialogs
ResponseTypeCancel | Returned by Cancel buttons in GTK+ dialogs
ResponseTypeClose | Returned by Close buttons in GTK+ dialogs
ResponseTypeYes | Returned by Yes buttons in GTK+ dialogs
ResponseTypeNo | Returned by No buttons in GTK+ dialogs
ResponseTypeApply | Returned by Apply buttons in GTK+ dialogs
ResponseTypeHelp | Returned by Help buttons in GTK+ dialogs
AnotherResponseType Int | Catch-all for unknown values

#### Instances

Instances details

Enum ResponseType Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: ResponseType -> ResponseType Source #

pred :: ResponseType -> ResponseType Source #

toEnum :: Int -> ResponseType Source #

fromEnum :: ResponseType -> Int Source #

enumFrom :: ResponseType -> [ResponseType] Source #

enumFromThen :: ResponseType -> ResponseType -> [ResponseType] Source #

enumFromTo :: ResponseType -> ResponseType -> [ResponseType] Source #

enumFromThenTo :: ResponseType -> ResponseType -> ResponseType -> [ResponseType] Source #

Show ResponseType Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> ResponseType -> ShowS Source # show :: ResponseType -> String Source # showList :: [ResponseType] -> ShowS Source #
Eq ResponseType Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: ResponseType -> ResponseType -> Bool Source # (/=) :: ResponseType -> ResponseType -> Bool Source #
Ord ResponseType Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: ResponseType -> ResponseType -> Ordering Source #

(<) :: ResponseType -> ResponseType -> Bool Source #

(<=) :: ResponseType -> ResponseType -> Bool Source #

(>) :: ResponseType -> ResponseType -> Bool Source #

(>=) :: ResponseType -> ResponseType -> Bool Source #

max :: ResponseType -> ResponseType -> ResponseType Source #

min :: ResponseType -> ResponseType -> ResponseType Source #

BoxedEnum ResponseType Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject ResponseType Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes ResponseType Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes ResponseType Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes ResponseType = '[] :: [Type]

## RevealerTransitionType

data RevealerTransitionType Source #

These enumeration values describe the possible transitions when the child of a `Revealer` widget is shown or hidden.

Constructors

RevealerTransitionTypeNone | No transition
RevealerTransitionTypeCrossfade | Fade in
RevealerTransitionTypeSlideRight | Slide in from the left
RevealerTransitionTypeSlideLeft | Slide in from the right
RevealerTransitionTypeSlideUp | Slide in from the bottom
RevealerTransitionTypeSlideDown | Slide in from the top
AnotherRevealerTransitionType Int | Catch-all for unknown values

#### Instances

Instances details

Enum RevealerTransitionType Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: RevealerTransitionType -> RevealerTransitionType Source #

pred :: RevealerTransitionType -> RevealerTransitionType Source #

toEnum :: Int -> RevealerTransitionType Source #

fromEnum :: RevealerTransitionType -> Int Source #

enumFrom :: RevealerTransitionType -> [RevealerTransitionType] Source #

enumFromThen :: RevealerTransitionType -> RevealerTransitionType -> [RevealerTransitionType] Source #

enumFromTo :: RevealerTransitionType -> RevealerTransitionType -> [RevealerTransitionType] Source #

enumFromThenTo :: RevealerTransitionType -> RevealerTransitionType -> RevealerTransitionType -> [RevealerTransitionType] Source #

Show RevealerTransitionType Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> RevealerTransitionType -> ShowS Source # show :: RevealerTransitionType -> String Source # showList :: [RevealerTransitionType] -> ShowS Source #
Eq RevealerTransitionType Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: RevealerTransitionType -> RevealerTransitionType -> Bool Source # (/=) :: RevealerTransitionType -> RevealerTransitionType -> Bool Source #
Ord RevealerTransitionType Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: RevealerTransitionType -> RevealerTransitionType -> Ordering Source #

(<) :: RevealerTransitionType -> RevealerTransitionType -> Bool Source #

(<=) :: RevealerTransitionType -> RevealerTransitionType -> Bool Source #

(>) :: RevealerTransitionType -> RevealerTransitionType -> Bool Source #

(>=) :: RevealerTransitionType -> RevealerTransitionType -> Bool Source #

max :: RevealerTransitionType -> RevealerTransitionType -> RevealerTransitionType Source #

min :: RevealerTransitionType -> RevealerTransitionType -> RevealerTransitionType Source #

BoxedEnum RevealerTransitionType Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject RevealerTransitionType Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes RevealerTransitionType Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes RevealerTransitionType Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes RevealerTransitionType = '[] :: [Type]

## ScrollStep

data ScrollStep Source #

No description available in the introspection data.

Constructors

ScrollStepSteps | Scroll in steps.
ScrollStepPages | Scroll by pages.
ScrollStepEnds | Scroll to ends.
ScrollStepHorizontalSteps | Scroll in horizontal steps.
ScrollStepHorizontalPages | Scroll by horizontal pages.
ScrollStepHorizontalEnds | Scroll to the horizontal ends.
AnotherScrollStep Int | Catch-all for unknown values

#### Instances

Instances details

Enum ScrollStep Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: ScrollStep -> ScrollStep Source #

pred :: ScrollStep -> ScrollStep Source #

toEnum :: Int -> ScrollStep Source #

fromEnum :: ScrollStep -> Int Source #

enumFrom :: ScrollStep -> [ScrollStep] Source #

enumFromThen :: ScrollStep -> ScrollStep -> [ScrollStep] Source #

enumFromTo :: ScrollStep -> ScrollStep -> [ScrollStep] Source #

enumFromThenTo :: ScrollStep -> ScrollStep -> ScrollStep -> [ScrollStep] Source #

Show ScrollStep Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> ScrollStep -> ShowS Source # show :: ScrollStep -> String Source # showList :: [ScrollStep] -> ShowS Source #
Eq ScrollStep Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: ScrollStep -> ScrollStep -> Bool Source # (/=) :: ScrollStep -> ScrollStep -> Bool Source #
Ord ScrollStep Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: ScrollStep -> ScrollStep -> Ordering Source #

(<) :: ScrollStep -> ScrollStep -> Bool Source #

(<=) :: ScrollStep -> ScrollStep -> Bool Source #

(>) :: ScrollStep -> ScrollStep -> Bool Source #

(>=) :: ScrollStep -> ScrollStep -> Bool Source #

max :: ScrollStep -> ScrollStep -> ScrollStep Source #

min :: ScrollStep -> ScrollStep -> ScrollStep Source #

BoxedEnum ScrollStep Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject ScrollStep Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes ScrollStep Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes ScrollStep Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes ScrollStep = '[] :: [Type]

## ScrollType

data ScrollType Source #

Scrolling types.

Constructors

ScrollTypeNone | No scrolling.
ScrollTypeJump | Jump to new location.
ScrollTypeStepBackward | Step backward.
ScrollTypeStepForward | Step forward.
ScrollTypePageBackward | Page backward.
ScrollTypePageForward | Page forward.
ScrollTypeStepUp | Step up.
ScrollTypeStepDown | Step down.
ScrollTypePageUp | Page up.
ScrollTypePageDown | Page down.
ScrollTypeStepLeft | Step to the left.
ScrollTypeStepRight | Step to the right.
ScrollTypePageLeft | Page to the left.
ScrollTypePageRight | Page to the right.
ScrollTypeStart | Scroll to start.
ScrollTypeEnd | Scroll to end.
AnotherScrollType Int | Catch-all for unknown values

#### Instances

Instances details

Enum ScrollType Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: ScrollType -> ScrollType Source #

pred :: ScrollType -> ScrollType Source #

toEnum :: Int -> ScrollType Source #

fromEnum :: ScrollType -> Int Source #

enumFrom :: ScrollType -> [ScrollType] Source #

enumFromThen :: ScrollType -> ScrollType -> [ScrollType] Source #

enumFromTo :: ScrollType -> ScrollType -> [ScrollType] Source #

enumFromThenTo :: ScrollType -> ScrollType -> ScrollType -> [ScrollType] Source #

Show ScrollType Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> ScrollType -> ShowS Source # show :: ScrollType -> String Source # showList :: [ScrollType] -> ShowS Source #
Eq ScrollType Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: ScrollType -> ScrollType -> Bool Source # (/=) :: ScrollType -> ScrollType -> Bool Source #
Ord ScrollType Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: ScrollType -> ScrollType -> Ordering Source #

(<) :: ScrollType -> ScrollType -> Bool Source #

(<=) :: ScrollType -> ScrollType -> Bool Source #

(>) :: ScrollType -> ScrollType -> Bool Source #

(>=) :: ScrollType -> ScrollType -> Bool Source #

max :: ScrollType -> ScrollType -> ScrollType Source #

min :: ScrollType -> ScrollType -> ScrollType Source #

BoxedEnum ScrollType Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject ScrollType Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes ScrollType Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes ScrollType Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes ScrollType = '[] :: [Type]

## ScrollablePolicy

data ScrollablePolicy Source #

Defines the policy to be used in a scrollable widget when updating the scrolled window adjustments in a given orientation.

Constructors

ScrollablePolicyMinimum | Scrollable adjustments are based on the minimum size
ScrollablePolicyNatural | Scrollable adjustments are based on the natural size
AnotherScrollablePolicy Int | Catch-all for unknown values

#### Instances

Instances details

Enum ScrollablePolicy Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: ScrollablePolicy -> ScrollablePolicy Source #

pred :: ScrollablePolicy -> ScrollablePolicy Source #

toEnum :: Int -> ScrollablePolicy Source #

fromEnum :: ScrollablePolicy -> Int Source #

enumFrom :: ScrollablePolicy -> [ScrollablePolicy] Source #

enumFromThen :: ScrollablePolicy -> ScrollablePolicy -> [ScrollablePolicy] Source #

enumFromTo :: ScrollablePolicy -> ScrollablePolicy -> [ScrollablePolicy] Source #

enumFromThenTo :: ScrollablePolicy -> ScrollablePolicy -> ScrollablePolicy -> [ScrollablePolicy] Source #

Show ScrollablePolicy Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> ScrollablePolicy -> ShowS Source # show :: ScrollablePolicy -> String Source # showList :: [ScrollablePolicy] -> ShowS Source #
Eq ScrollablePolicy Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: ScrollablePolicy -> ScrollablePolicy -> Bool Source # (/=) :: ScrollablePolicy -> ScrollablePolicy -> Bool Source #
Ord ScrollablePolicy Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: ScrollablePolicy -> ScrollablePolicy -> Ordering Source #

(<) :: ScrollablePolicy -> ScrollablePolicy -> Bool Source #

(<=) :: ScrollablePolicy -> ScrollablePolicy -> Bool Source #

(>) :: ScrollablePolicy -> ScrollablePolicy -> Bool Source #

(>=) :: ScrollablePolicy -> ScrollablePolicy -> Bool Source #

max :: ScrollablePolicy -> ScrollablePolicy -> ScrollablePolicy Source #

min :: ScrollablePolicy -> ScrollablePolicy -> ScrollablePolicy Source #

BoxedEnum ScrollablePolicy Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject ScrollablePolicy Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes ScrollablePolicy Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes ScrollablePolicy Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes ScrollablePolicy = '[] :: [Type]

## SelectionMode

data SelectionMode Source #

Used to control what selections users are allowed to make.

Constructors

SelectionModeNone | No selection is possible.
SelectionModeSingle | Zero or one element may be selected.
SelectionModeBrowse | Exactly one element is selected. In some circumstances, such as initially or during a search operation, it’s possible for no element to be selected with `SelectionModeBrowse`. What is really enforced is that the user can’t deselect a currently selected element except by selecting another element.
SelectionModeMultiple | Any number of elements may be selected. The Ctrl key may be used to enlarge the selection, and Shift key to select between the focus and the child pointed to. Some widgets may also allow Click-drag to select a range of elements.
AnotherSelectionMode Int | Catch-all for unknown values

#### Instances

Instances details

Enum SelectionMode Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: SelectionMode -> SelectionMode Source #

pred :: SelectionMode -> SelectionMode Source #

toEnum :: Int -> SelectionMode Source #

fromEnum :: SelectionMode -> Int Source #

enumFrom :: SelectionMode -> [SelectionMode] Source #

enumFromThen :: SelectionMode -> SelectionMode -> [SelectionMode] Source #

enumFromTo :: SelectionMode -> SelectionMode -> [SelectionMode] Source #

enumFromThenTo :: SelectionMode -> SelectionMode -> SelectionMode -> [SelectionMode] Source #

Show SelectionMode Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> SelectionMode -> ShowS Source # show :: SelectionMode -> String Source # showList :: [SelectionMode] -> ShowS Source #
Eq SelectionMode Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: SelectionMode -> SelectionMode -> Bool Source # (/=) :: SelectionMode -> SelectionMode -> Bool Source #
Ord SelectionMode Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: SelectionMode -> SelectionMode -> Ordering Source #

(<) :: SelectionMode -> SelectionMode -> Bool Source #

(<=) :: SelectionMode -> SelectionMode -> Bool Source #

(>) :: SelectionMode -> SelectionMode -> Bool Source #

(>=) :: SelectionMode -> SelectionMode -> Bool Source #

max :: SelectionMode -> SelectionMode -> SelectionMode Source #

min :: SelectionMode -> SelectionMode -> SelectionMode Source #

BoxedEnum SelectionMode Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject SelectionMode Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes SelectionMode Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes SelectionMode Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes SelectionMode = '[] :: [Type]

## SensitivityType

data SensitivityType Source #

Determines how GTK+ handles the sensitivity of stepper arrows at the end of range widgets.

Constructors

SensitivityTypeAuto | The arrow is made insensitive if the thumb is at the end
SensitivityTypeOn | The arrow is always sensitive
SensitivityTypeOff | The arrow is always insensitive
AnotherSensitivityType Int | Catch-all for unknown values

#### Instances

Instances details

Enum SensitivityType Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: SensitivityType -> SensitivityType Source #

pred :: SensitivityType -> SensitivityType Source #

toEnum :: Int -> SensitivityType Source #

fromEnum :: SensitivityType -> Int Source #

enumFrom :: SensitivityType -> [SensitivityType] Source #

enumFromThen :: SensitivityType -> SensitivityType -> [SensitivityType] Source #

enumFromTo :: SensitivityType -> SensitivityType -> [SensitivityType] Source #

enumFromThenTo :: SensitivityType -> SensitivityType -> SensitivityType -> [SensitivityType] Source #

Show SensitivityType Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> SensitivityType -> ShowS Source # show :: SensitivityType -> String Source # showList :: [SensitivityType] -> ShowS Source #
Eq SensitivityType Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: SensitivityType -> SensitivityType -> Bool Source # (/=) :: SensitivityType -> SensitivityType -> Bool Source #
Ord SensitivityType Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: SensitivityType -> SensitivityType -> Ordering Source #

(<) :: SensitivityType -> SensitivityType -> Bool Source #

(<=) :: SensitivityType -> SensitivityType -> Bool Source #

(>) :: SensitivityType -> SensitivityType -> Bool Source #

(>=) :: SensitivityType -> SensitivityType -> Bool Source #

max :: SensitivityType -> SensitivityType -> SensitivityType Source #

min :: SensitivityType -> SensitivityType -> SensitivityType Source #

BoxedEnum SensitivityType Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject SensitivityType Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes SensitivityType Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes SensitivityType Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes SensitivityType = '[] :: [Type]

## ShadowType

data ShadowType Source #

Used to change the appearance of an outline typically provided by a `Frame`.

Note that many themes do not differentiate the appearance of the various shadow types: Either their is no visible shadow (`gTKSHADOWNONE`), or there is (any other value).

Constructors

ShadowTypeNone | No outline.
ShadowTypeIn | The outline is bevelled inwards.
ShadowTypeOut | The outline is bevelled outwards like a button.
ShadowTypeEtchedIn | The outline has a sunken 3d appearance.
ShadowTypeEtchedOut | The outline has a raised 3d appearance.
AnotherShadowType Int | Catch-all for unknown values

#### Instances

Instances details

Enum ShadowType Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: ShadowType -> ShadowType Source #

pred :: ShadowType -> ShadowType Source #

toEnum :: Int -> ShadowType Source #

fromEnum :: ShadowType -> Int Source #

enumFrom :: ShadowType -> [ShadowType] Source #

enumFromThen :: ShadowType -> ShadowType -> [ShadowType] Source #

enumFromTo :: ShadowType -> ShadowType -> [ShadowType] Source #

enumFromThenTo :: ShadowType -> ShadowType -> ShadowType -> [ShadowType] Source #

Show ShadowType Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> ShadowType -> ShowS Source # show :: ShadowType -> String Source # showList :: [ShadowType] -> ShowS Source #
Eq ShadowType Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: ShadowType -> ShadowType -> Bool Source # (/=) :: ShadowType -> ShadowType -> Bool Source #
Ord ShadowType Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: ShadowType -> ShadowType -> Ordering Source #

(<) :: ShadowType -> ShadowType -> Bool Source #

(<=) :: ShadowType -> ShadowType -> Bool Source #

(>) :: ShadowType -> ShadowType -> Bool Source #

(>=) :: ShadowType -> ShadowType -> Bool Source #

max :: ShadowType -> ShadowType -> ShadowType Source #

min :: ShadowType -> ShadowType -> ShadowType Source #

BoxedEnum ShadowType Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject ShadowType Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes ShadowType Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes ShadowType Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes ShadowType = '[] :: [Type]

## ShortcutType

data ShortcutType Source #

GtkShortcutType specifies the kind of shortcut that is being described. More values may be added to this enumeration over time.

Since: 3.20

Constructors

ShortcutTypeAccelerator | The shortcut is a keyboard accelerator. The ShortcutsShortcut:accelerator property will be used.
ShortcutTypeGesturePinch | The shortcut is a pinch gesture. GTK+ provides an icon and subtitle.
ShortcutTypeGestureStretch | The shortcut is a stretch gesture. GTK+ provides an icon and subtitle.
ShortcutTypeGestureRotateClockwise | The shortcut is a clockwise rotation gesture. GTK+ provides an icon and subtitle.
ShortcutTypeGestureRotateCounterclockwise | The shortcut is a counterclockwise rotation gesture. GTK+ provides an icon and subtitle.
ShortcutTypeGestureTwoFingerSwipeLeft | The shortcut is a two-finger swipe gesture. GTK+ provides an icon and subtitle.
ShortcutTypeGestureTwoFingerSwipeRight | The shortcut is a two-finger swipe gesture. GTK+ provides an icon and subtitle.
ShortcutTypeGesture | The shortcut is a gesture. The ShortcutsShortcut:icon property will be used.
AnotherShortcutType Int | Catch-all for unknown values

#### Instances

Instances details

Enum ShortcutType Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: ShortcutType -> ShortcutType Source #

pred :: ShortcutType -> ShortcutType Source #

toEnum :: Int -> ShortcutType Source #

fromEnum :: ShortcutType -> Int Source #

enumFrom :: ShortcutType -> [ShortcutType] Source #

enumFromThen :: ShortcutType -> ShortcutType -> [ShortcutType] Source #

enumFromTo :: ShortcutType -> ShortcutType -> [ShortcutType] Source #

enumFromThenTo :: ShortcutType -> ShortcutType -> ShortcutType -> [ShortcutType] Source #

Show ShortcutType Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> ShortcutType -> ShowS Source # show :: ShortcutType -> String Source # showList :: [ShortcutType] -> ShowS Source #
Eq ShortcutType Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: ShortcutType -> ShortcutType -> Bool Source # (/=) :: ShortcutType -> ShortcutType -> Bool Source #
Ord ShortcutType Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: ShortcutType -> ShortcutType -> Ordering Source #

(<) :: ShortcutType -> ShortcutType -> Bool Source #

(<=) :: ShortcutType -> ShortcutType -> Bool Source #

(>) :: ShortcutType -> ShortcutType -> Bool Source #

(>=) :: ShortcutType -> ShortcutType -> Bool Source #

max :: ShortcutType -> ShortcutType -> ShortcutType Source #

min :: ShortcutType -> ShortcutType -> ShortcutType Source #

BoxedEnum ShortcutType Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject ShortcutType Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes ShortcutType Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes ShortcutType Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes ShortcutType = '[] :: [Type]

## SizeGroupMode

data SizeGroupMode Source #

The mode of the size group determines the directions in which the size group affects the requested sizes of its component widgets.

Constructors

SizeGroupModeNone | group has no effect
SizeGroupModeHorizontal | group affects horizontal requisition
SizeGroupModeVertical | group affects vertical requisition
SizeGroupModeBoth | group affects both horizontal and vertical requisition
AnotherSizeGroupMode Int | Catch-all for unknown values

#### Instances

Instances details

Enum SizeGroupMode Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: SizeGroupMode -> SizeGroupMode Source #

pred :: SizeGroupMode -> SizeGroupMode Source #

toEnum :: Int -> SizeGroupMode Source #

fromEnum :: SizeGroupMode -> Int Source #

enumFrom :: SizeGroupMode -> [SizeGroupMode] Source #

enumFromThen :: SizeGroupMode -> SizeGroupMode -> [SizeGroupMode] Source #

enumFromTo :: SizeGroupMode -> SizeGroupMode -> [SizeGroupMode] Source #

enumFromThenTo :: SizeGroupMode -> SizeGroupMode -> SizeGroupMode -> [SizeGroupMode] Source #

Show SizeGroupMode Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> SizeGroupMode -> ShowS Source # show :: SizeGroupMode -> String Source # showList :: [SizeGroupMode] -> ShowS Source #
Eq SizeGroupMode Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: SizeGroupMode -> SizeGroupMode -> Bool Source # (/=) :: SizeGroupMode -> SizeGroupMode -> Bool Source #
Ord SizeGroupMode Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: SizeGroupMode -> SizeGroupMode -> Ordering Source #

(<) :: SizeGroupMode -> SizeGroupMode -> Bool Source #

(<=) :: SizeGroupMode -> SizeGroupMode -> Bool Source #

(>) :: SizeGroupMode -> SizeGroupMode -> Bool Source #

(>=) :: SizeGroupMode -> SizeGroupMode -> Bool Source #

max :: SizeGroupMode -> SizeGroupMode -> SizeGroupMode Source #

min :: SizeGroupMode -> SizeGroupMode -> SizeGroupMode Source #

BoxedEnum SizeGroupMode Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject SizeGroupMode Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes SizeGroupMode Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes SizeGroupMode Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes SizeGroupMode = '[] :: [Type]

## SizeRequestMode

data SizeRequestMode Source #

Specifies a preference for height-for-width or width-for-height geometry management.

Constructors

SizeRequestModeHeightForWidth | Prefer height-for-width geometry management
SizeRequestModeWidthForHeight | Prefer width-for-height geometry management
SizeRequestModeConstantSize | Don’t trade height-for-width or width-for-height
AnotherSizeRequestMode Int | Catch-all for unknown values

#### Instances

Instances details

Enum SizeRequestMode Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: SizeRequestMode -> SizeRequestMode Source #

pred :: SizeRequestMode -> SizeRequestMode Source #

toEnum :: Int -> SizeRequestMode Source #

fromEnum :: SizeRequestMode -> Int Source #

enumFrom :: SizeRequestMode -> [SizeRequestMode] Source #

enumFromThen :: SizeRequestMode -> SizeRequestMode -> [SizeRequestMode] Source #

enumFromTo :: SizeRequestMode -> SizeRequestMode -> [SizeRequestMode] Source #

enumFromThenTo :: SizeRequestMode -> SizeRequestMode -> SizeRequestMode -> [SizeRequestMode] Source #

Show SizeRequestMode Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> SizeRequestMode -> ShowS Source # show :: SizeRequestMode -> String Source # showList :: [SizeRequestMode] -> ShowS Source #
Eq SizeRequestMode Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: SizeRequestMode -> SizeRequestMode -> Bool Source # (/=) :: SizeRequestMode -> SizeRequestMode -> Bool Source #
Ord SizeRequestMode Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: SizeRequestMode -> SizeRequestMode -> Ordering Source #

(<) :: SizeRequestMode -> SizeRequestMode -> Bool Source #

(<=) :: SizeRequestMode -> SizeRequestMode -> Bool Source #

(>) :: SizeRequestMode -> SizeRequestMode -> Bool Source #

(>=) :: SizeRequestMode -> SizeRequestMode -> Bool Source #

max :: SizeRequestMode -> SizeRequestMode -> SizeRequestMode Source #

min :: SizeRequestMode -> SizeRequestMode -> SizeRequestMode Source #

BoxedEnum SizeRequestMode Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject SizeRequestMode Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes SizeRequestMode Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes SizeRequestMode Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes SizeRequestMode = '[] :: [Type]

## SortType

data SortType Source #

Determines the direction of a sort.

Constructors

SortTypeAscending | Sorting is in ascending order.
SortTypeDescending | Sorting is in descending order.
AnotherSortType Int | Catch-all for unknown values

#### Instances

Instances details

Enum SortType Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: SortType -> SortType Source #

pred :: SortType -> SortType Source #

toEnum :: Int -> SortType Source #

fromEnum :: SortType -> Int Source #

enumFrom :: SortType -> [SortType] Source #

enumFromThen :: SortType -> SortType -> [SortType] Source #

enumFromTo :: SortType -> SortType -> [SortType] Source #

enumFromThenTo :: SortType -> SortType -> SortType -> [SortType] Source #

Show SortType Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> SortType -> ShowS Source # show :: SortType -> String Source # showList :: [SortType] -> ShowS Source #
Eq SortType Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: SortType -> SortType -> Bool Source # (/=) :: SortType -> SortType -> Bool Source #
Ord SortType Source # |
Instance details Defined in GI.Gtk.Enums Methods compare :: SortType -> SortType -> Ordering Source # (<) :: SortType -> SortType -> Bool Source # (<=) :: SortType -> SortType -> Bool Source # (>) :: SortType -> SortType -> Bool Source # (>=) :: SortType -> SortType -> Bool Source # max :: SortType -> SortType -> SortType Source # min :: SortType -> SortType -> SortType Source #
BoxedEnum SortType Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject SortType Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes SortType Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes SortType Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes SortType = '[] :: [Type]

## SpinButtonUpdatePolicy

data SpinButtonUpdatePolicy Source #

The spin button update policy determines whether the spin button displays values even if they are outside the bounds of its adjustment. See `spinButtonSetUpdatePolicy`.

Constructors

SpinButtonUpdatePolicyAlways | When refreshing your `SpinButton`, the value is always displayed
SpinButtonUpdatePolicyIfValid | When refreshing your `SpinButton`, the value is only displayed if it is valid within the bounds of the spin button's adjustment
AnotherSpinButtonUpdatePolicy Int | Catch-all for unknown values

#### Instances

Instances details

Enum SpinButtonUpdatePolicy Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: SpinButtonUpdatePolicy -> SpinButtonUpdatePolicy Source #

pred :: SpinButtonUpdatePolicy -> SpinButtonUpdatePolicy Source #

toEnum :: Int -> SpinButtonUpdatePolicy Source #

fromEnum :: SpinButtonUpdatePolicy -> Int Source #

enumFrom :: SpinButtonUpdatePolicy -> [SpinButtonUpdatePolicy] Source #

enumFromThen :: SpinButtonUpdatePolicy -> SpinButtonUpdatePolicy -> [SpinButtonUpdatePolicy] Source #

enumFromTo :: SpinButtonUpdatePolicy -> SpinButtonUpdatePolicy -> [SpinButtonUpdatePolicy] Source #

enumFromThenTo :: SpinButtonUpdatePolicy -> SpinButtonUpdatePolicy -> SpinButtonUpdatePolicy -> [SpinButtonUpdatePolicy] Source #

Show SpinButtonUpdatePolicy Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> SpinButtonUpdatePolicy -> ShowS Source # show :: SpinButtonUpdatePolicy -> String Source # showList :: [SpinButtonUpdatePolicy] -> ShowS Source #
Eq SpinButtonUpdatePolicy Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: SpinButtonUpdatePolicy -> SpinButtonUpdatePolicy -> Bool Source # (/=) :: SpinButtonUpdatePolicy -> SpinButtonUpdatePolicy -> Bool Source #
Ord SpinButtonUpdatePolicy Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: SpinButtonUpdatePolicy -> SpinButtonUpdatePolicy -> Ordering Source #

(<) :: SpinButtonUpdatePolicy -> SpinButtonUpdatePolicy -> Bool Source #

(<=) :: SpinButtonUpdatePolicy -> SpinButtonUpdatePolicy -> Bool Source #

(>) :: SpinButtonUpdatePolicy -> SpinButtonUpdatePolicy -> Bool Source #

(>=) :: SpinButtonUpdatePolicy -> SpinButtonUpdatePolicy -> Bool Source #

max :: SpinButtonUpdatePolicy -> SpinButtonUpdatePolicy -> SpinButtonUpdatePolicy Source #

min :: SpinButtonUpdatePolicy -> SpinButtonUpdatePolicy -> SpinButtonUpdatePolicy Source #

BoxedEnum SpinButtonUpdatePolicy Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject SpinButtonUpdatePolicy Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes SpinButtonUpdatePolicy Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes SpinButtonUpdatePolicy Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes SpinButtonUpdatePolicy = '[] :: [Type]

## SpinType

data SpinType Source #

The values of the GtkSpinType enumeration are used to specify the change to make in `spinButtonSpin`.

Constructors

SpinTypeStepForward | Increment by the adjustments step increment.
SpinTypeStepBackward | Decrement by the adjustments step increment.
SpinTypePageForward | Increment by the adjustments page increment.
SpinTypePageBackward | Decrement by the adjustments page increment.
SpinTypeHome | Go to the adjustments lower bound.
SpinTypeEnd | Go to the adjustments upper bound.
SpinTypeUserDefined | Change by a specified amount.
AnotherSpinType Int | Catch-all for unknown values

#### Instances

Instances details

Enum SpinType Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: SpinType -> SpinType Source #

pred :: SpinType -> SpinType Source #

toEnum :: Int -> SpinType Source #

fromEnum :: SpinType -> Int Source #

enumFrom :: SpinType -> [SpinType] Source #

enumFromThen :: SpinType -> SpinType -> [SpinType] Source #

enumFromTo :: SpinType -> SpinType -> [SpinType] Source #

enumFromThenTo :: SpinType -> SpinType -> SpinType -> [SpinType] Source #

Show SpinType Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> SpinType -> ShowS Source # show :: SpinType -> String Source # showList :: [SpinType] -> ShowS Source #
Eq SpinType Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: SpinType -> SpinType -> Bool Source # (/=) :: SpinType -> SpinType -> Bool Source #
Ord SpinType Source # |
Instance details Defined in GI.Gtk.Enums Methods compare :: SpinType -> SpinType -> Ordering Source # (<) :: SpinType -> SpinType -> Bool Source # (<=) :: SpinType -> SpinType -> Bool Source # (>) :: SpinType -> SpinType -> Bool Source # (>=) :: SpinType -> SpinType -> Bool Source # max :: SpinType -> SpinType -> SpinType Source # min :: SpinType -> SpinType -> SpinType Source #
BoxedEnum SpinType Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject SpinType Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes SpinType Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes SpinType Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes SpinType = '[] :: [Type]

## StackTransitionType

data StackTransitionType Source #

These enumeration values describe the possible transitions between pages in a `Stack` widget.

New values may be added to this enumeration over time.

Constructors

StackTransitionTypeNone | No transition
StackTransitionTypeCrossfade | A cross-fade
StackTransitionTypeSlideRight | Slide from left to right
StackTransitionTypeSlideLeft | Slide from right to left
StackTransitionTypeSlideUp | Slide from bottom up
StackTransitionTypeSlideDown | Slide from top down
StackTransitionTypeSlideLeftRight | Slide from left or right according to the children order
StackTransitionTypeSlideUpDown | Slide from top down or bottom up according to the order
StackTransitionTypeOverUp | Cover the old page by sliding up. Since 3.12
StackTransitionTypeOverDown | Cover the old page by sliding down. Since: 3.12
StackTransitionTypeOverLeft | Cover the old page by sliding to the left. Since: 3.12
StackTransitionTypeOverRight | Cover the old page by sliding to the right. Since: 3.12
StackTransitionTypeUnderUp | Uncover the new page by sliding up. Since 3.12
StackTransitionTypeUnderDown | Uncover the new page by sliding down. Since: 3.12
StackTransitionTypeUnderLeft | Uncover the new page by sliding to the left. Since: 3.12
StackTransitionTypeUnderRight | Uncover the new page by sliding to the right. Since: 3.12
StackTransitionTypeOverUpDown | Cover the old page sliding up or uncover the new page sliding down, according to order. Since: 3.12
StackTransitionTypeOverDownUp | Cover the old page sliding down or uncover the new page sliding up, according to order. Since: 3.14
StackTransitionTypeOverLeftRight | Cover the old page sliding left or uncover the new page sliding right, according to order. Since: 3.14
StackTransitionTypeOverRightLeft | Cover the old page sliding right or uncover the new page sliding left, according to order. Since: 3.14
AnotherStackTransitionType Int | Catch-all for unknown values

#### Instances

Instances details

Enum StackTransitionType Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: StackTransitionType -> StackTransitionType Source #

pred :: StackTransitionType -> StackTransitionType Source #

toEnum :: Int -> StackTransitionType Source #

fromEnum :: StackTransitionType -> Int Source #

enumFrom :: StackTransitionType -> [StackTransitionType] Source #

enumFromThen :: StackTransitionType -> StackTransitionType -> [StackTransitionType] Source #

enumFromTo :: StackTransitionType -> StackTransitionType -> [StackTransitionType] Source #

enumFromThenTo :: StackTransitionType -> StackTransitionType -> StackTransitionType -> [StackTransitionType] Source #

Show StackTransitionType Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> StackTransitionType -> ShowS Source # show :: StackTransitionType -> String Source # showList :: [StackTransitionType] -> ShowS Source #
Eq StackTransitionType Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: StackTransitionType -> StackTransitionType -> Bool Source # (/=) :: StackTransitionType -> StackTransitionType -> Bool Source #
Ord StackTransitionType Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: StackTransitionType -> StackTransitionType -> Ordering Source #

(<) :: StackTransitionType -> StackTransitionType -> Bool Source #

(<=) :: StackTransitionType -> StackTransitionType -> Bool Source #

(>) :: StackTransitionType -> StackTransitionType -> Bool Source #

(>=) :: StackTransitionType -> StackTransitionType -> Bool Source #

max :: StackTransitionType -> StackTransitionType -> StackTransitionType Source #

min :: StackTransitionType -> StackTransitionType -> StackTransitionType Source #

BoxedEnum StackTransitionType Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject StackTransitionType Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes StackTransitionType Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes StackTransitionType Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes StackTransitionType = '[] :: [Type]

## StateType

data StateType Source #

Deprecated: (Since version 3.14)All APIs that are using this enumeration have been deprecatedin favor of alternatives using `StateFlags`.

This type indicates the current state of a widget; the state determines how the widget is drawn. The `StateType` enumeration is also used to identify different colors in a `Style` for drawing, so states can be used for subparts of a widget as well as entire widgets.

Constructors

StateTypeNormal | State during normal operation.
StateTypeActive | State of a currently active widget, such as a depressed button.
StateTypePrelight | State indicating that the mouse pointer is over the widget and the widget will respond to mouse clicks.
StateTypeSelected | State of a selected item, such the selected row in a list.
StateTypeInsensitive | State indicating that the widget is unresponsive to user actions.
StateTypeInconsistent | The widget is inconsistent, such as checkbuttons or radiobuttons that aren’t either set to `True` nor `False`, or buttons requiring the user attention.
StateTypeFocused | The widget has the keyboard focus.
AnotherStateType Int | Catch-all for unknown values

#### Instances

Instances details

Enum StateType Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: StateType -> StateType Source #

pred :: StateType -> StateType Source #

toEnum :: Int -> StateType Source #

fromEnum :: StateType -> Int Source #

enumFrom :: StateType -> [StateType] Source #

enumFromThen :: StateType -> StateType -> [StateType] Source #

enumFromTo :: StateType -> StateType -> [StateType] Source #

enumFromThenTo :: StateType -> StateType -> StateType -> [StateType] Source #

Show StateType Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> StateType -> ShowS Source # show :: StateType -> String Source # showList :: [StateType] -> ShowS Source #
Eq StateType Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: StateType -> StateType -> Bool Source # (/=) :: StateType -> StateType -> Bool Source #
Ord StateType Source # |
Instance details Defined in GI.Gtk.Enums Methods compare :: StateType -> StateType -> Ordering Source # (<) :: StateType -> StateType -> Bool Source # (<=) :: StateType -> StateType -> Bool Source # (>) :: StateType -> StateType -> Bool Source # (>=) :: StateType -> StateType -> Bool Source # max :: StateType -> StateType -> StateType Source # min :: StateType -> StateType -> StateType Source #
BoxedEnum StateType Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject StateType Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes StateType Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes StateType Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes StateType = '[] :: [Type]

## TextBufferTargetInfo

data TextBufferTargetInfo Source #

These values are used as “info” for the targets contained in the lists returned by `textBufferGetCopyTargetList` and `textBufferGetPasteTargetList`.

The values counts down from `-1` to avoid clashes with application added drag destinations which usually start at 0.

Constructors

TextBufferTargetInfoBufferContents | Buffer contents
TextBufferTargetInfoRichText | Rich text
TextBufferTargetInfoText | Text
AnotherTextBufferTargetInfo Int | Catch-all for unknown values

#### Instances

Instances details

Enum TextBufferTargetInfo Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: TextBufferTargetInfo -> TextBufferTargetInfo Source #

pred :: TextBufferTargetInfo -> TextBufferTargetInfo Source #

toEnum :: Int -> TextBufferTargetInfo Source #

fromEnum :: TextBufferTargetInfo -> Int Source #

enumFrom :: TextBufferTargetInfo -> [TextBufferTargetInfo] Source #

enumFromThen :: TextBufferTargetInfo -> TextBufferTargetInfo -> [TextBufferTargetInfo] Source #

enumFromTo :: TextBufferTargetInfo -> TextBufferTargetInfo -> [TextBufferTargetInfo] Source #

enumFromThenTo :: TextBufferTargetInfo -> TextBufferTargetInfo -> TextBufferTargetInfo -> [TextBufferTargetInfo] Source #

Show TextBufferTargetInfo Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> TextBufferTargetInfo -> ShowS Source # show :: TextBufferTargetInfo -> String Source # showList :: [TextBufferTargetInfo] -> ShowS Source #
Eq TextBufferTargetInfo Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: TextBufferTargetInfo -> TextBufferTargetInfo -> Bool Source # (/=) :: TextBufferTargetInfo -> TextBufferTargetInfo -> Bool Source #
Ord TextBufferTargetInfo Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: TextBufferTargetInfo -> TextBufferTargetInfo -> Ordering Source #

(<) :: TextBufferTargetInfo -> TextBufferTargetInfo -> Bool Source #

(<=) :: TextBufferTargetInfo -> TextBufferTargetInfo -> Bool Source #

(>) :: TextBufferTargetInfo -> TextBufferTargetInfo -> Bool Source #

(>=) :: TextBufferTargetInfo -> TextBufferTargetInfo -> Bool Source #

max :: TextBufferTargetInfo -> TextBufferTargetInfo -> TextBufferTargetInfo Source #

min :: TextBufferTargetInfo -> TextBufferTargetInfo -> TextBufferTargetInfo Source #

BoxedEnum TextBufferTargetInfo Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject TextBufferTargetInfo Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes TextBufferTargetInfo Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes TextBufferTargetInfo Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes TextBufferTargetInfo = '[] :: [Type]

## TextDirection

data TextDirection Source #

Reading directions for text.

Constructors

TextDirectionNone | No direction.
TextDirectionLtr | Left to right text direction.
TextDirectionRtl | Right to left text direction.
AnotherTextDirection Int | Catch-all for unknown values

#### Instances

Instances details

Enum TextDirection Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: TextDirection -> TextDirection Source #

pred :: TextDirection -> TextDirection Source #

toEnum :: Int -> TextDirection Source #

fromEnum :: TextDirection -> Int Source #

enumFrom :: TextDirection -> [TextDirection] Source #

enumFromThen :: TextDirection -> TextDirection -> [TextDirection] Source #

enumFromTo :: TextDirection -> TextDirection -> [TextDirection] Source #

enumFromThenTo :: TextDirection -> TextDirection -> TextDirection -> [TextDirection] Source #

Show TextDirection Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> TextDirection -> ShowS Source # show :: TextDirection -> String Source # showList :: [TextDirection] -> ShowS Source #
Eq TextDirection Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: TextDirection -> TextDirection -> Bool Source # (/=) :: TextDirection -> TextDirection -> Bool Source #
Ord TextDirection Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: TextDirection -> TextDirection -> Ordering Source #

(<) :: TextDirection -> TextDirection -> Bool Source #

(<=) :: TextDirection -> TextDirection -> Bool Source #

(>) :: TextDirection -> TextDirection -> Bool Source #

(>=) :: TextDirection -> TextDirection -> Bool Source #

max :: TextDirection -> TextDirection -> TextDirection Source #

min :: TextDirection -> TextDirection -> TextDirection Source #

BoxedEnum TextDirection Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject TextDirection Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes TextDirection Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes TextDirection Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes TextDirection = '[] :: [Type]

## TextExtendSelection

data TextExtendSelection Source #

Granularity types that extend the text selection. Use the TextView::extendSelection signal to customize the selection.

Since: 3.16

Constructors

TextExtendSelectionWord | Selects the current word. It is triggered by a double-click for example.
TextExtendSelectionLine | Selects the current line. It is triggered by a triple-click for example.
AnotherTextExtendSelection Int | Catch-all for unknown values

#### Instances

Instances details

Enum TextExtendSelection Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: TextExtendSelection -> TextExtendSelection Source #

pred :: TextExtendSelection -> TextExtendSelection Source #

toEnum :: Int -> TextExtendSelection Source #

fromEnum :: TextExtendSelection -> Int Source #

enumFrom :: TextExtendSelection -> [TextExtendSelection] Source #

enumFromThen :: TextExtendSelection -> TextExtendSelection -> [TextExtendSelection] Source #

enumFromTo :: TextExtendSelection -> TextExtendSelection -> [TextExtendSelection] Source #

enumFromThenTo :: TextExtendSelection -> TextExtendSelection -> TextExtendSelection -> [TextExtendSelection] Source #

Show TextExtendSelection Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> TextExtendSelection -> ShowS Source # show :: TextExtendSelection -> String Source # showList :: [TextExtendSelection] -> ShowS Source #
Eq TextExtendSelection Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: TextExtendSelection -> TextExtendSelection -> Bool Source # (/=) :: TextExtendSelection -> TextExtendSelection -> Bool Source #
Ord TextExtendSelection Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: TextExtendSelection -> TextExtendSelection -> Ordering Source #

(<) :: TextExtendSelection -> TextExtendSelection -> Bool Source #

(<=) :: TextExtendSelection -> TextExtendSelection -> Bool Source #

(>) :: TextExtendSelection -> TextExtendSelection -> Bool Source #

(>=) :: TextExtendSelection -> TextExtendSelection -> Bool Source #

max :: TextExtendSelection -> TextExtendSelection -> TextExtendSelection Source #

min :: TextExtendSelection -> TextExtendSelection -> TextExtendSelection Source #

BoxedEnum TextExtendSelection Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject TextExtendSelection Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes TextExtendSelection Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes TextExtendSelection Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes TextExtendSelection = '[] :: [Type]

## TextViewLayer

data TextViewLayer Source #

Used to reference the layers of `TextView` for the purpose of customized drawing with the draw_layer vfunc.

Constructors

TextViewLayerBelow | Old deprecated layer, use `TextViewLayerBelowText` instead
TextViewLayerAbove | Old deprecated layer, use `TextViewLayerAboveText` instead
TextViewLayerBelowText | The layer rendered below the text (but above the background). Since: 3.20
TextViewLayerAboveText | The layer rendered above the text. Since: 3.20
AnotherTextViewLayer Int | Catch-all for unknown values

#### Instances

Instances details

Enum TextViewLayer Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: TextViewLayer -> TextViewLayer Source #

pred :: TextViewLayer -> TextViewLayer Source #

toEnum :: Int -> TextViewLayer Source #

fromEnum :: TextViewLayer -> Int Source #

enumFrom :: TextViewLayer -> [TextViewLayer] Source #

enumFromThen :: TextViewLayer -> TextViewLayer -> [TextViewLayer] Source #

enumFromTo :: TextViewLayer -> TextViewLayer -> [TextViewLayer] Source #

enumFromThenTo :: TextViewLayer -> TextViewLayer -> TextViewLayer -> [TextViewLayer] Source #

Show TextViewLayer Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> TextViewLayer -> ShowS Source # show :: TextViewLayer -> String Source # showList :: [TextViewLayer] -> ShowS Source #
Eq TextViewLayer Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: TextViewLayer -> TextViewLayer -> Bool Source # (/=) :: TextViewLayer -> TextViewLayer -> Bool Source #
Ord TextViewLayer Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: TextViewLayer -> TextViewLayer -> Ordering Source #

(<) :: TextViewLayer -> TextViewLayer -> Bool Source #

(<=) :: TextViewLayer -> TextViewLayer -> Bool Source #

(>) :: TextViewLayer -> TextViewLayer -> Bool Source #

(>=) :: TextViewLayer -> TextViewLayer -> Bool Source #

max :: TextViewLayer -> TextViewLayer -> TextViewLayer Source #

min :: TextViewLayer -> TextViewLayer -> TextViewLayer Source #

BoxedEnum TextViewLayer Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject TextViewLayer Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes TextViewLayer Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes TextViewLayer Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes TextViewLayer = '[] :: [Type]

## TextWindowType

data TextWindowType Source #

Used to reference the parts of `TextView`.

Constructors

TextWindowTypePrivate | Invalid value, used as a marker
TextWindowTypeWidget | Window that floats over scrolling areas.
TextWindowTypeText | Scrollable text window.
TextWindowTypeLeft | Left side border window.
TextWindowTypeRight | Right side border window.
TextWindowTypeTop | Top border window.
TextWindowTypeBottom | Bottom border window.
AnotherTextWindowType Int | Catch-all for unknown values

#### Instances

Instances details

Enum TextWindowType Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: TextWindowType -> TextWindowType Source #

pred :: TextWindowType -> TextWindowType Source #

toEnum :: Int -> TextWindowType Source #

fromEnum :: TextWindowType -> Int Source #

enumFrom :: TextWindowType -> [TextWindowType] Source #

enumFromThen :: TextWindowType -> TextWindowType -> [TextWindowType] Source #

enumFromTo :: TextWindowType -> TextWindowType -> [TextWindowType] Source #

enumFromThenTo :: TextWindowType -> TextWindowType -> TextWindowType -> [TextWindowType] Source #

Show TextWindowType Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> TextWindowType -> ShowS Source # show :: TextWindowType -> String Source # showList :: [TextWindowType] -> ShowS Source #
Eq TextWindowType Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: TextWindowType -> TextWindowType -> Bool Source # (/=) :: TextWindowType -> TextWindowType -> Bool Source #
Ord TextWindowType Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: TextWindowType -> TextWindowType -> Ordering Source #

(<) :: TextWindowType -> TextWindowType -> Bool Source #

(<=) :: TextWindowType -> TextWindowType -> Bool Source #

(>) :: TextWindowType -> TextWindowType -> Bool Source #

(>=) :: TextWindowType -> TextWindowType -> Bool Source #

max :: TextWindowType -> TextWindowType -> TextWindowType Source #

min :: TextWindowType -> TextWindowType -> TextWindowType Source #

BoxedEnum TextWindowType Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject TextWindowType Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes TextWindowType Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes TextWindowType Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes TextWindowType = '[] :: [Type]

## ToolbarSpaceStyle

data ToolbarSpaceStyle Source #

Deprecated: (Since version 3.20)

Whether spacers are vertical lines or just blank.

Constructors

ToolbarSpaceStyleEmpty | Use blank spacers.
ToolbarSpaceStyleLine | Use vertical lines for spacers.
AnotherToolbarSpaceStyle Int | Catch-all for unknown values

#### Instances

Instances details

Enum ToolbarSpaceStyle Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: ToolbarSpaceStyle -> ToolbarSpaceStyle Source #

pred :: ToolbarSpaceStyle -> ToolbarSpaceStyle Source #

toEnum :: Int -> ToolbarSpaceStyle Source #

fromEnum :: ToolbarSpaceStyle -> Int Source #

enumFrom :: ToolbarSpaceStyle -> [ToolbarSpaceStyle] Source #

enumFromThen :: ToolbarSpaceStyle -> ToolbarSpaceStyle -> [ToolbarSpaceStyle] Source #

enumFromTo :: ToolbarSpaceStyle -> ToolbarSpaceStyle -> [ToolbarSpaceStyle] Source #

enumFromThenTo :: ToolbarSpaceStyle -> ToolbarSpaceStyle -> ToolbarSpaceStyle -> [ToolbarSpaceStyle] Source #

Show ToolbarSpaceStyle Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> ToolbarSpaceStyle -> ShowS Source # show :: ToolbarSpaceStyle -> String Source # showList :: [ToolbarSpaceStyle] -> ShowS Source #
Eq ToolbarSpaceStyle Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: ToolbarSpaceStyle -> ToolbarSpaceStyle -> Bool Source # (/=) :: ToolbarSpaceStyle -> ToolbarSpaceStyle -> Bool Source #
Ord ToolbarSpaceStyle Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: ToolbarSpaceStyle -> ToolbarSpaceStyle -> Ordering Source #

(<) :: ToolbarSpaceStyle -> ToolbarSpaceStyle -> Bool Source #

(<=) :: ToolbarSpaceStyle -> ToolbarSpaceStyle -> Bool Source #

(>) :: ToolbarSpaceStyle -> ToolbarSpaceStyle -> Bool Source #

(>=) :: ToolbarSpaceStyle -> ToolbarSpaceStyle -> Bool Source #

max :: ToolbarSpaceStyle -> ToolbarSpaceStyle -> ToolbarSpaceStyle Source #

min :: ToolbarSpaceStyle -> ToolbarSpaceStyle -> ToolbarSpaceStyle Source #

BoxedEnum ToolbarSpaceStyle Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject ToolbarSpaceStyle Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes ToolbarSpaceStyle Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes ToolbarSpaceStyle Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes ToolbarSpaceStyle = '[] :: [Type]

## ToolbarStyle

data ToolbarStyle Source #

Used to customize the appearance of a `Toolbar`. Note that setting the toolbar style overrides the user’s preferences for the default toolbar style. Note that if the button has only a label set and GTK_TOOLBAR_ICONS is used, the label will be visible, and vice versa.

Constructors

ToolbarStyleIcons | Buttons display only icons in the toolbar.
ToolbarStyleText | Buttons display only text labels in the toolbar.
ToolbarStyleBoth | Buttons display text and icons in the toolbar.
ToolbarStyleBothHoriz | Buttons display icons and text alongside each other, rather than vertically stacked
AnotherToolbarStyle Int | Catch-all for unknown values

#### Instances

Instances details

Enum ToolbarStyle Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: ToolbarStyle -> ToolbarStyle Source #

pred :: ToolbarStyle -> ToolbarStyle Source #

toEnum :: Int -> ToolbarStyle Source #

fromEnum :: ToolbarStyle -> Int Source #

enumFrom :: ToolbarStyle -> [ToolbarStyle] Source #

enumFromThen :: ToolbarStyle -> ToolbarStyle -> [ToolbarStyle] Source #

enumFromTo :: ToolbarStyle -> ToolbarStyle -> [ToolbarStyle] Source #

enumFromThenTo :: ToolbarStyle -> ToolbarStyle -> ToolbarStyle -> [ToolbarStyle] Source #

Show ToolbarStyle Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> ToolbarStyle -> ShowS Source # show :: ToolbarStyle -> String Source # showList :: [ToolbarStyle] -> ShowS Source #
Eq ToolbarStyle Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: ToolbarStyle -> ToolbarStyle -> Bool Source # (/=) :: ToolbarStyle -> ToolbarStyle -> Bool Source #
Ord ToolbarStyle Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: ToolbarStyle -> ToolbarStyle -> Ordering Source #

(<) :: ToolbarStyle -> ToolbarStyle -> Bool Source #

(<=) :: ToolbarStyle -> ToolbarStyle -> Bool Source #

(>) :: ToolbarStyle -> ToolbarStyle -> Bool Source #

(>=) :: ToolbarStyle -> ToolbarStyle -> Bool Source #

max :: ToolbarStyle -> ToolbarStyle -> ToolbarStyle Source #

min :: ToolbarStyle -> ToolbarStyle -> ToolbarStyle Source #

BoxedEnum ToolbarStyle Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject ToolbarStyle Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes ToolbarStyle Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes ToolbarStyle Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes ToolbarStyle = '[] :: [Type]

## TreeViewColumnSizing

data TreeViewColumnSizing Source #

The sizing method the column uses to determine its width. Please note that `gTKTREEVIEWCOLUMNAUTOSIZE` are inefficient for large views, and can make columns appear choppy.

Constructors

TreeViewColumnSizingGrowOnly | Columns only get bigger in reaction to changes in the model
TreeViewColumnSizingAutosize | Columns resize to be the optimal size everytime the model changes.
TreeViewColumnSizingFixed | Columns are a fixed numbers of pixels wide.
AnotherTreeViewColumnSizing Int | Catch-all for unknown values

#### Instances

Instances details

Enum TreeViewColumnSizing Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: TreeViewColumnSizing -> TreeViewColumnSizing Source #

pred :: TreeViewColumnSizing -> TreeViewColumnSizing Source #

toEnum :: Int -> TreeViewColumnSizing Source #

fromEnum :: TreeViewColumnSizing -> Int Source #

enumFrom :: TreeViewColumnSizing -> [TreeViewColumnSizing] Source #

enumFromThen :: TreeViewColumnSizing -> TreeViewColumnSizing -> [TreeViewColumnSizing] Source #

enumFromTo :: TreeViewColumnSizing -> TreeViewColumnSizing -> [TreeViewColumnSizing] Source #

enumFromThenTo :: TreeViewColumnSizing -> TreeViewColumnSizing -> TreeViewColumnSizing -> [TreeViewColumnSizing] Source #

Show TreeViewColumnSizing Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> TreeViewColumnSizing -> ShowS Source # show :: TreeViewColumnSizing -> String Source # showList :: [TreeViewColumnSizing] -> ShowS Source #
Eq TreeViewColumnSizing Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: TreeViewColumnSizing -> TreeViewColumnSizing -> Bool Source # (/=) :: TreeViewColumnSizing -> TreeViewColumnSizing -> Bool Source #
Ord TreeViewColumnSizing Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: TreeViewColumnSizing -> TreeViewColumnSizing -> Ordering Source #

(<) :: TreeViewColumnSizing -> TreeViewColumnSizing -> Bool Source #

(<=) :: TreeViewColumnSizing -> TreeViewColumnSizing -> Bool Source #

(>) :: TreeViewColumnSizing -> TreeViewColumnSizing -> Bool Source #

(>=) :: TreeViewColumnSizing -> TreeViewColumnSizing -> Bool Source #

max :: TreeViewColumnSizing -> TreeViewColumnSizing -> TreeViewColumnSizing Source #

min :: TreeViewColumnSizing -> TreeViewColumnSizing -> TreeViewColumnSizing Source #

BoxedEnum TreeViewColumnSizing Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject TreeViewColumnSizing Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes TreeViewColumnSizing Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes TreeViewColumnSizing Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes TreeViewColumnSizing = '[] :: [Type]

## TreeViewDropPosition

data TreeViewDropPosition Source #

An enum for determining where a dropped row goes.

Constructors

TreeViewDropPositionBefore | dropped row is inserted before
TreeViewDropPositionAfter | dropped row is inserted after
TreeViewDropPositionIntoOrBefore | dropped row becomes a child or is inserted before
TreeViewDropPositionIntoOrAfter | dropped row becomes a child or is inserted after
AnotherTreeViewDropPosition Int | Catch-all for unknown values

#### Instances

Instances details

Enum TreeViewDropPosition Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: TreeViewDropPosition -> TreeViewDropPosition Source #

pred :: TreeViewDropPosition -> TreeViewDropPosition Source #

toEnum :: Int -> TreeViewDropPosition Source #

fromEnum :: TreeViewDropPosition -> Int Source #

enumFrom :: TreeViewDropPosition -> [TreeViewDropPosition] Source #

enumFromThen :: TreeViewDropPosition -> TreeViewDropPosition -> [TreeViewDropPosition] Source #

enumFromTo :: TreeViewDropPosition -> TreeViewDropPosition -> [TreeViewDropPosition] Source #

enumFromThenTo :: TreeViewDropPosition -> TreeViewDropPosition -> TreeViewDropPosition -> [TreeViewDropPosition] Source #

Show TreeViewDropPosition Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> TreeViewDropPosition -> ShowS Source # show :: TreeViewDropPosition -> String Source # showList :: [TreeViewDropPosition] -> ShowS Source #
Eq TreeViewDropPosition Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: TreeViewDropPosition -> TreeViewDropPosition -> Bool Source # (/=) :: TreeViewDropPosition -> TreeViewDropPosition -> Bool Source #
Ord TreeViewDropPosition Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: TreeViewDropPosition -> TreeViewDropPosition -> Ordering Source #

(<) :: TreeViewDropPosition -> TreeViewDropPosition -> Bool Source #

(<=) :: TreeViewDropPosition -> TreeViewDropPosition -> Bool Source #

(>) :: TreeViewDropPosition -> TreeViewDropPosition -> Bool Source #

(>=) :: TreeViewDropPosition -> TreeViewDropPosition -> Bool Source #

max :: TreeViewDropPosition -> TreeViewDropPosition -> TreeViewDropPosition Source #

min :: TreeViewDropPosition -> TreeViewDropPosition -> TreeViewDropPosition Source #

BoxedEnum TreeViewDropPosition Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject TreeViewDropPosition Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes TreeViewDropPosition Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes TreeViewDropPosition Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes TreeViewDropPosition = '[] :: [Type]

## TreeViewGridLines

data TreeViewGridLines Source #

Used to indicate which grid lines to draw in a tree view.

Constructors

TreeViewGridLinesNone | No grid lines.
TreeViewGridLinesHorizontal | Horizontal grid lines.
TreeViewGridLinesVertical | Vertical grid lines.
TreeViewGridLinesBoth | Horizontal and vertical grid lines.
AnotherTreeViewGridLines Int | Catch-all for unknown values

#### Instances

Instances details

Enum TreeViewGridLines Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: TreeViewGridLines -> TreeViewGridLines Source #

pred :: TreeViewGridLines -> TreeViewGridLines Source #

toEnum :: Int -> TreeViewGridLines Source #

fromEnum :: TreeViewGridLines -> Int Source #

enumFrom :: TreeViewGridLines -> [TreeViewGridLines] Source #

enumFromThen :: TreeViewGridLines -> TreeViewGridLines -> [TreeViewGridLines] Source #

enumFromTo :: TreeViewGridLines -> TreeViewGridLines -> [TreeViewGridLines] Source #

enumFromThenTo :: TreeViewGridLines -> TreeViewGridLines -> TreeViewGridLines -> [TreeViewGridLines] Source #

Show TreeViewGridLines Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> TreeViewGridLines -> ShowS Source # show :: TreeViewGridLines -> String Source # showList :: [TreeViewGridLines] -> ShowS Source #
Eq TreeViewGridLines Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: TreeViewGridLines -> TreeViewGridLines -> Bool Source # (/=) :: TreeViewGridLines -> TreeViewGridLines -> Bool Source #
Ord TreeViewGridLines Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: TreeViewGridLines -> TreeViewGridLines -> Ordering Source #

(<) :: TreeViewGridLines -> TreeViewGridLines -> Bool Source #

(<=) :: TreeViewGridLines -> TreeViewGridLines -> Bool Source #

(>) :: TreeViewGridLines -> TreeViewGridLines -> Bool Source #

(>=) :: TreeViewGridLines -> TreeViewGridLines -> Bool Source #

max :: TreeViewGridLines -> TreeViewGridLines -> TreeViewGridLines Source #

min :: TreeViewGridLines -> TreeViewGridLines -> TreeViewGridLines Source #

BoxedEnum TreeViewGridLines Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject TreeViewGridLines Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes TreeViewGridLines Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes TreeViewGridLines Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes TreeViewGridLines = '[] :: [Type]

## Unit

data Unit Source #

See also `printSettingsSetPaperWidth`.

Constructors

UnitNone | No units.
UnitPoints | Dimensions in points.
UnitInch | Dimensions in inches.
UnitMm | Dimensions in millimeters
AnotherUnit Int | Catch-all for unknown values

#### Instances

Instances details

Enum Unit Source # |
Instance details Defined in GI.Gtk.Enums Methods succ :: Unit -> Unit Source # pred :: Unit -> Unit Source # toEnum :: Int -> Unit Source # fromEnum :: Unit -> Int Source # enumFrom :: Unit -> [Unit] Source # enumFromThen :: Unit -> Unit -> [Unit] Source # enumFromTo :: Unit -> Unit -> [Unit] Source # enumFromThenTo :: Unit -> Unit -> Unit -> [Unit] Source #
Show Unit Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> Unit -> ShowS Source # show :: Unit -> String Source # showList :: [Unit] -> ShowS Source #
Eq Unit Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: Unit -> Unit -> Bool Source # (/=) :: Unit -> Unit -> Bool Source #
Ord Unit Source # |
Instance details Defined in GI.Gtk.Enums Methods compare :: Unit -> Unit -> Ordering Source # (<) :: Unit -> Unit -> Bool Source # (<=) :: Unit -> Unit -> Bool Source # (>) :: Unit -> Unit -> Bool Source # (>=) :: Unit -> Unit -> Bool Source # max :: Unit -> Unit -> Unit Source # min :: Unit -> Unit -> Unit Source #
BoxedEnum Unit Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject Unit Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes Unit Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes Unit Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes Unit = '[] :: [Type]

## WidgetHelpType

data WidgetHelpType Source #

Kinds of widget-specific help. Used by the showHelp signal.

Constructors

WidgetHelpTypeTooltip | Tooltip.
WidgetHelpTypeWhatsThis | What’s this.
AnotherWidgetHelpType Int | Catch-all for unknown values

#### Instances

Instances details

Enum WidgetHelpType Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: WidgetHelpType -> WidgetHelpType Source #

pred :: WidgetHelpType -> WidgetHelpType Source #

toEnum :: Int -> WidgetHelpType Source #

fromEnum :: WidgetHelpType -> Int Source #

enumFrom :: WidgetHelpType -> [WidgetHelpType] Source #

enumFromThen :: WidgetHelpType -> WidgetHelpType -> [WidgetHelpType] Source #

enumFromTo :: WidgetHelpType -> WidgetHelpType -> [WidgetHelpType] Source #

enumFromThenTo :: WidgetHelpType -> WidgetHelpType -> WidgetHelpType -> [WidgetHelpType] Source #

Show WidgetHelpType Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> WidgetHelpType -> ShowS Source # show :: WidgetHelpType -> String Source # showList :: [WidgetHelpType] -> ShowS Source #
Eq WidgetHelpType Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: WidgetHelpType -> WidgetHelpType -> Bool Source # (/=) :: WidgetHelpType -> WidgetHelpType -> Bool Source #
Ord WidgetHelpType Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: WidgetHelpType -> WidgetHelpType -> Ordering Source #

(<) :: WidgetHelpType -> WidgetHelpType -> Bool Source #

(<=) :: WidgetHelpType -> WidgetHelpType -> Bool Source #

(>) :: WidgetHelpType -> WidgetHelpType -> Bool Source #

(>=) :: WidgetHelpType -> WidgetHelpType -> Bool Source #

max :: WidgetHelpType -> WidgetHelpType -> WidgetHelpType Source #

min :: WidgetHelpType -> WidgetHelpType -> WidgetHelpType Source #

BoxedEnum WidgetHelpType Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject WidgetHelpType Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes WidgetHelpType Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes WidgetHelpType Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes WidgetHelpType = '[] :: [Type]

## WindowPosition

data WindowPosition Source #

Window placement can be influenced using this enumeration. Note that using `GTK_WIN_POS_CENTER_ALWAYS` is almost always a bad idea. It won’t necessarily work well with all window managers or on all windowing systems.

Constructors

WindowPositionNone | No influence is made on placement.
WindowPositionCenter | Windows should be placed in the center of the screen.
WindowPositionMouse | Windows should be placed at the current mouse position.
WindowPositionCenterAlways | Keep window centered as it changes size, etc.
WindowPositionCenterOnParent | Center the window on its transient parent (see `windowSetTransientFor`).
AnotherWindowPosition Int | Catch-all for unknown values

#### Instances

Instances details

Enum WindowPosition Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: WindowPosition -> WindowPosition Source #

pred :: WindowPosition -> WindowPosition Source #

toEnum :: Int -> WindowPosition Source #

fromEnum :: WindowPosition -> Int Source #

enumFrom :: WindowPosition -> [WindowPosition] Source #

enumFromThen :: WindowPosition -> WindowPosition -> [WindowPosition] Source #

enumFromTo :: WindowPosition -> WindowPosition -> [WindowPosition] Source #

enumFromThenTo :: WindowPosition -> WindowPosition -> WindowPosition -> [WindowPosition] Source #

Show WindowPosition Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> WindowPosition -> ShowS Source # show :: WindowPosition -> String Source # showList :: [WindowPosition] -> ShowS Source #
Eq WindowPosition Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: WindowPosition -> WindowPosition -> Bool Source # (/=) :: WindowPosition -> WindowPosition -> Bool Source #
Ord WindowPosition Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: WindowPosition -> WindowPosition -> Ordering Source #

(<) :: WindowPosition -> WindowPosition -> Bool Source #

(<=) :: WindowPosition -> WindowPosition -> Bool Source #

(>) :: WindowPosition -> WindowPosition -> Bool Source #

(>=) :: WindowPosition -> WindowPosition -> Bool Source #

max :: WindowPosition -> WindowPosition -> WindowPosition Source #

min :: WindowPosition -> WindowPosition -> WindowPosition Source #

BoxedEnum WindowPosition Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject WindowPosition Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes WindowPosition Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes WindowPosition Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes WindowPosition = '[] :: [Type]

## WindowType

data WindowType Source #

A `Window` can be one of these types. Most things you’d consider a “window” should have type `GTK_WINDOW_TOPLEVEL`; windows with this type are managed by the window manager and have a frame by default (call `windowSetDecorated` to toggle the frame). Windows with type `GTK_WINDOW_POPUP` are ignored by the window manager; window manager keybindings won’t work on them, the window manager won’t decorate the window with a frame, many GTK+ features that rely on the window manager will not work (e.g. resize grips and maximization/minimization). `GTK_WINDOW_POPUP` is used to implement widgets such as `Menu` or tooltips that you normally don’t think of as windows per se. Nearly all windows should be `GTK_WINDOW_TOPLEVEL`. In particular, do not use `GTK_WINDOW_POPUP` just to turn off the window borders; use `windowSetDecorated` for that.

Constructors

WindowTypeToplevel | A regular window, such as a dialog.
WindowTypePopup | A special window such as a tooltip.
AnotherWindowType Int | Catch-all for unknown values

#### Instances

Instances details

Enum WindowType Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: WindowType -> WindowType Source #

pred :: WindowType -> WindowType Source #

toEnum :: Int -> WindowType Source #

fromEnum :: WindowType -> Int Source #

enumFrom :: WindowType -> [WindowType] Source #

enumFromThen :: WindowType -> WindowType -> [WindowType] Source #

enumFromTo :: WindowType -> WindowType -> [WindowType] Source #

enumFromThenTo :: WindowType -> WindowType -> WindowType -> [WindowType] Source #

Show WindowType Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> WindowType -> ShowS Source # show :: WindowType -> String Source # showList :: [WindowType] -> ShowS Source #
Eq WindowType Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: WindowType -> WindowType -> Bool Source # (/=) :: WindowType -> WindowType -> Bool Source #
Ord WindowType Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

compare :: WindowType -> WindowType -> Ordering Source #

(<) :: WindowType -> WindowType -> Bool Source #

(<=) :: WindowType -> WindowType -> Bool Source #

(>) :: WindowType -> WindowType -> Bool Source #

(>=) :: WindowType -> WindowType -> Bool Source #

max :: WindowType -> WindowType -> WindowType Source #

min :: WindowType -> WindowType -> WindowType Source #

BoxedEnum WindowType Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject WindowType Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes WindowType Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes WindowType Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes WindowType = '[] :: [Type]

## WrapMode

data WrapMode Source #

Describes a type of line wrapping.

Constructors

WrapModeNone | do not wrap lines; just make the text area wider
WrapModeChar | wrap text, breaking lines anywhere the cursor can appear (between characters, usually - if you want to be technical, between graphemes, see `getLogAttrs`)
WrapModeWord | wrap text, breaking lines in between words
WrapModeWordChar | wrap text, breaking lines in between words, or if that is not enough, also between graphemes
AnotherWrapMode Int | Catch-all for unknown values

#### Instances

Instances details

Enum WrapMode Source # |

Instance details

Defined in GI.Gtk.Enums

Methods

succ :: WrapMode -> WrapMode Source #

pred :: WrapMode -> WrapMode Source #

toEnum :: Int -> WrapMode Source #

fromEnum :: WrapMode -> Int Source #

enumFrom :: WrapMode -> [WrapMode] Source #

enumFromThen :: WrapMode -> WrapMode -> [WrapMode] Source #

enumFromTo :: WrapMode -> WrapMode -> [WrapMode] Source #

enumFromThenTo :: WrapMode -> WrapMode -> WrapMode -> [WrapMode] Source #

Show WrapMode Source # |
Instance details Defined in GI.Gtk.Enums Methods showsPrec :: Int -> WrapMode -> ShowS Source # show :: WrapMode -> String Source # showList :: [WrapMode] -> ShowS Source #
Eq WrapMode Source # |
Instance details Defined in GI.Gtk.Enums Methods (==) :: WrapMode -> WrapMode -> Bool Source # (/=) :: WrapMode -> WrapMode -> Bool Source #
Ord WrapMode Source # |
Instance details Defined in GI.Gtk.Enums Methods compare :: WrapMode -> WrapMode -> Ordering Source # (<) :: WrapMode -> WrapMode -> Bool Source # (<=) :: WrapMode -> WrapMode -> Bool Source # (>) :: WrapMode -> WrapMode -> Bool Source # (>=) :: WrapMode -> WrapMode -> Bool Source # max :: WrapMode -> WrapMode -> WrapMode Source # min :: WrapMode -> WrapMode -> WrapMode Source #
BoxedEnum WrapMode Source # |
Instance details Defined in GI.Gtk.Enums
TypedObject WrapMode Source # |
Instance details Defined in GI.Gtk.Enums Methods glibType :: IO GType Source #
HasParentTypes WrapMode Source # |
Instance details Defined in GI.Gtk.Enums
type ParentTypes WrapMode Source # |
Instance details Defined in GI.Gtk.Enums type ParentTypes WrapMode = '[] :: [Type]